/*
 Navicat Premium Data Transfer

 Source Server         : 127.0.0.1
 Source Server Type    : MySQL
 Source Server Version : 50722
 Source Host           : localhost:3306
 Source Schema         : coob_v2

 Target Server Type    : MySQL
 Target Server Version : 50722
 File Encoding         : 65001

 Date: 14/06/2022 16:29:08
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for gen_table
-- ----------------------------
DROP TABLE IF EXISTS `gen_table`;
CREATE TABLE `gen_table`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `table_name` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '表名称',
  `table_comment` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '表描述',
  `class_name` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '实体类名称',
  `function_author` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '开发者名称',
  `template` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '模版类型',
  `package_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '生成包路径',
  `module_name` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '生成模块名',
  `business_name` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '生成业务名',
  `gen_type` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '生成代码方式 0 zip压缩包 1 自定义路径',
  `gen_path` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '生成路径',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `remark` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注说明',
  `del_flag` tinyint(1) NULL DEFAULT NULL COMMENT '删除标识 0 删除 1正常',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 17 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '代码生成表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of gen_table
-- ----------------------------
INSERT INTO `gen_table` VALUES (15, 't_test', '测试表', 'Test', 'admin', NULL, '', '', 'test', NULL, NULL, '2021-10-29 17:36:31', '1', '2021-10-29 17:36:31', '1', NULL, 1);
INSERT INTO `gen_table` VALUES (16, 'test', '', 'Test', 'admin', NULL, '', '', 'test', NULL, NULL, '2021-10-29 18:13:42', '1', '2021-10-29 18:13:42', '1', NULL, 1);

-- ----------------------------
-- Table structure for gen_table_column
-- ----------------------------
DROP TABLE IF EXISTS `gen_table_column`;
CREATE TABLE `gen_table_column`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `table_id` int(11) NULL DEFAULT NULL COMMENT '表ID',
  `column_name` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '列名称',
  `column_comment` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '列描述',
  `column_type` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '列类型',
  `java_type` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'java类型',
  `java_field` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'java字段名',
  `is_pk` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否主键',
  `is_increment` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否自增',
  `is_required` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否必填',
  `is_insert` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否插入字段',
  `is_edit` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否编辑字段',
  `is_list` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否列表字段',
  `is_query` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否查询字段',
  `query_type` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '查询方式（等于、不等于、大于、小于、范围）',
  `html_type` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '显示类型（文本框、文本域、下拉框、复选框、单选框、日期控件）',
  `dict_type` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字典类型',
  `sort` int(11) NULL DEFAULT NULL COMMENT '排序',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建人',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新人',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 21 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '代码生成字段' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of gen_table_column
-- ----------------------------
INSERT INTO `gen_table_column` VALUES (13, 15, 'id', '', 'int(11)', 'Integer', 'id', '1', '1', '0', '1', NULL, NULL, NULL, NULL, 'input', NULL, 1, '2021-10-29 17:36:31', '1', '2021-10-29 17:36:31', NULL);
INSERT INTO `gen_table_column` VALUES (14, 15, 'name', '测试1', 'varchar(255)', 'String', 'name', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', NULL, 2, '2021-10-29 17:36:31', '1', '2021-10-29 17:36:31', NULL);
INSERT INTO `gen_table_column` VALUES (15, 15, 'remark', '测试2', 'varchar(255)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, NULL, 'input', NULL, 3, '2021-10-29 17:36:31', '1', '2021-10-29 17:36:31', NULL);
INSERT INTO `gen_table_column` VALUES (16, 15, 'business', '测试3', 'varchar(255)', 'String', 'business', '0', '0', '0', '1', '1', '1', '1', NULL, 'input', NULL, 4, '2021-10-29 17:36:31', '1', '2021-10-29 17:36:31', NULL);
INSERT INTO `gen_table_column` VALUES (17, 15, 'address', '测试4', 'varchar(255)', 'String', 'address', '0', '0', '0', '1', '1', '1', '1', NULL, 'input', NULL, 5, '2021-10-29 17:36:31', '1', '2021-10-29 17:36:31', NULL);
INSERT INTO `gen_table_column` VALUES (18, 15, 'avatar', '测试5', 'varchar(255)', 'String', 'avatar', '0', '0', '0', '1', '1', '1', '1', NULL, 'input', NULL, 6, '2021-10-29 17:36:31', '1', '2021-10-29 17:36:31', NULL);
INSERT INTO `gen_table_column` VALUES (19, 16, 'id', '', 'int(11)', 'Integer', 'id', '1', '0', '0', '1', NULL, NULL, NULL, NULL, 'input', NULL, 1, '2021-10-29 18:13:42', '1', '2021-10-29 18:13:42', NULL);
INSERT INTO `gen_table_column` VALUES (20, 16, 'name', '', 'varchar(32)', 'String', 'name', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', NULL, 2, '2021-10-29 18:13:42', '1', '2021-10-29 18:13:42', NULL);

-- ----------------------------
-- Table structure for sys_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_dept`;
CREATE TABLE `sys_dept`  (
  `id` bigint(20) NOT NULL,
  `name` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '部门名称',
  `parent_id` bigint(20) NULL DEFAULT NULL COMMENT '上级部门',
  `level` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '部门层级',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for sys_dict
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict`;
CREATE TABLE `sys_dict`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL,
  `type` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL,
  `enable` int(4) NULL DEFAULT NULL,
  `remark` varchar(200) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL,
  `create_time` datetime(0) NULL DEFAULT NULL,
  `create_by` varchar(11) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL,
  `update_time` datetime(0) NULL DEFAULT NULL,
  `update_by` varchar(11) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `sys_dict_value`(`name`) USING BTREE,
  INDEX `sys_dict_label`(`type`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 7 CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '字典表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_dict
-- ----------------------------
INSERT INTO `sys_dict` VALUES (1, '操作类型', 'rz_czlx', 1, '日志操作类型', '2021-05-14 13:55:49', '1', '2021-05-14 13:55:49', '1');
INSERT INTO `sys_dict` VALUES (6, '3', '3', 1, '3', '2022-06-14 16:05:51', '1', '2022-06-14 16:05:51', '1');

-- ----------------------------
-- Table structure for sys_dict_item
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_item`;
CREATE TABLE `sys_dict_item`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `label` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `value` int(11) NULL DEFAULT NULL,
  `sort` int(11) NULL DEFAULT NULL,
  `enable` int(4) NULL DEFAULT NULL,
  `create_time` datetime(0) NULL DEFAULT NULL,
  `create_by` int(11) NULL DEFAULT NULL,
  `update_time` datetime(0) NULL DEFAULT NULL,
  `update_by` int(11) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 12 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '字典值表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_dict_item
-- ----------------------------
INSERT INTO `sys_dict_item` VALUES (1, 'rz_czlx', '新增', 1, 1, 1, '2021-05-14 13:56:08', 1, '2021-05-14 13:56:08', 1);
INSERT INTO `sys_dict_item` VALUES (2, 'rz_czlx', '修改', 2, 2, 1, '2021-05-14 13:56:15', 1, '2021-05-14 13:56:15', 1);
INSERT INTO `sys_dict_item` VALUES (3, 'rz_czlx', '删除', 3, 3, 1, '2021-05-14 13:56:23', 1, '2021-05-14 13:56:23', 1);
INSERT INTO `sys_dict_item` VALUES (4, 'rz_czlx', '授权', 4, 4, 1, '2021-05-14 13:56:37', 1, '2021-05-14 13:56:37', 1);
INSERT INTO `sys_dict_item` VALUES (5, 'rz_czlx', '其它', 0, 0, 1, '2021-05-14 14:15:44', 1, '2021-05-21 08:47:34', 1);
INSERT INTO `sys_dict_item` VALUES (6, 'rz_czlx', '导出', 5, 5, 1, '2021-05-14 14:16:10', 1, '2021-05-14 14:16:10', 1);
INSERT INTO `sys_dict_item` VALUES (7, 'rz_czlx', '导入', 6, 6, 1, '2021-05-14 14:16:20', 1, '2021-05-14 14:16:20', 1);
INSERT INTO `sys_dict_item` VALUES (8, 'rz_czlx', '强退', 7, 7, 1, '2021-05-14 14:16:33', 1, '2021-05-14 14:16:33', 1);
INSERT INTO `sys_dict_item` VALUES (9, 'rz_czlx', '生成代码', 8, 8, 1, '2021-05-14 14:16:42', 1, '2021-05-14 14:16:42', 1);
INSERT INTO `sys_dict_item` VALUES (10, 'rz_czlx', '清空数据', 9, 9, 1, '2021-05-14 14:16:55', 1, '2021-05-14 14:16:55', 1);
INSERT INTO `sys_dict_item` VALUES (11, '3', '333', 33, 33, NULL, '2022-06-14 16:06:49', 1, '2022-06-14 16:06:49', 1);

-- ----------------------------
-- Table structure for sys_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_log`;
CREATE TABLE `sys_log`  (
  `id` bigint(50) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `title` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT '' COMMENT '日志标题',
  `operation_type` int(4) NULL DEFAULT NULL COMMENT '操作类型',
  `status` int(4) NULL DEFAULT NULL COMMENT '状态（0：失败 1：成功）',
  `remote_addr` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '操作IP地址',
  `username` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '操作用户昵称',
  `request_uri` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '请求URI',
  `http_method` varchar(10) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '操作方式',
  `class_method` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '请求类型.方法',
  `query_params` text CHARACTER SET utf8 COLLATE utf8_bin NULL COMMENT '操作提交的数据',
  `session_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT 'sessionId',
  `response` longtext CHARACTER SET utf8 COLLATE utf8_bin NULL COMMENT '返回内容',
  `use_time` bigint(11) NULL DEFAULT NULL COMMENT '方法执行时间',
  `browser` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '浏览器信息',
  `area` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '地区',
  `province` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '省',
  `city` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '市',
  `isp` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '网络服务提供商',
  `exception` text CHARACTER SET utf8 COLLATE utf8_bin NULL COMMENT '异常信息',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` bigint(64) NULL DEFAULT NULL,
  `update_time` datetime(0) NULL DEFAULT NULL,
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `sys_log_create_by`(`create_by`) USING BTREE,
  INDEX `sys_log_request_uri`(`request_uri`) USING BTREE,
  INDEX `sys_log_create_date`(`create_time`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 81 CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '日志表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_log
-- ----------------------------
INSERT INTO `sys_log` VALUES (1, '用户修改', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/edit', 'POST', 'com.cool.bang.modules.system.controller.SysUserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"credentialsNonExpired\":true,\"email\":\"guanliyuan@163.com\",\"enabled\":true,\"id\":1,\"params\":{},\"phone\":\"0533706688\",\"realName\":\"超级管理员\",\"roleList\":[{\"id\":1,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"username\":\"admin\"}]', 'DF28CC250C360F94A23C4D9314EA7735', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 26, 'Windows-Chrome-91.0.4472.77', NULL, NULL, NULL, NULL, NULL, NULL, '2021-06-10 11:12:22', NULL, '2021-06-10 11:12:22', NULL);
INSERT INTO `sys_log` VALUES (2, '用户修改', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/edit', 'POST', 'com.cool.bang.modules.system.controller.SysUserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"credentialsNonExpired\":true,\"email\":\"guanliyuan@163.com\",\"enabled\":true,\"id\":1,\"params\":{},\"phone\":\"0533706688\",\"realName\":\"超级管理员\",\"roleList\":[{\"id\":1,\"params\":{}},{\"id\":2,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"username\":\"admin\"}]', '7746581D56690720D019C06783A38BD9', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 39, 'Windows-Chrome-91.0.4472.77', NULL, NULL, NULL, NULL, NULL, NULL, '2021-06-10 11:13:06', NULL, '2021-06-10 11:13:06', NULL);
INSERT INTO `sys_log` VALUES (3, '用户修改', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/edit', 'POST', 'com.cool.bang.modules.system.controller.SysUserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"credentialsNonExpired\":true,\"email\":\"guanliyuan@163.com\",\"enabled\":true,\"id\":1,\"params\":{},\"phone\":\"0533706688\",\"realName\":\"超级管理员\",\"roleList\":[{\"id\":1,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"username\":\"admin\"}]', 'A3E4367FC2B22A3113ACD5363F0CE59D', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 19, 'Windows-Chrome-91.0.4472.77', NULL, NULL, NULL, NULL, NULL, NULL, '2021-06-10 11:13:21', NULL, '2021-06-10 11:13:21', NULL);
INSERT INTO `sys_log` VALUES (4, '用户修改', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/edit', 'POST', 'com.cool.bang.modules.system.controller.SysUserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"credentialsNonExpired\":true,\"email\":\"guanliyuan@163.com\",\"enabled\":true,\"id\":1,\"params\":{},\"phone\":\"0533706688\",\"realName\":\"超级管理员\",\"roleList\":[{\"id\":1,\"params\":{}},{\"id\":2,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"username\":\"admin\"}]', 'E0A00ECE9EFEC06BBD13B8DA46A620C7', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 24, 'Windows-Chrome-91.0.4472.77', NULL, NULL, NULL, NULL, NULL, NULL, '2021-06-10 11:17:17', NULL, '2021-06-10 11:17:17', NULL);
INSERT INTO `sys_log` VALUES (5, '用户新增', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8082/system/user/add', 'POST', 'com.cool.bang.modules.system.controller.SysUserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"credentialsNonExpired\":true,\"delFlag\":1,\"email\":\"8888888@163.com\",\"enable\":1,\"enabled\":true,\"id\":2,\"params\":{},\"password\":\"$2a$10$Sx2e1wKLXfKYDNM/CYxfTuW/k0AcGzwLBaTExAsLwoRRIZkB9I14y\",\"phone\":\"8888888\",\"realName\":\"测试\",\"roleList\":[{\"id\":2,\"params\":{}}],\"updateBy\":1,\"username\":\"test\"}]', 'E165320E46555D5E8E803EE63932D09B', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 124, 'Windows-Chrome-91.0.4472.124', NULL, NULL, NULL, NULL, NULL, NULL, '2021-07-12 11:49:22', NULL, '2021-07-12 11:49:22', NULL);
INSERT INTO `sys_log` VALUES (6, '用户修改', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8082/system/user/edit', 'POST', 'com.cool.bang.modules.system.controller.SysUserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"credentialsNonExpired\":true,\"email\":\"8888888@163.com\",\"enabled\":true,\"id\":2,\"params\":{},\"phone\":\"8888888\",\"realName\":\"测试\",\"roleList\":[{\"id\":2,\"params\":{}}],\"updateBy\":1,\"username\":\"test\"}]', 'E165320E46555D5E8E803EE63932D09B', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 49, 'Windows-Chrome-91.0.4472.124', NULL, NULL, NULL, NULL, NULL, NULL, '2021-07-12 11:49:26', NULL, '2021-07-12 11:49:26', NULL);
INSERT INTO `sys_log` VALUES (7, '用户修改', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8082/system/user/edit', 'POST', 'com.cool.bang.modules.system.controller.SysUserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"credentialsNonExpired\":true,\"email\":\"8888888@163.com\",\"enabled\":true,\"id\":2,\"params\":{},\"phone\":\"8888888\",\"realName\":\"测试\",\"roleList\":[{\"id\":2,\"params\":{}}],\"updateBy\":1,\"username\":\"test\"}]', 'E165320E46555D5E8E803EE63932D09B', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 28, 'Windows-Chrome-91.0.4472.124', NULL, NULL, NULL, NULL, NULL, NULL, '2021-07-12 11:49:27', NULL, '2021-07-12 11:49:27', NULL);
INSERT INTO `sys_log` VALUES (8, '角色授权', 4, 1, '127.0.0.1', '超级管理员', 'http://localhost:8082/system/role/grant', 'POST', 'com.cool.bang.modules.system.controller.SysRoleController.editAuth', '[{\"id\":1,\"menuList\":[{\"children\":[],\"id\":1,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":7,\"params\":{}},{\"children\":[],\"id\":8,\"params\":{}},{\"children\":[],\"id\":9,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":16,\"params\":{}},{\"children\":[],\"id\":17,\"params\":{}},{\"children\":[],\"id\":18,\"params\":{}},{\"children\":[],\"id\":19,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":6,\"params\":{}},{\"children\":[],\"id\":5,\"params\":{}},{\"children\":[],\"id\":10,\"params\":{}},{\"children\":[],\"id\":11,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":13,\"params\":{}},{\"children\":[],\"id\":14,\"params\":{}},{\"children\":[],\"id\":15,\"params\":{}}],\"params\":{}}]', '94ED21226FFE37D60EB1C54B417034CD', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 156, 'Windows-Chrome-91.0.4472.124', NULL, NULL, NULL, NULL, NULL, NULL, '2021-07-12 17:16:37', NULL, '2021-07-12 17:16:37', NULL);
INSERT INTO `sys_log` VALUES (9, '用户修改', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/edit', 'POST', 'com.cool.bang.modules.system.controller.SysUserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"avatar\":\"/upload/img/202110/26/a3bd398a-9fca-48a5-97d5-fa446574455f.jpg\",\"credentialsNonExpired\":true,\"email\":\"guanliyuan@163.com\",\"enabled\":true,\"id\":1,\"params\":{},\"phone\":\"0533706688\",\"realName\":\"超级管理员\",\"sex\":0,\"updateBy\":1,\"username\":\"admin\"}]', '3E2F4E7512BD735736B417C5A4F7D5AE', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 20, 'Windows-Chrome-95.0.4638.54', NULL, NULL, NULL, NULL, NULL, NULL, '2021-10-26 17:27:32', NULL, '2021-10-26 17:27:32', NULL);
INSERT INTO `sys_log` VALUES (10, '用户【保存】', 1, 0, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/add', 'POST', 'com.cool.bang.modules.system.controller.SysUserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"credentialsNonExpired\":true,\"delFlag\":1,\"email\":\"1\",\"enable\":1,\"enabled\":true,\"id\":3,\"params\":{},\"password\":\"$2a$10$g8C.rB1zuwdQ4XjzKWoZ5OHrEqBrojYywsFCt4H5FK7yNm9vaf.0G\",\"phone\":\"1\",\"realName\":\"1\",\"roleList\":[{\"id\":2,\"params\":{}},{\"id\":1,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"username\":\"1\"}]', 'C50E84769E4D7A5DE94DB6F23A798B03', NULL, 279, 'Windows-Chrome-100.0.4896.88', NULL, NULL, NULL, NULL, '\r\n### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: Duplicate entry \'3-1\' for key \'PRIMARY\'\r\n### The error may exist in file [E:\\idea_project\\coob_v2\\target\\classes\\mapper\\system\\SysUserMapper.xml]\r\n### The error may involve defaultParameterMap\r\n### The error occurred while setting parameters\r\n### SQL: insert into sys_user_role (user_id, role_id)         values                        (?, ?)          ,              (?, ?)\r\n### Cause: java.sql.SQLIntegrityConstraintViolationException: Duplicate entry \'3-1\' for key \'PRIMARY\'\n; Duplicate entry \'3-1\' for key \'PRIMARY\'; nested exception is java.sql.SQLIntegrityConstraintViolationException: Duplicate entry \'3-1\' for key \'PRIMARY\'', NULL, '2022-04-18 11:08:28', NULL, '2022-04-18 11:08:28', NULL);
INSERT INTO `sys_log` VALUES (11, '用户【保存】', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/add', 'POST', 'com.cool.bang.modules.system.controller.SysUserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"credentialsNonExpired\":true,\"delFlag\":1,\"email\":\"1\",\"enable\":1,\"enabled\":true,\"id\":4,\"params\":{},\"password\":\"$2a$10$pd6iW.cMuy5yQOpNL0.vU.oZr9EsCQP./molqWfiWzKKQgwe6FEYm\",\"phone\":\"1\",\"realName\":\"1\",\"roleList\":[{\"id\":2,\"params\":{}},{\"id\":1,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"username\":\"1\"}]', 'D2EA299DAE5F0A695553F8BE11B55083', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 103, 'Windows-Chrome-100.0.4896.88', NULL, NULL, NULL, NULL, NULL, NULL, '2022-04-18 11:12:15', NULL, '2022-04-18 11:12:15', NULL);
INSERT INTO `sys_log` VALUES (12, '用户【保存】', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/add', 'POST', 'com.cool.bang.modules.system.controller.SysUserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"credentialsNonExpired\":true,\"delFlag\":1,\"email\":\"2\",\"enable\":1,\"enabled\":true,\"id\":5,\"params\":{},\"password\":\"$2a$10$BRNCOSgJAGiT6sEt46iOcO723TTQpIQNToKl7Tg8G3P.x1P/5XICq\",\"phone\":\"2\",\"realName\":\"2\",\"roleList\":[{\"id\":1,\"params\":{}},{\"id\":2,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"username\":\"2\"}]', '73A762DE9F709E63F8C790EA8FEEBDE4', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 95, 'Windows-Chrome-100.0.4896.88', NULL, NULL, NULL, NULL, NULL, NULL, '2022-04-18 11:22:44', NULL, '2022-04-18 11:22:44', NULL);
INSERT INTO `sys_log` VALUES (13, '用户【保存】', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/add', 'POST', 'com.cool.bang.modules.system.controller.SysUserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"credentialsNonExpired\":true,\"delFlag\":1,\"email\":\"3\",\"enable\":1,\"enabled\":true,\"id\":6,\"params\":{},\"password\":\"$2a$10$5nLwR5McKHC.ODtEqokS6u.1coX8RPZuSvobzPgQ0MI2jx3SUqkDu\",\"phone\":\"3\",\"realName\":\"3\",\"roleList\":[{\"id\":2,\"params\":{}},{\"id\":1,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"username\":\"3\"}]', '83B9FBA295B947F800DD518A56E0A453', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 97, 'Windows-Chrome-100.0.4896.88', NULL, NULL, NULL, NULL, NULL, NULL, '2022-04-18 11:23:36', NULL, '2022-04-18 11:23:36', NULL);
INSERT INTO `sys_log` VALUES (14, '用户【编辑】', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/edit', 'POST', 'com.cool.bang.modules.system.controller.SysUserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"credentialsNonExpired\":true,\"email\":\"22\",\"enabled\":true,\"id\":5,\"params\":{},\"phone\":\"22\",\"realName\":\"22\",\"roleList\":[{\"id\":1,\"params\":{}},{\"id\":2,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"username\":\"22\"}]', '4DA23DA9C71B4F3339A4EDAAA1A7400F', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 41, 'Windows-Chrome-100.0.4896.88', NULL, NULL, NULL, NULL, NULL, NULL, '2022-04-18 11:53:26', NULL, '2022-04-18 11:53:26', NULL);
INSERT INTO `sys_log` VALUES (15, '用户【保存】', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/add', 'POST', 'com.cool.bang.modules.system.controller.SysUserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"credentialsNonExpired\":true,\"delFlag\":1,\"email\":\"11\",\"enable\":1,\"enabled\":true,\"id\":7,\"params\":{},\"password\":\"$2a$10$uXWQS6PLTxkyuuuzPhmzI.OwkKq2m1BnEq2eEV1eJg6qIGnV6nAC6\",\"phone\":\"1\",\"realName\":\"11\",\"roleList\":[{\"id\":2,\"params\":{}},{\"id\":1,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"username\":\"11\"}]', '8CFE54587FAE7826A6A1ECD7A3AB46BD', '{\"code\":401,\"msg\":\"失败\",\"success\":true}', 217, 'Windows-Chrome-100.0.4896.127', NULL, NULL, NULL, NULL, NULL, NULL, '2022-04-24 13:46:50', NULL, '2022-04-24 13:46:50', NULL);
INSERT INTO `sys_log` VALUES (16, '用户【保存】', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/add', 'POST', 'com.cool.bang.modules.system.controller.SysUserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"credentialsNonExpired\":true,\"email\":\"1\",\"enabled\":true,\"params\":{},\"phone\":\"1\",\"realName\":\"1\",\"roleList\":[{\"id\":1,\"params\":{}},{\"id\":2,\"params\":{}}],\"sex\":0,\"username\":\"1\"}]', 'C25F5D519ADAC22D0EDEC90DAFA271DC', '{\"code\":500,\"msg\":\"账号已存在\",\"success\":false}', 2, 'Windows-Chrome-100.0.4896.127', NULL, NULL, NULL, NULL, NULL, NULL, '2022-04-24 13:47:08', NULL, '2022-04-24 13:47:08', NULL);
INSERT INTO `sys_log` VALUES (17, '用户【保存】', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/add', 'POST', 'com.cool.bang.modules.system.controller.SysUserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"credentialsNonExpired\":true,\"email\":\"22\",\"enabled\":true,\"params\":{},\"phone\":\"22\",\"realName\":\"22\",\"roleList\":[{\"id\":1,\"params\":{}},{\"id\":2,\"params\":{}}],\"sex\":0,\"username\":\"22\"}]', '4B882DB8D258779614D58384989906F5', '{\"code\":500,\"msg\":\"账号已存在\",\"success\":false}', 2, 'Windows-Chrome-100.0.4896.127', NULL, NULL, NULL, NULL, NULL, NULL, '2022-04-24 13:47:17', NULL, '2022-04-24 13:47:17', NULL);
INSERT INTO `sys_log` VALUES (18, '用户【保存】', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/add', 'POST', 'com.cool.bang.modules.system.controller.SysUserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"credentialsNonExpired\":true,\"delFlag\":1,\"email\":\"223\",\"enable\":1,\"enabled\":true,\"id\":8,\"params\":{},\"password\":\"$2a$10$iRXcvDBLxOs3Mr.2Xgc41ua6zuK25UQbDqW9t./si/88cFi3xo.su\",\"phone\":\"223\",\"realName\":\"223\",\"roleList\":[{\"id\":1,\"params\":{}},{\"id\":2,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"username\":\"223\"}]', '15F9FA65299116087D9A78E850779B4F', '{\"code\":401,\"msg\":\"失败\",\"success\":true}', 95, 'Windows-Chrome-100.0.4896.127', NULL, NULL, NULL, NULL, NULL, NULL, '2022-04-24 13:47:21', NULL, '2022-04-24 13:47:21', NULL);
INSERT INTO `sys_log` VALUES (19, '删除【用户】', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/8', 'DELETE', 'com.cool.bang.modules.system.controller.SysUserController.deleteBatch', '[\"8\"]', 'AA89E1DDE59004FC10221EE321096A80', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 33, 'Windows-Chrome-100.0.4896.127', NULL, NULL, NULL, NULL, NULL, NULL, '2022-04-24 14:14:02', NULL, '2022-04-24 14:14:02', NULL);
INSERT INTO `sys_log` VALUES (20, '编辑【用户】', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/', 'PUT', 'com.cool.bang.modules.system.controller.SysUserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"credentialsNonExpired\":true,\"email\":\"guanliyuan@163.com\",\"enabled\":true,\"id\":1,\"params\":{},\"phone\":\"0533706688\",\"realName\":\"超级管理员\",\"sex\":0,\"updateBy\":1,\"username\":\"admin\"}]', 'D5B3511950F8EEED5F3E12C1115B5898', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 15, 'Windows-Chrome-100.0.4896.127', NULL, NULL, NULL, NULL, NULL, NULL, '2022-04-24 14:17:32', NULL, '2022-04-24 14:17:32', NULL);
INSERT INTO `sys_log` VALUES (21, '编辑【用户】', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/', 'PUT', 'com.cool.bang.modules.system.controller.SysUserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"credentialsNonExpired\":true,\"email\":\"guanliyuan@163.com\",\"enabled\":true,\"id\":1,\"params\":{},\"phone\":\"0533706688\",\"realName\":\"超级管理员\",\"sex\":0,\"updateBy\":1,\"username\":\"admin\"}]', 'CB9ED9EF6D7E07AC7CC448D0D76C4820', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 7, 'Windows-Chrome-100.0.4896.127', NULL, NULL, NULL, NULL, NULL, NULL, '2022-04-24 14:35:02', NULL, '2022-04-24 14:35:02', NULL);
INSERT INTO `sys_log` VALUES (22, '编辑【用户】', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/', 'PUT', 'com.cool.bang.modules.system.controller.SysUserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"credentialsNonExpired\":true,\"email\":\"guanliyuan@163.com\",\"enabled\":true,\"id\":1,\"params\":{},\"phone\":\"0533706688\",\"realName\":\"超级管理员\",\"sex\":0,\"updateBy\":1,\"username\":\"admin\"}]', '178CECFBEFE3AB7007516EF24A025ED6', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 18, 'Windows-Chrome-100.0.4896.127', NULL, NULL, NULL, NULL, NULL, NULL, '2022-04-24 14:37:27', NULL, '2022-04-24 14:37:27', NULL);
INSERT INTO `sys_log` VALUES (23, '用户管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/', 'PUT', 'com.cool.bang.modules.system.controller.UserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":false,\"credentialsNonExpired\":true,\"enable\":false,\"enabled\":false,\"id\":2,\"params\":{}}]', 'EB96B0DA680A13A36594CAFD5DD6AE28', '{\"code\":500,\"msg\":\"账号名不能为空\",\"success\":false}', 20, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-06 17:08:54', NULL, '2022-06-06 17:08:54', NULL);
INSERT INTO `sys_log` VALUES (24, '用户管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/', 'PUT', 'com.cool.bang.modules.system.controller.UserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":false,\"credentialsNonExpired\":true,\"enable\":false,\"enabled\":false,\"id\":2,\"params\":{}}]', '8119D6AD6AE02319234EE7E8FC3F6B20', '{\"code\":500,\"msg\":\"账号名不能为空\",\"success\":false}', 0, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-06 17:09:00', NULL, '2022-06-06 17:09:00', NULL);
INSERT INTO `sys_log` VALUES (25, '用户管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/', 'PUT', 'com.cool.bang.modules.system.controller.UserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":false,\"credentialsNonExpired\":true,\"enable\":false,\"enabled\":false,\"id\":2,\"params\":{}}]', 'F8C4FB5F27A09EA554FE5A49302A43AF', '{\"code\":500,\"msg\":\"账号名不能为空\",\"success\":false}', 1, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-06 17:09:56', NULL, '2022-06-06 17:09:56', NULL);
INSERT INTO `sys_log` VALUES (26, '用户管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/', 'PUT', 'com.cool.bang.modules.system.controller.UserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":false,\"credentialsNonExpired\":true,\"delFlag\":false,\"enable\":false,\"enabled\":false,\"id\":2,\"params\":{}}]', '3B8C51AA63026F1481E3D0D57E447807', '{\"code\":500,\"msg\":\"账号名不能为空\",\"success\":false}', 5, 'Windows-Chrome-102.0.5005.63', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-06 17:19:29', NULL, '2022-06-06 17:19:29', NULL);
INSERT INTO `sys_log` VALUES (27, '用户管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'PUT', 'com.cool.bang.modules.system.controller.UserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":false,\"credentialsNonExpired\":true,\"delFlag\":false,\"email\":\"guanliyuan@163.com\",\"enable\":false,\"enabled\":false,\"id\":1,\"params\":{},\"phone\":\"0533706688\",\"realName\":\"超级管理员\",\"sex\":0,\"updateBy\":1,\"updateTime\":1654569904607,\"username\":\"admin\"}]', '740A18A9F0154C654B733CBB55693322', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 51, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-07 10:45:04', NULL, '2022-06-07 10:45:04', NULL);
INSERT INTO `sys_log` VALUES (28, '用户管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'PUT', 'com.cool.bang.modules.system.controller.UserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":false,\"credentialsNonExpired\":true,\"delFlag\":false,\"email\":\"guanliyuan@163.com\",\"enable\":false,\"enabled\":false,\"id\":1,\"params\":{},\"phone\":\"0533706688\",\"realName\":\"超级管理员\",\"sex\":0,\"updateBy\":1,\"updateTime\":1654570263439,\"username\":\"admin\"}]', 'F08BF7CF666A40477AAAEC32EE299D36', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 17508, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-07 10:51:20', NULL, '2022-06-07 10:51:20', NULL);
INSERT INTO `sys_log` VALUES (29, '用户管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'PUT', 'com.cool.bang.modules.system.controller.UserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"credentialsNonExpired\":true,\"delFlag\":true,\"email\":\"guanliyuan@163.com\",\"enable\":true,\"enabled\":true,\"id\":1,\"params\":{},\"phone\":\"0533706688\",\"realName\":\"超级管理员\",\"sex\":0,\"updateBy\":1,\"updateTime\":1654570600331,\"username\":\"admin\"}]', '65D5A2B001CFAB3260D6579834762CBE', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 52, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-07 10:56:40', NULL, '2022-06-07 10:56:40', NULL);
INSERT INTO `sys_log` VALUES (30, '用户管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'PUT', 'com.cool.bang.modules.system.controller.UserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"credentialsNonExpired\":true,\"delFlag\":true,\"email\":\"guanliyuan@163.com\",\"enable\":true,\"enabled\":true,\"id\":1,\"params\":{},\"phone\":\"0533706688\",\"realName\":\"超级管理员\",\"sex\":0,\"updateBy\":1,\"updateTime\":1654570680539,\"username\":\"admin\"}]', '2B85975BACCEEB513E99446DF21995FC', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 17, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-07 10:58:00', NULL, '2022-06-07 10:58:00', NULL);
INSERT INTO `sys_log` VALUES (31, '用户管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'PUT', 'com.cool.bang.modules.system.controller.UserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"credentialsNonExpired\":true,\"delFlag\":true,\"email\":\"guanliyuan@163.com\",\"enable\":true,\"enabled\":true,\"id\":1,\"params\":{},\"phone\":\"0533706688\",\"realName\":\"超级管理员\",\"sex\":0,\"updateBy\":1,\"updateTime\":1654570719979,\"username\":\"admin\"}]', '7116784AA1BFA2F475C5F70B0C1AEDC7', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 10, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-07 10:58:39', NULL, '2022-06-07 10:58:39', NULL);
INSERT INTO `sys_log` VALUES (32, '用户管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'PUT', 'com.cool.bang.modules.system.controller.UserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"avatar\":\"/upload/avatar/2022/06/07/7cf20258-5f50-4e0c-af52-e5702c6803b6.jpg\",\"credentialsNonExpired\":true,\"delFlag\":true,\"email\":\"guanliyuan@163.com\",\"enable\":true,\"enabled\":true,\"id\":1,\"params\":{},\"phone\":\"0533706688\",\"realName\":\"超级管理员\",\"sex\":0,\"updateBy\":1,\"updateTime\":1654570889058,\"username\":\"admin\"}]', '00C4F6B4E830088E97A38CBDAEDFD139', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 16, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-07 11:01:29', NULL, '2022-06-07 11:01:29', NULL);
INSERT INTO `sys_log` VALUES (33, '用户管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'PUT', 'com.cool.bang.modules.system.controller.UserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"avatar\":\"/upload/avatar/2022/06/07/97a9200f-05f2-44de-941f-4edfed4291e8.jpg\",\"credentialsNonExpired\":true,\"delFlag\":true,\"email\":\"guanliyuan@163.com\",\"enable\":true,\"enabled\":true,\"id\":1,\"params\":{},\"phone\":\"0533706688\",\"realName\":\"超级管理员\",\"sex\":0,\"updateBy\":1,\"updateTime\":1654571172558,\"username\":\"admin\"}]', '9712B3878574AE3DDEF36840ACDB26B3', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 14, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-07 11:06:12', NULL, '2022-06-07 11:06:12', NULL);
INSERT INTO `sys_log` VALUES (34, '用户管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'POST', 'com.cool.bang.modules.system.controller.UserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"createTime\":1654753678061,\"credentialsNonExpired\":true,\"delFlag\":true,\"enable\":true,\"enabled\":true,\"id\":9,\"params\":{},\"password\":\"$2a$10$CsPAoRnzkdN6Fbiggq0qdeJhHJd3.5F43y13WkG..2QXIK0zzHzwq\",\"updateBy\":1,\"updateTime\":1654753678061}]', '5D7ED832FDE2BCA1005CE08982C3C5E9', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 146, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-09 13:47:58', NULL, '2022-06-09 13:47:58', NULL);
INSERT INTO `sys_log` VALUES (35, '用户管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'POST', 'com.cool.bang.modules.system.controller.UserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"createTime\":1654753827915,\"credentialsNonExpired\":true,\"delFlag\":true,\"enable\":true,\"enabled\":true,\"id\":10,\"params\":{},\"password\":\"$2a$10$TCnkP0HP6a3QTABM2GS.WuxsO3mPTjd62eHYRIUTsutm5pJ3nx5Ey\",\"updateBy\":1,\"updateTime\":1654753827915}]', '19D9EB98A27917F8B85665A446133107', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 25925, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-09 13:50:27', NULL, '2022-06-09 13:50:27', NULL);
INSERT INTO `sys_log` VALUES (36, '用户管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'POST', 'com.cool.bang.modules.system.controller.UserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"createTime\":1654753844875,\"credentialsNonExpired\":true,\"delFlag\":true,\"enable\":true,\"enabled\":true,\"id\":11,\"params\":{},\"password\":\"$2a$10$fSvtinArtiEQ1ebGaqebROio3UDcgQ7VClYIXXeL1ymLHnIYhDtTO\",\"updateBy\":1,\"updateTime\":1654753844875}]', 'FE9294DA92F71B011680488036B2F363', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 100, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-09 13:50:44', NULL, '2022-06-09 13:50:44', NULL);
INSERT INTO `sys_log` VALUES (37, '用户管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'POST', 'com.cool.bang.modules.system.controller.UserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"createTime\":1654754898483,\"credentialsNonExpired\":true,\"delFlag\":true,\"enable\":true,\"enabled\":true,\"id\":12,\"params\":{},\"password\":\"$2a$10$HoeiNnVg7xNIvPiLs.m90.fEuT62HF3VS.Y7Tirxj6sVU7iK5lDK.\",\"updateBy\":1,\"updateTime\":1654754898483}]', '32E38F2472EBCB985D590DD79CB565A4', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 9029, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-09 14:08:18', NULL, '2022-06-09 14:08:18', NULL);
INSERT INTO `sys_log` VALUES (38, '用户管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'POST', 'com.cool.bang.modules.system.controller.UserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":false,\"credentialsNonExpired\":true,\"delFlag\":false,\"email\":\"1\",\"enable\":false,\"enabled\":false,\"params\":{},\"phone\":\"1\",\"realName\":\"1\",\"roleList\":[{\"id\":1,\"params\":{}},{\"id\":2,\"params\":{}}],\"sex\":0,\"username\":\"1\"}]', 'C4936C07EB12314F75B1836895DE267F', '{\"code\":500,\"msg\":\"该账号已被使用\",\"success\":false}', 7, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-09 14:10:05', NULL, '2022-06-09 14:10:05', NULL);
INSERT INTO `sys_log` VALUES (39, '用户管理', 1, 0, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'POST', 'com.cool.bang.modules.system.controller.UserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"createTime\":1654755011475,\"credentialsNonExpired\":true,\"delFlag\":true,\"email\":\"2\",\"enable\":true,\"enabled\":true,\"id\":13,\"params\":{},\"password\":\"$2a$10$EmtdS8AxMeMyGzLBK8aClOQlYRRbMckFhKE8deaRt7RvLStUYtEnW\",\"phone\":\"2\",\"realName\":\"2\",\"roleList\":[{\"id\":1,\"params\":{}},{\"id\":2,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"updateTime\":1654755011475,\"username\":\"2\"}]', 'C5CDDA4948359E4C5EF0B381103544A7', NULL, 105, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, 'nested exception is org.apache.ibatis.binding.BindingException: Parameter \'roleList\' not found. Available parameters are [roles, userId, param1, param2]', NULL, '2022-06-09 14:10:11', NULL, '2022-06-09 14:10:11', NULL);
INSERT INTO `sys_log` VALUES (40, '用户管理', 1, 0, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'POST', 'com.cool.bang.modules.system.controller.UserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"createTime\":1654755049905,\"credentialsNonExpired\":true,\"delFlag\":true,\"email\":\"2\",\"enable\":true,\"enabled\":true,\"id\":14,\"params\":{},\"password\":\"$2a$10$bKZBpHg7aGI1tooJjwRD.u43TuAtETTKio4w1.LVDSzChaaWVCWea\",\"phone\":\"2\",\"realName\":\"2\",\"roleList\":[{\"id\":1,\"params\":{}},{\"id\":2,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"updateTime\":1654755049905,\"username\":\"2\"}]', '814746F3A2CA1BEE87ECE63D26A5503C', NULL, 19755, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, 'nested exception is org.apache.ibatis.binding.BindingException: Parameter \'roleList\' not found. Available parameters are [roles, userId, param1, param2]', NULL, '2022-06-09 14:10:49', NULL, '2022-06-09 14:10:49', NULL);
INSERT INTO `sys_log` VALUES (41, '用户管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'POST', 'com.cool.bang.modules.system.controller.UserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":false,\"credentialsNonExpired\":true,\"delFlag\":false,\"email\":\"22\",\"enable\":false,\"enabled\":false,\"params\":{},\"phone\":\"22\",\"realName\":\"22\",\"roleList\":[{\"id\":1,\"params\":{}},{\"id\":2,\"params\":{}}],\"sex\":0,\"username\":\"22\"}]', 'A338A05854D40C3A788D8720DE24F9B1', '{\"code\":500,\"msg\":\"该账号已被使用\",\"success\":false}', 7, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-09 14:12:13', NULL, '2022-06-09 14:12:13', NULL);
INSERT INTO `sys_log` VALUES (42, '用户管理', 1, 0, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'POST', 'com.cool.bang.modules.system.controller.UserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"createTime\":1654755136855,\"credentialsNonExpired\":true,\"delFlag\":true,\"email\":\"222\",\"enable\":true,\"enabled\":true,\"id\":15,\"params\":{},\"password\":\"$2a$10$5esqx2o8/2LXMg5rtdeCxOZY3OMrO3oHw.8DJPRj7u.xImOUD/mpS\",\"phone\":\"222\",\"realName\":\"222\",\"roleList\":[{\"id\":1,\"params\":{}},{\"id\":2,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"updateTime\":1654755136855,\"username\":\"222\"}]', '94302EF1BDC75C4030F64E61F144A0A8', NULL, 111, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, 'nested exception is org.apache.ibatis.binding.BindingException: Parameter \'roleList\' not found. Available parameters are [roles, userId, param1, param2]', NULL, '2022-06-09 14:12:16', NULL, '2022-06-09 14:12:16', NULL);
INSERT INTO `sys_log` VALUES (43, '用户管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'POST', 'com.cool.bang.modules.system.controller.UserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"createTime\":1654755207183,\"credentialsNonExpired\":true,\"delFlag\":true,\"email\":\"222\",\"enable\":true,\"enabled\":true,\"id\":16,\"params\":{},\"password\":\"$2a$10$B0f0biG.zjRvEqhl1dr2mutl9pL5k0KWy71cUA2mburBbyG8t3TVC\",\"phone\":\"222\",\"realName\":\"222\",\"roleList\":[{\"id\":1,\"params\":{}},{\"id\":2,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"updateTime\":1654755207183,\"username\":\"222\"}]', 'B287C6486D2E6FC998F1B7DB23E2B4E8', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 134, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-09 14:13:27', NULL, '2022-06-09 14:13:27', NULL);
INSERT INTO `sys_log` VALUES (44, '用户管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'PUT', 'com.cool.bang.modules.system.controller.UserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"credentialsNonExpired\":true,\"delFlag\":true,\"email\":\"333\",\"enable\":true,\"enabled\":true,\"id\":16,\"params\":{},\"phone\":\"333\",\"realName\":\"333\",\"roleList\":[{\"id\":2,\"params\":{}}],\"sex\":1,\"updateBy\":1,\"updateTime\":1654755486833,\"username\":\"333\"}]', '2B9AC496C62E990F788D3AB80D2434BC', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 22, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-09 14:18:06', NULL, '2022-06-09 14:18:06', NULL);
INSERT INTO `sys_log` VALUES (45, '用户管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'POST', 'com.cool.bang.modules.system.controller.UserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"createTime\":1654756874186,\"credentialsNonExpired\":true,\"delFlag\":true,\"email\":\"1\",\"enable\":true,\"enabled\":true,\"id\":17,\"params\":{},\"password\":\"$2a$10$BKEArTwgdCcVgbEgcoqgZOheClL5RyQoenR7K8fjbZByQiNArbluW\",\"phone\":\"1\",\"realName\":\"1\",\"roleList\":[{\"id\":1,\"params\":{}},{\"id\":2,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"updateTime\":1654756874186,\"username\":\"1\"}]', 'B95B6DC7BB80751D6E369AFBEF627280', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 127, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-09 14:41:14', NULL, '2022-06-09 14:41:14', NULL);
INSERT INTO `sys_log` VALUES (46, '用户管理', 3, 0, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/17', 'DELETE', 'com.cool.bang.modules.system.controller.UserController.deleteBatch', '[17]', '612AD075161FFFD85FB5801530B22B34', NULL, 4, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, 'java.lang.Integer cannot be cast to java.lang.Long', NULL, '2022-06-09 14:41:20', NULL, '2022-06-09 14:41:20', NULL);
INSERT INTO `sys_log` VALUES (47, '用户管理', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/17', 'DELETE', 'com.cool.bang.modules.system.controller.UserController.deleteBatch', '[17]', '590C24FDA55614EBB75EBEBE02E1447A', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 26, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-09 14:43:19', NULL, '2022-06-09 14:43:19', NULL);
INSERT INTO `sys_log` VALUES (48, '用户管理', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/17', 'DELETE', 'com.cool.bang.modules.system.controller.UserController.deleteBatch', '[17]', '3489F7952B748142A2657D8F42338485', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 28, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-09 14:46:53', NULL, '2022-06-09 14:46:53', NULL);
INSERT INTO `sys_log` VALUES (49, '用户管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'PUT', 'com.cool.bang.modules.system.controller.UserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"credentialsNonExpired\":true,\"delFlag\":true,\"email\":\"2\",\"enable\":true,\"enabled\":true,\"id\":17,\"params\":{},\"phone\":\"2\",\"realName\":\"2\",\"roleList\":[{\"id\":1,\"params\":{}},{\"id\":2,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"updateTime\":1654757248110,\"username\":\"2\"}]', '68962F5E7547B89A49181FA15562C72B', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 19, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-09 14:47:28', NULL, '2022-06-09 14:47:28', NULL);
INSERT INTO `sys_log` VALUES (50, '用户管理', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/17', 'DELETE', 'com.cool.bang.modules.system.controller.UserController.deleteBatch', '[17]', '06FAF74C50E145DD615F468AC6F14CBF', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 12, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-09 14:47:47', NULL, '2022-06-09 14:47:47', NULL);
INSERT INTO `sys_log` VALUES (51, '用户管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'POST', 'com.cool.bang.modules.system.controller.UserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"createTime\":1654761526499,\"credentialsNonExpired\":true,\"delFlag\":true,\"email\":\"22\",\"enable\":true,\"enabled\":true,\"id\":2,\"params\":{},\"password\":\"$2a$10$qd3SCS50qs7vWSZvecC/FOFjw/.7MaGFFvcyU1p4SpedUVmOs7RZ6\",\"phone\":\"22\",\"realName\":\"22\",\"roleList\":[{\"id\":1,\"params\":{}},{\"id\":2,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"updateTime\":1654761526499,\"username\":\"22\"}]', 'DC39845CBA2255A01D6C1CA9C164F399', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 113, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-09 15:58:46', NULL, '2022-06-09 15:58:46', NULL);
INSERT INTO `sys_log` VALUES (52, '禁用|启用', 0, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/enable', 'PUT', 'com.cool.bang.modules.system.controller.UserController.enable', '[2,false]', 'A2979248265DC3595D1F0E7817C8000E', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 9, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-09 16:04:25', NULL, '2022-06-09 16:04:25', NULL);
INSERT INTO `sys_log` VALUES (53, '禁用|启用', 0, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/enable', 'PUT', 'com.cool.bang.modules.system.controller.UserController.enable', '[2,true]', '046D58192B2C972CF300DC4A73BFABC1', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 4, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-09 16:04:27', NULL, '2022-06-09 16:04:27', NULL);
INSERT INTO `sys_log` VALUES (54, '角色管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'POST', 'com.cool.bang.modules.system.controller.RoleController.add', '[{\"code\":\"1\",\"createBy\":1,\"createTime\":1654769802385,\"enable\":1,\"id\":3,\"name\":\"1\",\"params\":{},\"remark\":\"1\",\"sort\":1,\"updateBy\":1,\"updateTime\":1654769802385}]', 'BEE9F1547EE587DDCD20D880A7D81609', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 33, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-09 18:16:42', NULL, '2022-06-09 18:16:42', NULL);
INSERT INTO `sys_log` VALUES (55, '角色管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.edit', '[{\"code\":\"2\",\"id\":3,\"name\":\"2\",\"params\":{},\"remark\":\"2\",\"sort\":2,\"updateBy\":1}]', '1A79A34CAE09808EF69AD3E2EB11FE47', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 54, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-10 09:32:33', NULL, '2022-06-10 09:32:33', NULL);
INSERT INTO `sys_log` VALUES (56, '角色管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.edit', '[{\"code\":\"admin\",\"id\":1,\"name\":\"超级管理员\",\"params\":{},\"remark\":\"超级管理员，研发人员角色，拥有完整权限。\",\"sort\":1,\"updateBy\":1}]', '548C81373EB1CC0402042A5708AEC262', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 16, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-10 09:33:00', NULL, '2022-06-10 09:33:00', NULL);
INSERT INTO `sys_log` VALUES (57, '角色管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.edit', '[{\"code\":\"manager\",\"id\":2,\"name\":\"普通管理员\",\"params\":{},\"remark\":\"管理员，用户角色，拥有用户最高权限。\",\"sort\":2,\"updateBy\":1}]', '12A043337CE0C7B6F0C92173BF8BE33D', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 8, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-10 09:36:22', NULL, '2022-06-10 09:36:22', NULL);
INSERT INTO `sys_log` VALUES (58, '角色管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.edit', '[{\"code\":\"admin\",\"id\":1,\"name\":\"超级管理员\",\"params\":{},\"remark\":\"超级管理员，研发人员角色，拥有全部权限。\",\"sort\":1,\"updateBy\":1}]', '31529BAE3F82B7BCF7660BB8A0B2C99C', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 13, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-10 09:37:14', NULL, '2022-06-10 09:37:14', NULL);
INSERT INTO `sys_log` VALUES (59, '角色管理', 4, 0, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"menuList\":[{\"children\":[],\"id\":1,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":5,\"params\":{}},{\"children\":[],\"id\":10,\"params\":{}},{\"children\":[],\"id\":11,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}}],\"params\":{}}]', '052E9FECFF20CBED7333576897CFE54B', NULL, 165, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, '\r\n### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: Column \'role_id\' cannot be null\r\n### The error may exist in file [E:\\idea_project\\coob_v2\\target\\classes\\mapper\\system\\RoleMapper.xml]\r\n### The error may involve defaultParameterMap\r\n### The error occurred while setting parameters\r\n### SQL: insert into             sys_role_menu (role_id, menu_id)         values                        (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)\r\n### Cause: java.sql.SQLIntegrityConstraintViolationException: Column \'role_id\' cannot be null\n; Column \'role_id\' cannot be null; nested exception is java.sql.SQLIntegrityConstraintViolationException: Column \'role_id\' cannot be null', NULL, '2022-06-10 11:46:07', NULL, '2022-06-10 11:46:07', NULL);
INSERT INTO `sys_log` VALUES (60, '角色管理', 4, 0, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"menuList\":[{\"children\":[],\"id\":1,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":5,\"params\":{}},{\"children\":[],\"id\":10,\"params\":{}},{\"children\":[],\"id\":11,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}}],\"params\":{}}]', '123DA53EB1FE4906FAECFF21C0D018D8', NULL, 14011, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, '\r\n### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: Column \'role_id\' cannot be null\r\n### The error may exist in file [E:\\idea_project\\coob_v2\\target\\classes\\mapper\\system\\RoleMapper.xml]\r\n### The error may involve defaultParameterMap\r\n### The error occurred while setting parameters\r\n### SQL: insert into             sys_role_menu (role_id, menu_id)         values                        (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)\r\n### Cause: java.sql.SQLIntegrityConstraintViolationException: Column \'role_id\' cannot be null\n; Column \'role_id\' cannot be null; nested exception is java.sql.SQLIntegrityConstraintViolationException: Column \'role_id\' cannot be null', NULL, '2022-06-10 11:46:39', NULL, '2022-06-10 11:46:39', NULL);
INSERT INTO `sys_log` VALUES (61, '角色管理', 4, 0, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"id\":3,\"menuList\":[{\"children\":[],\"id\":1,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":5,\"params\":{}},{\"children\":[],\"id\":10,\"params\":{}},{\"children\":[],\"id\":11,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}}],\"params\":{}}]', '807A990361F7DFE93B7FBF904BF74E47', NULL, 11, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, '\r\n### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: Duplicate entry \'3-2\' for key \'PRIMARY\'\r\n### The error may exist in file [E:\\idea_project\\coob_v2\\target\\classes\\mapper\\system\\RoleMapper.xml]\r\n### The error may involve defaultParameterMap\r\n### The error occurred while setting parameters\r\n### SQL: insert into             sys_role_menu (role_id, menu_id)         values                        (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)\r\n### Cause: java.sql.SQLIntegrityConstraintViolationException: Duplicate entry \'3-2\' for key \'PRIMARY\'\n; Duplicate entry \'3-2\' for key \'PRIMARY\'; nested exception is java.sql.SQLIntegrityConstraintViolationException: Duplicate entry \'3-2\' for key \'PRIMARY\'', NULL, '2022-06-10 11:48:22', NULL, '2022-06-10 11:48:22', NULL);
INSERT INTO `sys_log` VALUES (62, '角色管理', 4, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"id\":3,\"menuList\":[{\"children\":[],\"id\":1,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":7,\"params\":{}},{\"children\":[],\"id\":8,\"params\":{}},{\"children\":[],\"id\":9,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":16,\"params\":{}},{\"children\":[],\"id\":17,\"params\":{}},{\"children\":[],\"id\":18,\"params\":{}},{\"children\":[],\"id\":19,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":6,\"params\":{}},{\"children\":[],\"id\":5,\"params\":{}},{\"children\":[],\"id\":10,\"params\":{}},{\"children\":[],\"id\":11,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":13,\"params\":{}},{\"children\":[],\"id\":14,\"params\":{}},{\"children\":[],\"id\":15,\"params\":{}}],\"params\":{}}]', '427F1061372701116A3886D66F028943', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 15, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-10 11:50:47', NULL, '2022-06-10 11:50:47', NULL);
INSERT INTO `sys_log` VALUES (63, '角色管理', 4, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"id\":3,\"menuList\":[{\"children\":[],\"id\":1,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":7,\"params\":{}},{\"children\":[],\"id\":8,\"params\":{}},{\"children\":[],\"id\":9,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":16,\"params\":{}},{\"children\":[],\"id\":17,\"params\":{}},{\"children\":[],\"id\":18,\"params\":{}},{\"children\":[],\"id\":19,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":6,\"params\":{}},{\"children\":[],\"id\":5,\"params\":{}},{\"children\":[],\"id\":10,\"params\":{}},{\"children\":[],\"id\":11,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":13,\"params\":{}},{\"children\":[],\"id\":14,\"params\":{}},{\"children\":[],\"id\":15,\"params\":{}}],\"params\":{}}]', 'B76C943BC30C4966FABFD911FEA06A65', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 51, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-10 17:30:24', NULL, '2022-06-10 17:30:24', NULL);
INSERT INTO `sys_log` VALUES (64, '角色管理', 4, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"id\":3,\"menuList\":[],\"params\":{}}]', '250F9BC4701D9B1A4C3AF69E6BC5CA80', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 73, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-13 15:37:00', NULL, '2022-06-13 15:37:00', NULL);
INSERT INTO `sys_log` VALUES (65, '角色管理', 4, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"id\":3,\"menuList\":[{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":7,\"params\":{}},{\"children\":[],\"id\":8,\"params\":{}},{\"children\":[],\"id\":9,\"params\":{}}],\"params\":{}}]', 'FC0F660FA3DD7FB5813E7316350FA081', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 27, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-13 15:37:16', NULL, '2022-06-13 15:37:16', NULL);
INSERT INTO `sys_log` VALUES (66, '角色管理', 4, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"id\":3,\"menuList\":[],\"params\":{}}]', '8CCBEC7216BA56734ECA47582E65B81A', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 2, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-13 15:37:41', NULL, '2022-06-13 15:37:41', NULL);
INSERT INTO `sys_log` VALUES (67, '角色管理', 4, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"id\":3,\"menuList\":[{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":7,\"params\":{}},{\"children\":[],\"id\":8,\"params\":{}},{\"children\":[],\"id\":9,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":16,\"params\":{}},{\"children\":[],\"id\":17,\"params\":{}},{\"children\":[],\"id\":18,\"params\":{}},{\"children\":[],\"id\":19,\"params\":{}}],\"params\":{}}]', '0E748E656DA0EA13C1F069F92A176831', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 13, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-13 15:38:22', NULL, '2022-06-13 15:38:22', NULL);
INSERT INTO `sys_log` VALUES (68, '角色管理', 4, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"id\":3,\"menuList\":[{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":7,\"params\":{}},{\"children\":[],\"id\":8,\"params\":{}},{\"children\":[],\"id\":9,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":16,\"params\":{}},{\"children\":[],\"id\":17,\"params\":{}},{\"children\":[],\"id\":18,\"params\":{}},{\"children\":[],\"id\":19,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":6,\"params\":{}}],\"params\":{}}]', '1093DDFEF14468A2BFC79A49C67E1C3B', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 9, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-13 15:38:27', NULL, '2022-06-13 15:38:27', NULL);
INSERT INTO `sys_log` VALUES (69, '角色管理', 4, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"id\":3,\"menuList\":[{\"children\":[],\"id\":1,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":7,\"params\":{}},{\"children\":[],\"id\":8,\"params\":{}},{\"children\":[],\"id\":9,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":16,\"params\":{}},{\"children\":[],\"id\":17,\"params\":{}},{\"children\":[],\"id\":18,\"params\":{}},{\"children\":[],\"id\":19,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":6,\"params\":{}},{\"children\":[],\"id\":5,\"params\":{}},{\"children\":[],\"id\":10,\"params\":{}},{\"children\":[],\"id\":11,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":13,\"params\":{}},{\"children\":[],\"id\":14,\"params\":{}},{\"children\":[],\"id\":15,\"params\":{}}],\"params\":{}}]', '71CBCCF0721E708947EF3DE370582B13', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 11, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-13 15:38:34', NULL, '2022-06-13 15:38:34', NULL);
INSERT INTO `sys_log` VALUES (70, '角色管理', 4, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"id\":3,\"menuList\":[{\"children\":[],\"id\":1,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":7,\"params\":{}},{\"children\":[],\"id\":8,\"params\":{}},{\"children\":[],\"id\":9,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":16,\"params\":{}},{\"children\":[],\"id\":17,\"params\":{}},{\"children\":[],\"id\":18,\"params\":{}},{\"children\":[],\"id\":19,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":6,\"params\":{}},{\"children\":[],\"id\":11,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":13,\"params\":{}},{\"children\":[],\"id\":15,\"params\":{}}],\"params\":{}}]', '5598450E61ED2F5D6DFB0F699F862C09', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 20, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-13 15:39:47', NULL, '2022-06-13 15:39:47', NULL);
INSERT INTO `sys_log` VALUES (71, '角色管理', 4, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"id\":1,\"menuList\":[{\"children\":[],\"id\":1,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":7,\"params\":{}},{\"children\":[],\"id\":8,\"params\":{}},{\"children\":[],\"id\":9,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":16,\"params\":{}},{\"children\":[],\"id\":17,\"params\":{}},{\"children\":[],\"id\":18,\"params\":{}},{\"children\":[],\"id\":19,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":6,\"params\":{}},{\"children\":[],\"id\":21,\"params\":{}},{\"children\":[],\"id\":5,\"params\":{}},{\"children\":[],\"id\":10,\"params\":{}},{\"children\":[],\"id\":11,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":13,\"params\":{}},{\"children\":[],\"id\":14,\"params\":{}},{\"children\":[],\"id\":15,\"params\":{}}],\"params\":{}}]', '55F986F54F57C9735B694D77A388FDFD', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 33, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-14 10:25:46', NULL, '2022-06-14 10:25:46', NULL);
INSERT INTO `sys_log` VALUES (72, '角色管理', 4, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"id\":1,\"menuList\":[{\"children\":[],\"id\":1,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":7,\"params\":{}},{\"children\":[],\"id\":8,\"params\":{}},{\"children\":[],\"id\":9,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":16,\"params\":{}},{\"children\":[],\"id\":17,\"params\":{}},{\"children\":[],\"id\":18,\"params\":{}},{\"children\":[],\"id\":19,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":6,\"params\":{}},{\"children\":[],\"id\":20,\"params\":{}},{\"children\":[],\"id\":5,\"params\":{}},{\"children\":[],\"id\":10,\"params\":{}},{\"children\":[],\"id\":11,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":13,\"params\":{}},{\"children\":[],\"id\":14,\"params\":{}},{\"children\":[],\"id\":15,\"params\":{}}],\"params\":{}}]', 'BA2A461B6C24343521C35843BC618B2B', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 42, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-14 11:16:00', NULL, '2022-06-14 11:16:00', NULL);
INSERT INTO `sys_log` VALUES (73, '字典管理', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/dict/v1/', 'DELETE', 'com.cool.bang.modules.system.controller.DictController.batchRemove', '[\"2\"]', '9413B6ECE79A434F716EE0CF2A373A95', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 41, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-14 16:03:28', NULL, '2022-06-14 16:03:28', NULL);
INSERT INTO `sys_log` VALUES (74, '字典管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/dict/v1/', 'POST', 'com.cool.bang.modules.system.controller.DictController.save', '[{\"createBy\":1,\"createTime\":1655193867003,\"enable\":1,\"name\":\"1\",\"params\":{},\"remark\":\"1\",\"type\":\"1\",\"updateBy\":1,\"updateTime\":1655193867003}]', '246ECF7E2C943408C52D805852222035', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 13, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-14 16:04:27', NULL, '2022-06-14 16:04:27', NULL);
INSERT INTO `sys_log` VALUES (75, '字典管理', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/dict/v1/', 'DELETE', 'com.cool.bang.modules.system.controller.DictController.batchRemove', '[\"3\"]', 'C2815AAFEF49284EC43E3970BC90A18A', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 9, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-14 16:04:30', NULL, '2022-06-14 16:04:30', NULL);
INSERT INTO `sys_log` VALUES (76, '字典管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/dict/v1/', 'POST', 'com.cool.bang.modules.system.controller.DictController.save', '[{\"createBy\":1,\"createTime\":1655193883504,\"enable\":1,\"name\":\"2\",\"params\":{},\"remark\":\"2\",\"type\":\"2\",\"updateBy\":1,\"updateTime\":1655193883504}]', '4C0AB8CD4AD0F59174E75DFA2ADD0D46', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 7, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-14 16:04:43', NULL, '2022-06-14 16:04:43', NULL);
INSERT INTO `sys_log` VALUES (77, '字典管理', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/dict/v1/', 'DELETE', 'com.cool.bang.modules.system.controller.DictController.batchRemove', '[\"4\"]', '3548C3AA1A8FA8B4FACF1C3A0EE3BE32', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 7, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-14 16:05:23', NULL, '2022-06-14 16:05:23', NULL);
INSERT INTO `sys_log` VALUES (78, '字典管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/dict/v1/', 'POST', 'com.cool.bang.modules.system.controller.DictController.save', '[{\"createBy\":1,\"createTime\":1655193930879,\"enable\":1,\"name\":\"2\",\"params\":{},\"remark\":\"2\",\"type\":\"2\",\"updateBy\":1,\"updateTime\":1655193930879}]', 'A230055993AD13FCB736F78BAE8D458A', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 7, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-14 16:05:30', NULL, '2022-06-14 16:05:30', NULL);
INSERT INTO `sys_log` VALUES (79, '字典管理', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/dict/v1/', 'DELETE', 'com.cool.bang.modules.system.controller.DictController.batchRemove', '[\"5\"]', 'FA2E2519DB87AF38BD78CFF24C9210C9', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 8, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-14 16:05:33', NULL, '2022-06-14 16:05:33', NULL);
INSERT INTO `sys_log` VALUES (80, '字典管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/dict/v1/', 'POST', 'com.cool.bang.modules.system.controller.DictController.save', '[{\"createBy\":1,\"createTime\":1655193951480,\"enable\":1,\"name\":\"3\",\"params\":{},\"remark\":\"3\",\"type\":\"3\",\"updateBy\":1,\"updateTime\":1655193951480}]', 'F6C4238BC37E9B5CBA5F55BBC64BF278', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 5, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-14 16:05:51', NULL, '2022-06-14 16:05:51', NULL);

-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu`;
CREATE TABLE `sys_menu`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NULL DEFAULT 0 COMMENT '父键',
  `name` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '权限名称',
  `type` tinyint(1) NULL DEFAULT NULL COMMENT '权限类型',
  `code` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '权限标识',
  `url` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '权限路径',
  `icon` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '权限图标',
  `sort` int(11) NULL DEFAULT NULL COMMENT '权限排序',
  `enable` tinyint(1) NULL DEFAULT NULL COMMENT '启用标识',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `create_by` int(4) NULL DEFAULT NULL COMMENT '创建人',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '修改时间',
  `update_by` int(4) NULL DEFAULT NULL COMMENT '修改人',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '权限说明',
  `del_flag` tinyint(2) NULL DEFAULT NULL COMMENT '删除标识',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 22 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '权限表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of sys_menu
-- ----------------------------
INSERT INTO `sys_menu` VALUES (1, 0, '系统管理', 0, '', '', 'layui-icon layui-icon layui-icon layui-icon-set-fill', 1, 1, NULL, NULL, NULL, NULL, NULL, 1);
INSERT INTO `sys_menu` VALUES (2, 1, '用户管理', 1, 'sys:user:main', 'view/system/user/main.html', 'layui-icon layui-icon layui-icon-username', 1, 1, NULL, NULL, NULL, 1, NULL, 1);
INSERT INTO `sys_menu` VALUES (3, 1, '角色管理', 1, 'sys:role:main', 'view/system/role/main.html', 'layui-icon layui-icon-user', 2, 1, NULL, NULL, NULL, NULL, NULL, 1);
INSERT INTO `sys_menu` VALUES (4, 1, '权限管理', 1, 'sys:menu:main', 'view/system/menu/main.html', 'layui-icon layui-icon-vercode', 3, 1, NULL, NULL, NULL, NULL, NULL, 1);
INSERT INTO `sys_menu` VALUES (5, 1, '数据监控 ', 1, '', '/druid/sql', 'layui-icon layui-icon layui-icon layui-icon layui-icon layui-icon', 5, 1, NULL, NULL, NULL, 1, NULL, 1);
INSERT INTO `sys_menu` VALUES (6, 4, '新增', 2, 'sys:menu:add', '', 'layui-icon  layui-icon-add-1', 1, 1, NULL, NULL, NULL, NULL, NULL, 1);
INSERT INTO `sys_menu` VALUES (7, 2, '新增', 2, 'sys:user:add', '', 'layui-icon layui-icon-rate-half', 1, 1, NULL, NULL, NULL, NULL, NULL, 1);
INSERT INTO `sys_menu` VALUES (8, 2, '编辑', 2, 'sys:user:edit', '', 'layui-icon ', 2, 1, '2021-04-23 13:44:38', 1, NULL, NULL, NULL, 1);
INSERT INTO `sys_menu` VALUES (9, 2, '删除', 2, 'sys:user:del', '', 'layui-icon ', 3, 1, '2021-04-23 13:45:45', 1, NULL, NULL, NULL, 1);
INSERT INTO `sys_menu` VALUES (10, 1, '日志管理', 1, 'sys:log:list', '/system/log/main', 'layui-icon ', 4, 1, NULL, NULL, NULL, NULL, NULL, 1);
INSERT INTO `sys_menu` VALUES (11, 1, '自动生成', 1, NULL, '/generator/main', 'layui-icon ', 1, 1, NULL, NULL, NULL, NULL, NULL, 1);
INSERT INTO `sys_menu` VALUES (12, 1, '字典管理', 1, 'sys:dict:main', 'view/system/dict/main.html', 'layui-icon ', 5, 1, '2021-05-13 14:37:28', 1, '2022-06-14 11:16:34', 1, NULL, 1);
INSERT INTO `sys_menu` VALUES (13, 12, '新增', 2, 'sys:dict:add', '', 'layui-icon layui-icon ', 1, 1, '2021-05-13 15:10:42', 1, NULL, 1, NULL, 1);
INSERT INTO `sys_menu` VALUES (14, 12, '编辑', 2, 'sys:dict:edit', '', 'layui-icon ', 2, 1, '2021-05-13 15:11:32', 1, NULL, NULL, NULL, 1);
INSERT INTO `sys_menu` VALUES (15, 12, '删除', 2, 'sys:dict:del', '', 'layui-icon ', 3, 1, '2021-05-13 15:11:53', 1, NULL, NULL, NULL, 1);
INSERT INTO `sys_menu` VALUES (16, 3, '新增', 2, 'sys:role:add', '', 'layui-icon ', 1, 1, '2021-05-14 14:43:26', 1, NULL, NULL, NULL, 1);
INSERT INTO `sys_menu` VALUES (17, 3, '编辑', 2, 'sys:role:edit', '', 'layui-icon ', 2, 1, '2021-05-14 14:43:50', 1, NULL, NULL, NULL, 1);
INSERT INTO `sys_menu` VALUES (18, 3, '授权', 2, 'sys:role:grant', '', 'layui-icon ', 3, 1, '2021-05-14 14:44:06', 1, NULL, NULL, NULL, 1);
INSERT INTO `sys_menu` VALUES (19, 3, '删除', 2, 'sys:role:del', '', 'layui-icon ', 4, 1, '2021-05-14 14:44:29', 1, NULL, NULL, NULL, 1);
INSERT INTO `sys_menu` VALUES (20, 4, '编辑', 2, 'sys:menu:edit', '', 'layui-icon ', 2, 1, '2022-06-14 10:25:34', 1, '2022-06-14 10:25:34', 1, NULL, 1);

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '角色名称',
  `code` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '角色标识',
  `enable` tinyint(4) NULL DEFAULT NULL COMMENT '启用标识',
  `sort` int(11) NULL DEFAULT NULL COMMENT '排序',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `create_by` int(11) NULL DEFAULT NULL COMMENT '创建人',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `update_by` int(11) NULL DEFAULT NULL COMMENT '更新人',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of sys_role
-- ----------------------------
INSERT INTO `sys_role` VALUES (1, '超级管理员', 'admin', 1, 1, '2021-06-10 09:46:18', 1, '2022-06-10 09:37:14', 1, '超级管理员，研发人员角色，拥有全部权限。');
INSERT INTO `sys_role` VALUES (2, '普通管理员', 'manager', 1, 2, '2021-06-10 09:46:28', 1, '2022-06-10 09:36:22', 1, '管理员，用户角色，拥有用户最高权限。');
INSERT INTO `sys_role` VALUES (3, '2', '2', 1, 2, '2022-06-09 18:16:42', 1, '2022-06-10 09:32:33', 1, '2');

-- ----------------------------
-- Table structure for sys_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_menu`;
CREATE TABLE `sys_role_menu`  (
  `role_id` int(11) NOT NULL,
  `menu_id` int(11) NOT NULL,
  PRIMARY KEY (`role_id`, `menu_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色权限表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of sys_role_menu
-- ----------------------------
INSERT INTO `sys_role_menu` VALUES (1, 1);
INSERT INTO `sys_role_menu` VALUES (1, 2);
INSERT INTO `sys_role_menu` VALUES (1, 3);
INSERT INTO `sys_role_menu` VALUES (1, 4);
INSERT INTO `sys_role_menu` VALUES (1, 5);
INSERT INTO `sys_role_menu` VALUES (1, 6);
INSERT INTO `sys_role_menu` VALUES (1, 7);
INSERT INTO `sys_role_menu` VALUES (1, 8);
INSERT INTO `sys_role_menu` VALUES (1, 9);
INSERT INTO `sys_role_menu` VALUES (1, 10);
INSERT INTO `sys_role_menu` VALUES (1, 11);
INSERT INTO `sys_role_menu` VALUES (1, 12);
INSERT INTO `sys_role_menu` VALUES (1, 13);
INSERT INTO `sys_role_menu` VALUES (1, 14);
INSERT INTO `sys_role_menu` VALUES (1, 15);
INSERT INTO `sys_role_menu` VALUES (1, 16);
INSERT INTO `sys_role_menu` VALUES (1, 17);
INSERT INTO `sys_role_menu` VALUES (1, 18);
INSERT INTO `sys_role_menu` VALUES (1, 19);
INSERT INTO `sys_role_menu` VALUES (1, 20);
INSERT INTO `sys_role_menu` VALUES (2, 1);
INSERT INTO `sys_role_menu` VALUES (2, 2);
INSERT INTO `sys_role_menu` VALUES (2, 3);
INSERT INTO `sys_role_menu` VALUES (2, 4);
INSERT INTO `sys_role_menu` VALUES (2, 5);
INSERT INTO `sys_role_menu` VALUES (2, 6);
INSERT INTO `sys_role_menu` VALUES (3, 1);
INSERT INTO `sys_role_menu` VALUES (3, 2);
INSERT INTO `sys_role_menu` VALUES (3, 3);
INSERT INTO `sys_role_menu` VALUES (3, 4);
INSERT INTO `sys_role_menu` VALUES (3, 6);
INSERT INTO `sys_role_menu` VALUES (3, 7);
INSERT INTO `sys_role_menu` VALUES (3, 8);
INSERT INTO `sys_role_menu` VALUES (3, 9);
INSERT INTO `sys_role_menu` VALUES (3, 11);
INSERT INTO `sys_role_menu` VALUES (3, 12);
INSERT INTO `sys_role_menu` VALUES (3, 13);
INSERT INTO `sys_role_menu` VALUES (3, 15);
INSERT INTO `sys_role_menu` VALUES (3, 16);
INSERT INTO `sys_role_menu` VALUES (3, 17);
INSERT INTO `sys_role_menu` VALUES (3, 18);
INSERT INTO `sys_role_menu` VALUES (3, 19);

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE `sys_user`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dept_id` bigint(20) NULL DEFAULT NULL COMMENT '部门主键',
  `username` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '用户账号',
  `password` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '用户密码',
  `real_name` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户昵称',
  `avatar` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户头像',
  `sex` tinyint(1) NULL DEFAULT NULL COMMENT '用户性别',
  `phone` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '联系电话',
  `email` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '联系邮箱',
  `enable` tinyint(1) NULL DEFAULT NULL COMMENT '启用标识 0 禁用 1 正常',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `create_by` int(4) NULL DEFAULT NULL COMMENT '创建人',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '修改时间',
  `update_by` int(4) NULL DEFAULT NULL COMMENT '修改人',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户说明',
  `del_flag` tinyint(1) NULL DEFAULT NULL COMMENT '删除标识 0 删除 1 正常',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_user_dept`(`dept_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of sys_user
-- ----------------------------
INSERT INTO `sys_user` VALUES (1, NULL, 'admin', '$2a$10$h3LMN.qQ/X2XJYq6qsSE2eSDYZO5EC0ECy0AD6DpJW3e3gRV3NXtm', '超级管理员', '/upload/avatar/2022/06/07/97a9200f-05f2-44de-941f-4edfed4291e8.jpg', 0, '0533706688', 'guanliyuan@163.com', 1, '2021-04-13 17:06:44', NULL, '2022-06-07 11:06:12', 1, NULL, 1);

-- ----------------------------
-- Table structure for sys_user_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_role`;
CREATE TABLE `sys_user_role`  (
  `user_id` bigint(20) NOT NULL,
  `role_id` bigint(20) NOT NULL,
  PRIMARY KEY (`user_id`, `role_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户角色表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of sys_user_role
-- ----------------------------
INSERT INTO `sys_user_role` VALUES (1, 1);
INSERT INTO `sys_user_role` VALUES (1, 2);
INSERT INTO `sys_user_role` VALUES (2, 1);
INSERT INTO `sys_user_role` VALUES (2, 2);

SET FOREIGN_KEY_CHECKS = 1;
