package com.cool.bang.core.annotation;


import com.cool.bang.common.constant.enums.OperationType;

import java.lang.annotation.*;

/**
 * Log Annotation (日志元注解)
 *
 * @author PeiZhi Guo
 * 2021-04-23 10:11
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface Log {

    /**
     * 操作类型
     */
    OperationType operationType() default OperationType.OTHER;

    /**
     * 功能模块
     */
    String title() default "";
}
