package com.cool.bang.modules.approval.mapper;

import com.cool.bang.common.base.BaseMapper;
import com.cool.bang.modules.approval.domain.po.ApprovalFlow;
import org.springframework.stereotype.Repository;

/**
 * 审批流程
 *
 * @author PeiZhi Guo
 * 2022-8-1 16:48
 */
@Repository
public interface ApprovalFlowMapper extends BaseMapper<ApprovalFlow> {

    /**
     * 根据编码查询流程
     */
    ApprovalFlow queryByNumber(String number);

    /**
     * 根据类型查询流程
     */
    ApprovalFlow queryByFlowType(Integer type);


    /**
     * 排除传入的，查询是否已有启用的版本
     *
     * Param version
     * Return int
     */
    int selectByExclude(Integer version);


}
