package com.cool.bang.modules.approval.service;

import com.cool.bang.common.base.BaseIService;
import com.cool.bang.modules.approval.domain.po.ApprovalNode;

import java.util.List;

/**
 * 描述：审批节点接口类
 *
 * @author PeiZhi Guo
 * 2022-08-15 15:48
 */
public interface IApprovalNodeService extends BaseIService<ApprovalNode> {

    /**
     * 根据流程主键查询开始节点
     *
     * Param flowId
     * Return
     */
    ApprovalNode queryStartNodeByFlowId(Long flowId);

    /**
     * 根据流程主键查询节点
     *
     * Param flowNumber
     * return
     */
    List<ApprovalNode> queryByFlowNumber(String flowNumber);

    /**
     * 根据节点编码查询流程
     *
     */
    ApprovalNode queryByNumber(String number);

    /**
     * 根据流程主键、审核人查询节点
     *
     * Param type
     * Param examineBy
     * Return
     */
    ApprovalNode queryByExamineBy(Integer type, Long spr);

}
