package com.cool.bang.modules.business.mapper;

import com.cool.bang.common.base.BaseMapper;
import com.cool.bang.modules.business.domain.LpbHouse;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
* 房屋信息
*
* @author Sy
* 2024-10-22 09:20
*/
@Repository
public interface LpbHouseMapper extends BaseMapper<LpbHouse> {

    /**
     * <p>
     *   根据单元主键查询房屋数组
     * </p>
     *
     * @param  unitId 单元主键
     * @return List<Map<String, Object>>
     */
    List<LpbHouse> selectByUnit(Integer unitId);

    /**
     * <p>
     *   根据楼主键查询房屋数组
     * </p>
     *
     * @param  buildingId 单元主键
     * @return List<Map<String, Object>>
     */
    List<LpbHouse> selectByBuild(Integer buildingId);


    int insertLike(Long id,Long communityId, Long houseId);
}


