package com.cool.bang.modules.business.service;

import com.cool.bang.common.base.BaseIService;
import com.cool.bang.common.web.request.PageDomain;
import com.cool.bang.modules.business.domain.LpbHouse;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
* 房屋信息
*
* @author Sy
* 2024-10-22 09:20
*/
public interface ILpbHouseService extends BaseIService<LpbHouse> {


    /**
     * 根据单元主键查询房屋数组
     *
     * Param  unitId
     * Return List<Map<String, Object>>
     */
    List<LpbHouse> queryByUnit(Integer unitId);
    /**
     * 根据楼主键查询房屋数组
     *
     * Param  buildingId
     * Return List<Map<String, Object>>
     */
    List<LpbHouse> queryByBuild(Integer buildingId);

    /**
     * 查询房屋列表
     */
    PageInfo<LpbHouse> housePage(PageDomain page, LpbHouse param);

    /**
     * 喜欢房屋绑定
     */
    boolean updateLike(Long id,Long communityId, Long houseId);

}
