package com.cool.bang.modules.generate.mapper;

import com.cool.bang.common.base.BaseMapper;
import com.cool.bang.modules.generate.domain.po.TableColumnInfo;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Database table column info mapper interface (代码生成表列接口)
 *
 * @author PeiZhi Guo
 * 2021-4-13 11:04
 */
@Repository
public interface TableColumnInfoMapper extends BaseMapper<TableColumnInfo> {

    /**
     * 根据 (表名称) 查询表列
     *
     * Param tableName
     * Return TableColumnInfo
     */
    List<TableColumnInfo> selectByTableName(String tableName);

    /**
     * 根据(TableInfo.id)查询表列
     *
     * @param tableId TableInfo.id
     * @return TableColumnInfo
     */
    List<TableColumnInfo> selectByTableId(Long tableId);
}
