package com.cool.bang.modules.generate.mapper;

import com.cool.bang.common.base.BaseMapper;
import com.cool.bang.modules.generate.domain.po.TableInfo;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Database table info mapper interface (代码生成表接口)
 *
 * @author PeiZhi Guo
 * 2021-3-26 11:40
 */
@Repository
public interface TableInfoMapper extends BaseMapper<TableInfo> {

    /**
     * 查询数据库表
     *
     * Param
     * Return list
     */
    List<TableInfo> selectDataBaseTableByParam(TableInfo tableInfo);

    /**
     * 根据表名查询数据库表 (批量)
     *
     * Param name
     * Return list
     */
    List<TableInfo> selectByNames(String... name);

    /**
     * 根据主键查询表信息
     *
     * Param id
     * Return
     */
    TableInfo selectTableById(Long id);

    /**
     * 根据 (表名称) 查询单条数据
     *
     * Param tableName
     * Return
     */
    TableInfo selectByTableName(String tableName);

}
