package com.cool.bang.modules.system.mapper;

import com.cool.bang.common.base.BaseMapper;
import com.cool.bang.modules.system.domain.po.Org;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 组织机构
 *
 * @author PeiZhi Guo
 * 2022-7-11 11:50
 */
@Repository
public interface OrgMapper extends BaseMapper<Org> {

    /**
     * 根据组织机构名称查询
     *
     * Param name
     * Return org
     */
    Org selectByOrgName(String name);

    /**
     * 根据组织机构名称以及主键查询是否存在
     *
     * Param name
     * Param id
     * Return int
     */
    int orgNameUniqueCheck(String name, Long id);

    /**
     * 查询组织机构树
     *
     * Return list
     */
    List<Org> selectTreeAll();

    /**
     * 根据组织主键查询子集
     *
     * Param id
     * Return
     */
    int selectChildren(Long id);
}
