package com.cool.bang.modules.system.mapper;

import com.cool.bang.common.base.BaseMapper;
import com.cool.bang.modules.system.domain.po.Role;
import com.cool.bang.modules.system.domain.po.UserAndRole;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * system user and system role middle mapper interface
 *
 * @author PeiZhi Guo
 * 2022-6-6 14:41
 */
@Repository
public interface UserAndRoleMapper extends BaseMapper<UserAndRole> {

    /**
     * 保存用户的同时，需要保存用户关联的角色信息。
     *
     * Param userId
     * Param roles
     * Return int
     */
    int insertUserIdAndRoles(@Param("userId") Long userId, @Param("roles") List<Role> roles);

    /**
     * 根据用户主键：删除用户、角色中间表信息。
     *
     * Param userId
     * Return int
     */
    int deleteByUserId(Long userId);

}
