package com.cool.bang.modules.system.service;

import com.cool.bang.common.base.BaseIService;
import com.cool.bang.modules.system.domain.po.Org;

import java.util.List;

/**
 * system organizational service interface
 *
 * @author PeiZhi Guo
 * 2022-7-11 12:58
 */
public interface IOrgService extends BaseIService<Org> {

    /**
     * 根据组织机构名称查询
     *
     * Param name
     * Return org
     */
    Org queryByOrgName(String name);

    /**
     * 组织机构唯一校验：根据组织机构名以及组织机构主键查询用户是否已存在。
     *
     * Param name
     * Param id
     * Return boolean
     */
    boolean orgNameUniqueCheck(String name, Long id);

    /**
     * 查询部门下拉树
     *
     * Return list
     */
    List<Org> querySelectTree();

    /**
     * 根据主键查询子集
     *
     * Param id
     * Return boolean
     */
    boolean queryChildren(Long id);
}
