package com.cool.bang.modules.system.service;

import com.cool.bang.common.base.BaseIService;
import com.cool.bang.modules.system.domain.po.Resource;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.security.NoSuchAlgorithmException;
import java.util.List;

/**
 * 文件
*
 * @author PeiZhi Guo
 * 2022-09-08 15:12
 */
public interface IResourceService extends BaseIService<Resource> {

    /**
     * 主键查询
     *
     * Param id
     * Return T
     */
    List<Resource> queryByTableId(Long id,Integer wjlx);

    /**
     * 文件上传方法
     * @param file MultipartFile文件对象
     * @return  文件在云上的地址
     */
    String upload(MultipartFile file, String path) throws IOException, NoSuchAlgorithmException;

    /**
     * 上传文件
     * @param resources
     * @return
     */
    Boolean saveImg(List<Resource> resources,Long id);

    /**
     * 删除已经上传到云上的文件
     * @param id
     * @return 是否删除成功
     */
    Boolean deleteTableId(Long id,Integer type);

    /**
     * 删除已经上传到云上的文件
     * @param path 文件地址
     * @return 是否删除成功
     */
    Boolean delete(String path);
}
