package com.cool.bang.modules.system.service;

import com.cool.bang.common.base.BaseIService;
import com.cool.bang.modules.system.domain.po.Role;

/**
 * system role service interface
 *
 * @author PeiZhi Guo
 * 2021-2-27 16:06
 */
public interface IRoleService extends BaseIService<Role> {

    /**
     * 根据角色名称查询数据量
     *
     * Param name
     * Return Integer
     */
    Integer getCountByName(String name);

    /**
     * 修改角色权限
     *
     * Param sysRole
     * Return boolean
     */
    boolean updateRoleMenu(Role sysRole);

    /**
     * 删除角色
     *
     * Param id
     * Return boolean
     */
    boolean deleteRole(Integer id);
}
