<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="keywords" content="">
    <meta name="description" content="">
    <title title="${functionName}"></title>
    <link rel="stylesheet" href="../../../component/pear/css/pear.css">
    <style>
        .layui-form {padding: 20px 30px 15px 15px;}
        .layui-footer {left: 0;text-align: right;position: fixed;right: 0;bottom: 0;height: 44px;line-height: 44px;padding: 4px 10px;background-color: #eee;}
    </style>
</head>
<body>
<form class="layui-form" lay-filter="edit">
    <input type="hidden" name="id">
<#assign datetime=0>
<#list columns as column>
    <#if table.isSuperColumn(column.javaField)>
    <#else>
        <#if column.javaField == "id">
        <#else>
            <#if column.isInsert?? && column.isInsert == 1>
                <#if column.htmlType?? && column.htmlType == 'input'>
    <div class="layui-form-item">
        <label class="layui-form-label <#if column.isRequired?? && column.isRequired == 1>layui-required</#if>">${(column.columnComment?split(r'\s+', 'r')[0])!}：</label>
        <div class="layui-input-block">
            <input type="text" name="${column.javaField}" <#if column.isRequired?? && column.isRequired == 1>lay-verify="required"</#if>
                   class="layui-input" autocomplete="off" placeholder="">
        </div>
    </div>
                <#elseif column.htmlType?? && column.htmlType == 'textarea'>
    <div class="layui-form-item">
        <label class="layui-form-label <#if column.isRequired?? && column.isRequired == 1>layui-required</#if>">${(column.columnComment?split(r'\s+', 'r')[0])!}：</label>
        <div class="layui-input-block">
            <textarea name="${column.javaField}" <#if column.isRequired?? && column.isRequired == 1>lay-verify="required"</#if>
                      class="layui-textarea" placeholder="" autocomplete="off"></textarea>
        </div>
    </div>
                <#elseif column.htmlType?? && column.htmlType == 'select'>
    <div class="layui-form-item">
        <label class="layui-form-label <#if column.isRequired?? && column.isRequired == 1>layui-required</#if>">${(column.columnComment?split(r'\s+', 'r')[0])!}：</label>
        <div class="layui-input-block">
            <select name="${column.javaField}" <#if column.isRequired?? && column.isRequired == 1>lay-verify="required"</#if>>
            </select>
        </div>
    </div>
                <#elseif column.htmlType?? && column.htmlType == 'checkbox'>
    <div class="layui-form-item">
        <label class="layui-form-label <#if column.isRequired?? && column.isRequired == 1>layui-required</#if>">${(column.columnComment?split(r'\s+', 'r')[0])!}：</label>
        <div class="layui-input-block">
            <input type="checkbox" name="${column.javaField}" lay-skin="primary" title="请填写" checked="">
            <input type="checkbox" name="${column.javaField}" lay-skin="primary" title="请填写">
        </div>
    </div>
                <#elseif column.htmlType?? && column.htmlType == 'radio'>
    <div class="layui-form-item">
        <label class="layui-form-label <#if column.isRequired?? && column.isRequired == 1>layui-required</#if>">${(column.columnComment?split(r'\s+', 'r')[0])!}：</label>
        <div class="layui-input-block">
            <input type="radio" name="${column.javaField}" value="" title="请填写" checked="">
            <input type="radio" name="${column.javaField}" value="" title="请填写">
        </div>
    </div>
                <#elseif column.htmlType?? && column.htmlType == 'datetime'>
                <#assign datetime=1>
    <div class="layui-form-item">
        <label class="layui-form-label <#if column.isRequired?? && column.isRequired == 1>layui-required</#if>">${(column.columnComment?split(r'\s+', 'r')[0])!}：</label>
        <div class="layui-input-block">
            <input type="text" id="${column.javaField}" name="${column.javaField}" <#if column.isRequired?? && column.isRequired == 1>lay-verify="required"</#if>
                   class="layui-input" autocomplete="off" placeholder="">
        </div>
    </div>
                <#elseif column.htmlType?? && column.htmlType == 'upload'>
    <div class="layui-form-item">
        <label class="layui-form-label <#if column.isRequired?? && column.isRequired == 1>layui-required</#if>">${(column.columnComment?split(r'\s+', 'r')[0])!}：</label>
        <div class="layui-input-block">
            <input type="text" name="${column.javaField}" <#if column.isRequired?? && column.isRequired == 1>lay-verify="required"</#if>
                   class="layui-input" autocomplete="off" placeholder="">
        </div>
    </div>
                </#if>
            </#if>
        </#if>
    </#if>
</#list>
    <div class="layui-footer">
        <button type="submit" class="pear-btn pear-btn-primary"
                lay-submit="" lay-filter="save">提 交</button>
        <button type="button" class="pear-btn"
                onclick="parent.layer.closeAll()">关 闭</button>
    </div>
</form>
<script src="../../../component/layui/layui.js"></script>
<script src="../../../component/pear/pear.js"></script>
<script>
    layui.use(['request', 'form' <#if datetime == 1>,'laydate'</#if>], function() {
        var $ = layui.jquery,
            request = layui.request,
            <#if datetime == 1>
            laydate = layui.laydate,</#if>
            form = layui.form;

        var MODULE_PATH = "/${(moduleName)!}/${(businessName)!}/v1/";
        <#list columns as column>
            <#if table.isSuperColumn(column.javaField)>
            <#else>
                <#if column.javaField == "id">
                <#else>
                    <#if column.isInsert?? && column.isInsert == 1>
                        <#if column.htmlType?? && column.htmlType == 'datetime'>

        laydate.render({
            elem: '#${column.javaField}',
            format: 'yyyy-MM-dd',
            trigger: 'click'
        });
                        </#if>
                    </#if>
                </#if>
            </#if>
        </#list>

        layer.ready(function() {
            var id = request.getQueryString("id");
            if (id) {
                request.httpGet(MODULE_PATH + id, function (result) {
                    form.val('edit', result.data);
                });
            }
        });

        form.on('submit(save)', function (data) {
            request.http({
                url: MODULE_PATH +(data.field.id ? 'edit' : ''),
                type: 'post',
                data: JSON.stringify(data.field),
                dataType: "json",
                contentType: 'application/json',
                success: function (res) {
                    if (res.success) {
                        parent.layui.popup.success(res.msg, function () {
                            parent.layer.close(parent.layer.getFrameIndex(window.name));
                            parent.refresh();
                        })
                    } else {
                        parent.layui.popup.failure(res.msg);
                    }
                }
            });
            return false;
        });
    })
</script>
</body>
</html>
