package ${packageName}.${moduleName}.controller;

import com.cool.bang.common.base.BaseController;
import com.cool.bang.common.constant.ControllerConstant;
import com.cool.bang.common.web.request.PageDomain;
import com.cool.bang.common.web.response.Result;
import com.cool.bang.common.web.response.module.ResultTable;
import com.github.pagehelper.PageInfo;
import ${packageName}.${moduleName}.domain.${ClassName};
import ${packageName}.${moduleName}.service.I${ClassName}Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;

/**
* ${functionName}
*
* @author ${author}
* @version 1.0.0
* ${datetime}
*/
@RestController
@RequestMapping(ControllerConstant.${moduleName?upper_case} + "${businessName}/v1")
public class ${ClassName}Controller extends BaseController {

private I${ClassName}Service ${className}Service;

@Autowired
public ${ClassName}Controller(I${ClassName}Service ${className}Service) {
this.${className}Service = ${className}Service;
}

@GetMapping
@PreAuthorize("hasPermission('','${moduleName}:${businessName}:main')")
public ResultTable main(PageDomain pageDomain, ${ClassName} param) {
PageInfo<${ClassName}> ${className}Page = ${className}Service.page(pageDomain, param);
return pageTable(${className}Page.getList(), ${className}Page.getTotal());
}

@GetMapping("{id}")
@PreAuthorize("hasPermission('','${moduleName}:${businessName}:main')")
public Result get(@PathVariable Long id) {
return success(${className}Service.queryById(id));
}

@PostMapping
@PreAuthorize("hasPermission('','${moduleName}:${businessName}:add')")
public Result add(@RequestBody ${ClassName} ${className}) {
${className}.insertConfigure();
return decide(${className}Service.save(${className}));
}

@PostMapping("edit")
@PreAuthorize("hasPermission('','${moduleName}:${businessName}:edit')")
public Result edit(@RequestBody ${ClassName} ${className}) {
return decide(${className}Service.update(${className}));
}

@DeleteMapping("{id}")
@PreAuthorize("hasPermission('','${moduleName}:${businessName}:del')")
public Result remove(@PathVariable Integer id) {
return decide(${className}Service.removeById(id));
}

}
