package ${packageName}.${moduleName}.domain;

<#list importList as import>
    import ${import};
</#list>
import com.cool.bang.common.base.BaseDomain;
import com.cool.bang.common.constant.enums.StatusType;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
* ${functionName}
*
* @author ${author}
* ${datetime}
*/
public class ${ClassName} extends BaseDomain {

private static final long serialVersionUID = 1L;

<#list columns as column>
    <#if table.isSuperColumn(column.javaField)>
    <#else>
        <#if column.javaField != "id">

            /** ${column.columnComment} */
        </#if>
        <#if column.javaType == "Date">
            @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
        </#if>
        private ${column.javaType} ${column.javaField};
    </#if>
    <#if column.javaField == "delFlag">

        @Override
        public void insertConfigure() {
        super.insertConfigure();
        this.delFlag = StatusType.ENABLE.ordinal();
        }
    </#if>
</#list>
<#list columns as column>
    <#if table.isSuperColumn(column.javaField)>
    <#else>

        public ${column.javaType} get${column.javaField?cap_first}() {
        return ${column.javaField};
        }

        public void set${column.javaField?cap_first}(${column.javaType} ${column.javaField}) {
        this.${column.javaField} = ${column.javaField};
        }
    </#if>
</#list>
}
