<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="${packageName}.${moduleName}.mapper.${ClassName}Mapper">

    <!-- 结果集 -->
    <resultMap id="${ClassName}Map" type="${packageName}.${moduleName}.domain.${ClassName}">
        <#assign space=1>
        <#list columns as column>
            <#if (column.javaField?length > space)>
                <#assign space=(column.javaField?length)>
            </#if>
        </#list>
        <#list columns as column>
            <#if column.javaField == "id">
                <id property=${("\"id\"")?right_pad(space+6)} column=${("\"id\"")?right_pad(space+3)} jdbcType="${(column.jdbcType)!}"/>
            <#else>
                <result property="${(column.javaField + "\"")?right_pad(space+1)} column="${(column.columnName + "\"")?right_pad(space+2)} jdbcType="${(column.jdbcType)!}"/>
            </#if>
        </#list>
    </resultMap>

    <!-- 返回结果集 -->
    <select id="selectByParam" parameterType="${packageName}.${moduleName}.domain.${ClassName}" resultMap="${ClassName}Map">
        select
        <#list columns as column><#if column_index = 0 && column.isList != 1>${(column.columnName)!}</#if><#if column.isList?? && column.isList == 1>, ${(column.columnName)!}</#if></#list>
        from
        ${tableName}
        <where>
            <#list columns as column>
                <#if column.javaField == "id">
                <#else>
                    <#if column.isQuery?? && column.isQuery == 1>
                        <if test="${column.javaField} != null<#if column.javaType == "String"> and ${column.javaField} != ''</#if>">
                            <#if column.queryType == 'EQ'>
                                and ${column.columnName} = ${r"#{"}${column.javaField}${r"}"}
                            <#elseif column.queryType == 'NE'>
                                and ${column.columnName} != ${r"#{"}${column.javaField}${r"}"}
                            <#elseif column.queryType == 'GT'>
                                and ${column.columnName} &gt; ${r"#{"}${column.javaField}${r"}"}
                            <#elseif column.queryType == 'GTE'>
                                and ${column.columnName} &gt;= ${r"#{"}${column.javaField}${r"}"}
                            <#elseif column.queryType == 'LT'>
                                and ${column.columnName} &lt; ${r"#{"}${column.javaField}${r"}"}
                            <#elseif column.queryType == 'LTE'>
                                and ${column.columnName} &lt;= ${r"#{"}${column.javaField}${r"}"}
                            <#elseif column.queryType == 'LIKE'>
                                and ${column.columnName} like concat('%', ${r"#{"}${column.javaField}${r"}"}, '%')
                            </#if>
                        </if>
                    </#if>
                </#if>
            </#list>
        </where>
    </select>

    <!-- 返回单条记录 -->
    <select id="selectById" resultMap="${ClassName}Map">
        select
        <#list columns as column>${column.columnName}<#if column_has_next>, </#if></#list>
        from
        ${tableName}
        where
        id = <#list columns as column><#if column.javaField == "id">${r"#{"}id,jdbcType=${(column.jdbcType)!}${r"}"}</#if></#list>
    </select>

    <!-- 插入一条记录 -->
    <insert id="insert" parameterType="${packageName}.${moduleName}.domain.${ClassName}">
        insert into
        ${tableName} (<#list columns as column>${column.columnName}<#if column_has_next>, </#if></#list>)
        values
        (<#list columns as column>${r"#{"}${column.javaField},jdbcType=${(column.jdbcType)!}${r"}"}<#if column_has_next>, </#if></#list>)
    </insert>

    <!-- 更新一条记录 -->
    <update id="update" parameterType="${packageName}.${moduleName}.domain.${ClassName}">
        update ${tableName}
        <set>
            <#list columns as column>
                <#if column.javaField == "id">
                <#else>
                    <#if column.isEdit?? && column.isEdit == 1>
                        <if test="${column.javaField} != null<#if column.javaType == "String"> and ${column.javaField} != ''</#if>">${column.columnName} = ${r"#{"}${column.javaField},jdbcType=${(column.jdbcType)!}${r"}"}<#if column_has_next>, </#if></if>
                    </#if>
                </#if>
            </#list>
        </set>
        where id = <#list columns as column><#if column.javaField == "id">${r"#{"}id,jdbcType=${(column.jdbcType)!}${r"}"}</#if></#list>
    </update>

    <!-- 删除一条记录 -->
    <delete id="delete">
        delete from ${tableName} where id = <#list columns as column><#if column.javaField == "id">${r"#{"}id,jdbcType=${(column.jdbcType)!}${r"}"}</#if></#list>
    </delete>

</mapper>
