/*
 Navicat Premium Data Transfer

 Source Server         : 127.0.0.1
 Source Server Type    : MySQL
 Source Server Version : 50722
 Source Host           : localhost:3306
 Source Schema         : coob_v2_1

 Target Server Type    : MySQL
 Target Server Version : 50722
 File Encoding         : 65001

 Date: 23/11/2023 10:34:49
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for gen_table
-- ----------------------------
DROP TABLE IF EXISTS `gen_table`;
CREATE TABLE `gen_table`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `table_name` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '表名称',
  `table_comment` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '表描述',
  `class_name` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '实体类名称',
  `function_author` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '开发者名称',
  `template` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '模版类型',
  `package_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '生成包路径',
  `module_name` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '生成模块名',
  `business_name` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '生成业务名',
  `gen_type` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '生成代码方式 0 zip压缩包 1 自定义路径',
  `gen_path` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '生成路径',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `remark` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注说明',
  `del_flag` tinyint(1) NULL DEFAULT NULL COMMENT '删除标识 0 删除 1正常',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '代码生成表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of gen_table
-- ----------------------------
INSERT INTO `gen_table` VALUES (1, 't_text', '', 'Text', 'PeiZhi Guo', NULL, 'com.cool.bang.modules', NULL, 'text', NULL, NULL, '2022-07-14 17:44:38', '1', '2022-07-14 17:44:38', '1', NULL, 1);
INSERT INTO `gen_table` VALUES (2, 't_text', '', 'Text', 'PeiZhi Guo', NULL, 'com.cool.bang.modules', NULL, 'text', NULL, NULL, '2022-07-14 17:44:58', '1', '2022-07-14 17:44:58', '1', NULL, 1);

-- ----------------------------
-- Table structure for gen_table_column
-- ----------------------------
DROP TABLE IF EXISTS `gen_table_column`;
CREATE TABLE `gen_table_column`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `table_id` int(11) NULL DEFAULT NULL COMMENT '表ID',
  `column_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '列名称',
  `column_comment` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '列描述',
  `column_type` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '列类型',
  `java_type` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'java类型',
  `java_field` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'java字段名',
  `jdbc_type` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'jdbc类型',
  `is_pk` int(4) NULL DEFAULT NULL COMMENT '是否主键',
  `is_increment` int(4) NULL DEFAULT NULL COMMENT '是否自增',
  `is_required` int(4) NULL DEFAULT NULL COMMENT '是否必填',
  `is_insert` int(4) NULL DEFAULT NULL COMMENT '是否插入字段',
  `is_edit` int(4) NULL DEFAULT NULL COMMENT '是否编辑字段',
  `is_list` int(4) NULL DEFAULT NULL COMMENT '是否列表字段',
  `is_query` int(4) NULL DEFAULT NULL COMMENT '是否查询字段',
  `query_type` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '查询方式（等于、不等于、大于、小于、范围）',
  `html_type` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '显示类型（文本框、文本域、下拉框、复选框、单选框、日期控件）',
  `dict_type` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字典类型',
  `sort` int(11) NULL DEFAULT NULL COMMENT '排序',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建人',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新人',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 11 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '代码生成字段' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of gen_table_column
-- ----------------------------
INSERT INTO `gen_table_column` VALUES (1, 1, 'id', '', 'bigint(20)', 'Long', 'id', 'BIGINT', 1, 0, 0, 1, 0, 0, 0, NULL, 'input', NULL, 1, '2022-07-14 17:44:38', '1', '2022-07-14 17:44:38', NULL);
INSERT INTO `gen_table_column` VALUES (2, 1, 'name', '姓名', 'varchar(32)', 'String', 'name', 'VARCHAR', 0, 0, 0, 1, NULL, NULL, NULL, 'LIKE', 'input', NULL, 2, '2022-07-14 17:44:38', '1', '2022-07-14 17:44:38', NULL);
INSERT INTO `gen_table_column` VALUES (3, 1, 'address', '地址', 'varchar(200)', 'String', 'address', 'VARCHAR', 0, 0, 0, 1, NULL, NULL, NULL, NULL, 'input', NULL, 3, '2022-07-14 17:44:38', '1', '2022-07-14 17:44:38', NULL);
INSERT INTO `gen_table_column` VALUES (4, 1, 'sex', '性别', 'int(4)', 'Integer', 'sex', 'INTEGER', 0, 0, 0, 1, NULL, NULL, NULL, NULL, 'select', NULL, 4, '2022-07-14 17:44:38', '1', '2022-07-14 17:44:38', NULL);
INSERT INTO `gen_table_column` VALUES (5, 1, 'phone', '电话', 'varchar(32)', 'String', 'phone', 'VARCHAR', 0, 0, 0, 1, NULL, NULL, NULL, NULL, 'input', NULL, 5, '2022-07-14 17:44:38', '1', '2022-07-14 17:44:38', NULL);
INSERT INTO `gen_table_column` VALUES (6, 2, 'id', '', 'bigint(20)', 'Long', 'id', 'BIGINT', 1, 0, 0, 1, 0, 0, 0, NULL, 'input', NULL, 1, '2022-07-14 17:44:58', '1', '2022-07-14 17:44:58', NULL);
INSERT INTO `gen_table_column` VALUES (7, 2, 'name', '姓名', 'varchar(32)', 'String', 'name', 'VARCHAR', 0, 0, 0, 1, NULL, NULL, NULL, 'LIKE', 'input', NULL, 2, '2022-07-14 17:44:58', '1', '2022-07-14 17:44:58', NULL);
INSERT INTO `gen_table_column` VALUES (8, 2, 'address', '地址', 'varchar(200)', 'String', 'address', 'VARCHAR', 0, 0, 0, 1, NULL, NULL, NULL, NULL, 'input', NULL, 3, '2022-07-14 17:44:58', '1', '2022-07-14 17:44:58', NULL);
INSERT INTO `gen_table_column` VALUES (9, 2, 'sex', '性别', 'int(4)', 'Integer', 'sex', 'INTEGER', 0, 0, 0, 1, NULL, NULL, NULL, NULL, 'select', NULL, 4, '2022-07-14 17:44:58', '1', '2022-07-14 17:44:58', NULL);
INSERT INTO `gen_table_column` VALUES (10, 2, 'phone', '电话', 'varchar(32)', 'String', 'phone', 'VARCHAR', 0, 0, 0, 1, NULL, NULL, NULL, NULL, 'input', NULL, 5, '2022-07-14 17:44:58', '1', '2022-07-14 17:44:58', NULL);

-- ----------------------------
-- Table structure for sys_dict
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict`;
CREATE TABLE `sys_dict`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL,
  `type` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL,
  `enable` int(4) NULL DEFAULT NULL,
  `remark` varchar(200) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL,
  `create_time` datetime(0) NULL DEFAULT NULL,
  `create_by` varchar(11) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL,
  `update_time` datetime(0) NULL DEFAULT NULL,
  `update_by` varchar(11) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `sys_dict_value`(`name`) USING BTREE,
  INDEX `sys_dict_label`(`type`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '字典表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_dict
-- ----------------------------
INSERT INTO `sys_dict` VALUES (1, '操作类型', '\r\nsys_log_type', 1, '系统日志操作类型，此类型有枚举类', '2021-05-14 13:55:49', '1', '2021-05-14 13:55:49', '1');

-- ----------------------------
-- Table structure for sys_dict_item
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_item`;
CREATE TABLE `sys_dict_item`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `label` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `value` int(11) NULL DEFAULT NULL,
  `sort` int(11) NULL DEFAULT NULL,
  `enable` int(4) NULL DEFAULT NULL,
  `create_time` datetime(0) NULL DEFAULT NULL,
  `create_by` int(11) NULL DEFAULT NULL,
  `update_time` datetime(0) NULL DEFAULT NULL,
  `update_by` int(11) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_dict_id`(`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 11 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '字典值表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_dict_item
-- ----------------------------
INSERT INTO `sys_dict_item` VALUES (1, 'sys_log_type', '新增', 1, 1, 1, '2021-05-14 13:56:08', 1, '2021-05-14 13:56:08', 1);
INSERT INTO `sys_dict_item` VALUES (2, 'sys_log_type', '修改', 2, 2, 1, '2021-05-14 13:56:15', 1, '2021-05-14 13:56:15', 1);
INSERT INTO `sys_dict_item` VALUES (3, 'sys_log_type', '删除', 3, 3, 1, '2021-05-14 13:56:23', 1, '2021-05-14 13:56:23', 1);
INSERT INTO `sys_dict_item` VALUES (4, 'sys_log_type', '授权', 4, 4, 1, '2021-05-14 13:56:37', 1, '2021-05-14 13:56:37', 1);
INSERT INTO `sys_dict_item` VALUES (5, 'sys_log_type', '其它', 0, 0, 1, '2021-05-14 14:15:44', 1, '2021-05-21 08:47:34', 1);
INSERT INTO `sys_dict_item` VALUES (6, 'sys_log_type', '导出', 5, 5, 1, '2021-05-14 14:16:10', 1, '2021-05-14 14:16:10', 1);
INSERT INTO `sys_dict_item` VALUES (7, 'sys_log_type', '导入', 6, 6, 1, '2021-05-14 14:16:20', 1, '2021-05-14 14:16:20', 1);
INSERT INTO `sys_dict_item` VALUES (8, 'sys_log_type', '强退', 7, 7, 1, '2021-05-14 14:16:33', 1, '2021-05-14 14:16:33', 1);
INSERT INTO `sys_dict_item` VALUES (9, 'sys_log_type', '生成代码', 8, 8, 1, '2021-05-14 14:16:42', 1, '2021-05-14 14:16:42', 1);
INSERT INTO `sys_dict_item` VALUES (10, 'sys_log_type', '清空数据', 9, 9, 1, '2021-05-14 14:16:55', 1, '2021-05-14 14:16:55', 1);

-- ----------------------------
-- Table structure for sys_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_log`;
CREATE TABLE `sys_log`  (
  `id` bigint(50) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `title` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT '' COMMENT '日志标题',
  `operation_type` int(4) NULL DEFAULT NULL COMMENT '操作类型',
  `status` int(4) NULL DEFAULT NULL COMMENT '状态（0：失败 1：成功）',
  `remote_addr` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '操作IP地址',
  `username` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '操作用户昵称',
  `request_uri` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '请求URI',
  `http_method` varchar(10) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '操作方式',
  `class_method` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '请求类型.方法',
  `query_params` text CHARACTER SET utf8 COLLATE utf8_bin NULL COMMENT '操作提交的数据',
  `session_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT 'sessionId',
  `response` longtext CHARACTER SET utf8 COLLATE utf8_bin NULL COMMENT '返回内容',
  `use_time` bigint(11) NULL DEFAULT NULL COMMENT '方法执行时间',
  `browser` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '浏览器信息',
  `area` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '地区',
  `province` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '省',
  `city` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '市',
  `isp` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '网络服务提供商',
  `exception` text CHARACTER SET utf8 COLLATE utf8_bin NULL COMMENT '异常信息',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` bigint(64) NULL DEFAULT NULL,
  `update_time` datetime(0) NULL DEFAULT NULL,
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `sys_log_create_by`(`create_by`) USING BTREE,
  INDEX `sys_log_request_uri`(`request_uri`) USING BTREE,
  INDEX `sys_log_create_date`(`create_time`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 186 CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '日志表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_log
-- ----------------------------
INSERT INTO `sys_log` VALUES (1, '用户修改', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/edit', 'POST', 'com.cool.bang.modules.system.controller.SysUserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"credentialsNonExpired\":true,\"email\":\"guanliyuan@163.com\",\"enabled\":true,\"id\":1,\"params\":{},\"phone\":\"0533706688\",\"realName\":\"超级管理员\",\"roleList\":[{\"id\":1,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"username\":\"admin\"}]', 'DF28CC250C360F94A23C4D9314EA7735', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 26, 'Windows-Chrome-91.0.4472.77', NULL, NULL, NULL, NULL, NULL, NULL, '2021-06-10 11:12:22', NULL, '2021-06-10 11:12:22', NULL);
INSERT INTO `sys_log` VALUES (2, '用户修改', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/edit', 'POST', 'com.cool.bang.modules.system.controller.SysUserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"credentialsNonExpired\":true,\"email\":\"guanliyuan@163.com\",\"enabled\":true,\"id\":1,\"params\":{},\"phone\":\"0533706688\",\"realName\":\"超级管理员\",\"roleList\":[{\"id\":1,\"params\":{}},{\"id\":2,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"username\":\"admin\"}]', '7746581D56690720D019C06783A38BD9', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 39, 'Windows-Chrome-91.0.4472.77', NULL, NULL, NULL, NULL, NULL, NULL, '2021-06-10 11:13:06', NULL, '2021-06-10 11:13:06', NULL);
INSERT INTO `sys_log` VALUES (3, '用户修改', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/edit', 'POST', 'com.cool.bang.modules.system.controller.SysUserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"credentialsNonExpired\":true,\"email\":\"guanliyuan@163.com\",\"enabled\":true,\"id\":1,\"params\":{},\"phone\":\"0533706688\",\"realName\":\"超级管理员\",\"roleList\":[{\"id\":1,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"username\":\"admin\"}]', 'A3E4367FC2B22A3113ACD5363F0CE59D', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 19, 'Windows-Chrome-91.0.4472.77', NULL, NULL, NULL, NULL, NULL, NULL, '2021-06-10 11:13:21', NULL, '2021-06-10 11:13:21', NULL);
INSERT INTO `sys_log` VALUES (4, '用户修改', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/edit', 'POST', 'com.cool.bang.modules.system.controller.SysUserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"credentialsNonExpired\":true,\"email\":\"guanliyuan@163.com\",\"enabled\":true,\"id\":1,\"params\":{},\"phone\":\"0533706688\",\"realName\":\"超级管理员\",\"roleList\":[{\"id\":1,\"params\":{}},{\"id\":2,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"username\":\"admin\"}]', 'E0A00ECE9EFEC06BBD13B8DA46A620C7', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 24, 'Windows-Chrome-91.0.4472.77', NULL, NULL, NULL, NULL, NULL, NULL, '2021-06-10 11:17:17', NULL, '2021-06-10 11:17:17', NULL);
INSERT INTO `sys_log` VALUES (5, '用户新增', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8082/system/user/add', 'POST', 'com.cool.bang.modules.system.controller.SysUserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"credentialsNonExpired\":true,\"delFlag\":1,\"email\":\"8888888@163.com\",\"enable\":1,\"enabled\":true,\"id\":2,\"params\":{},\"password\":\"$2a$10$Sx2e1wKLXfKYDNM/CYxfTuW/k0AcGzwLBaTExAsLwoRRIZkB9I14y\",\"phone\":\"8888888\",\"realName\":\"测试\",\"roleList\":[{\"id\":2,\"params\":{}}],\"updateBy\":1,\"username\":\"test\"}]', 'E165320E46555D5E8E803EE63932D09B', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 124, 'Windows-Chrome-91.0.4472.124', NULL, NULL, NULL, NULL, NULL, NULL, '2021-07-12 11:49:22', NULL, '2021-07-12 11:49:22', NULL);
INSERT INTO `sys_log` VALUES (6, '用户修改', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8082/system/user/edit', 'POST', 'com.cool.bang.modules.system.controller.SysUserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"credentialsNonExpired\":true,\"email\":\"8888888@163.com\",\"enabled\":true,\"id\":2,\"params\":{},\"phone\":\"8888888\",\"realName\":\"测试\",\"roleList\":[{\"id\":2,\"params\":{}}],\"updateBy\":1,\"username\":\"test\"}]', 'E165320E46555D5E8E803EE63932D09B', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 49, 'Windows-Chrome-91.0.4472.124', NULL, NULL, NULL, NULL, NULL, NULL, '2021-07-12 11:49:26', NULL, '2021-07-12 11:49:26', NULL);
INSERT INTO `sys_log` VALUES (7, '用户修改', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8082/system/user/edit', 'POST', 'com.cool.bang.modules.system.controller.SysUserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"credentialsNonExpired\":true,\"email\":\"8888888@163.com\",\"enabled\":true,\"id\":2,\"params\":{},\"phone\":\"8888888\",\"realName\":\"测试\",\"roleList\":[{\"id\":2,\"params\":{}}],\"updateBy\":1,\"username\":\"test\"}]', 'E165320E46555D5E8E803EE63932D09B', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 28, 'Windows-Chrome-91.0.4472.124', NULL, NULL, NULL, NULL, NULL, NULL, '2021-07-12 11:49:27', NULL, '2021-07-12 11:49:27', NULL);
INSERT INTO `sys_log` VALUES (8, '角色授权', 4, 1, '127.0.0.1', '超级管理员', 'http://localhost:8082/system/role/grant', 'POST', 'com.cool.bang.modules.system.controller.SysRoleController.editAuth', '[{\"id\":1,\"menuList\":[{\"children\":[],\"id\":1,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":7,\"params\":{}},{\"children\":[],\"id\":8,\"params\":{}},{\"children\":[],\"id\":9,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":16,\"params\":{}},{\"children\":[],\"id\":17,\"params\":{}},{\"children\":[],\"id\":18,\"params\":{}},{\"children\":[],\"id\":19,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":6,\"params\":{}},{\"children\":[],\"id\":5,\"params\":{}},{\"children\":[],\"id\":10,\"params\":{}},{\"children\":[],\"id\":11,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":13,\"params\":{}},{\"children\":[],\"id\":14,\"params\":{}},{\"children\":[],\"id\":15,\"params\":{}}],\"params\":{}}]', '94ED21226FFE37D60EB1C54B417034CD', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 156, 'Windows-Chrome-91.0.4472.124', NULL, NULL, NULL, NULL, NULL, NULL, '2021-07-12 17:16:37', NULL, '2021-07-12 17:16:37', NULL);
INSERT INTO `sys_log` VALUES (9, '用户修改', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/edit', 'POST', 'com.cool.bang.modules.system.controller.SysUserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"avatar\":\"/upload/img/202110/26/a3bd398a-9fca-48a5-97d5-fa446574455f.jpg\",\"credentialsNonExpired\":true,\"email\":\"guanliyuan@163.com\",\"enabled\":true,\"id\":1,\"params\":{},\"phone\":\"0533706688\",\"realName\":\"超级管理员\",\"sex\":0,\"updateBy\":1,\"username\":\"admin\"}]', '3E2F4E7512BD735736B417C5A4F7D5AE', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 20, 'Windows-Chrome-95.0.4638.54', NULL, NULL, NULL, NULL, NULL, NULL, '2021-10-26 17:27:32', NULL, '2021-10-26 17:27:32', NULL);
INSERT INTO `sys_log` VALUES (10, '用户【保存】', 1, 0, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/add', 'POST', 'com.cool.bang.modules.system.controller.SysUserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"credentialsNonExpired\":true,\"delFlag\":1,\"email\":\"1\",\"enable\":1,\"enabled\":true,\"id\":3,\"params\":{},\"password\":\"$2a$10$g8C.rB1zuwdQ4XjzKWoZ5OHrEqBrojYywsFCt4H5FK7yNm9vaf.0G\",\"phone\":\"1\",\"realName\":\"1\",\"roleList\":[{\"id\":2,\"params\":{}},{\"id\":1,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"username\":\"1\"}]', 'C50E84769E4D7A5DE94DB6F23A798B03', NULL, 279, 'Windows-Chrome-100.0.4896.88', NULL, NULL, NULL, NULL, '\r\n### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: Duplicate entry \'3-1\' for key \'PRIMARY\'\r\n### The error may exist in file [E:\\idea_project\\coob_v2\\target\\classes\\mapper\\system\\SysUserMapper.xml]\r\n### The error may involve defaultParameterMap\r\n### The error occurred while setting parameters\r\n### SQL: insert into sys_user_role (user_id, role_id)         values                        (?, ?)          ,              (?, ?)\r\n### Cause: java.sql.SQLIntegrityConstraintViolationException: Duplicate entry \'3-1\' for key \'PRIMARY\'\n; Duplicate entry \'3-1\' for key \'PRIMARY\'; nested exception is java.sql.SQLIntegrityConstraintViolationException: Duplicate entry \'3-1\' for key \'PRIMARY\'', NULL, '2022-04-18 11:08:28', NULL, '2022-04-18 11:08:28', NULL);
INSERT INTO `sys_log` VALUES (11, '用户【保存】', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/add', 'POST', 'com.cool.bang.modules.system.controller.SysUserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"credentialsNonExpired\":true,\"delFlag\":1,\"email\":\"1\",\"enable\":1,\"enabled\":true,\"id\":4,\"params\":{},\"password\":\"$2a$10$pd6iW.cMuy5yQOpNL0.vU.oZr9EsCQP./molqWfiWzKKQgwe6FEYm\",\"phone\":\"1\",\"realName\":\"1\",\"roleList\":[{\"id\":2,\"params\":{}},{\"id\":1,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"username\":\"1\"}]', 'D2EA299DAE5F0A695553F8BE11B55083', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 103, 'Windows-Chrome-100.0.4896.88', NULL, NULL, NULL, NULL, NULL, NULL, '2022-04-18 11:12:15', NULL, '2022-04-18 11:12:15', NULL);
INSERT INTO `sys_log` VALUES (12, '用户【保存】', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/add', 'POST', 'com.cool.bang.modules.system.controller.SysUserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"credentialsNonExpired\":true,\"delFlag\":1,\"email\":\"2\",\"enable\":1,\"enabled\":true,\"id\":5,\"params\":{},\"password\":\"$2a$10$BRNCOSgJAGiT6sEt46iOcO723TTQpIQNToKl7Tg8G3P.x1P/5XICq\",\"phone\":\"2\",\"realName\":\"2\",\"roleList\":[{\"id\":1,\"params\":{}},{\"id\":2,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"username\":\"2\"}]', '73A762DE9F709E63F8C790EA8FEEBDE4', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 95, 'Windows-Chrome-100.0.4896.88', NULL, NULL, NULL, NULL, NULL, NULL, '2022-04-18 11:22:44', NULL, '2022-04-18 11:22:44', NULL);
INSERT INTO `sys_log` VALUES (13, '用户【保存】', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/add', 'POST', 'com.cool.bang.modules.system.controller.SysUserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"credentialsNonExpired\":true,\"delFlag\":1,\"email\":\"3\",\"enable\":1,\"enabled\":true,\"id\":6,\"params\":{},\"password\":\"$2a$10$5nLwR5McKHC.ODtEqokS6u.1coX8RPZuSvobzPgQ0MI2jx3SUqkDu\",\"phone\":\"3\",\"realName\":\"3\",\"roleList\":[{\"id\":2,\"params\":{}},{\"id\":1,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"username\":\"3\"}]', '83B9FBA295B947F800DD518A56E0A453', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 97, 'Windows-Chrome-100.0.4896.88', NULL, NULL, NULL, NULL, NULL, NULL, '2022-04-18 11:23:36', NULL, '2022-04-18 11:23:36', NULL);
INSERT INTO `sys_log` VALUES (14, '用户【编辑】', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/edit', 'POST', 'com.cool.bang.modules.system.controller.SysUserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"credentialsNonExpired\":true,\"email\":\"22\",\"enabled\":true,\"id\":5,\"params\":{},\"phone\":\"22\",\"realName\":\"22\",\"roleList\":[{\"id\":1,\"params\":{}},{\"id\":2,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"username\":\"22\"}]', '4DA23DA9C71B4F3339A4EDAAA1A7400F', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 41, 'Windows-Chrome-100.0.4896.88', NULL, NULL, NULL, NULL, NULL, NULL, '2022-04-18 11:53:26', NULL, '2022-04-18 11:53:26', NULL);
INSERT INTO `sys_log` VALUES (15, '用户【保存】', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/add', 'POST', 'com.cool.bang.modules.system.controller.SysUserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"credentialsNonExpired\":true,\"delFlag\":1,\"email\":\"11\",\"enable\":1,\"enabled\":true,\"id\":7,\"params\":{},\"password\":\"$2a$10$uXWQS6PLTxkyuuuzPhmzI.OwkKq2m1BnEq2eEV1eJg6qIGnV6nAC6\",\"phone\":\"1\",\"realName\":\"11\",\"roleList\":[{\"id\":2,\"params\":{}},{\"id\":1,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"username\":\"11\"}]', '8CFE54587FAE7826A6A1ECD7A3AB46BD', '{\"code\":401,\"msg\":\"失败\",\"success\":true}', 217, 'Windows-Chrome-100.0.4896.127', NULL, NULL, NULL, NULL, NULL, NULL, '2022-04-24 13:46:50', NULL, '2022-04-24 13:46:50', NULL);
INSERT INTO `sys_log` VALUES (16, '用户【保存】', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/add', 'POST', 'com.cool.bang.modules.system.controller.SysUserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"credentialsNonExpired\":true,\"email\":\"1\",\"enabled\":true,\"params\":{},\"phone\":\"1\",\"realName\":\"1\",\"roleList\":[{\"id\":1,\"params\":{}},{\"id\":2,\"params\":{}}],\"sex\":0,\"username\":\"1\"}]', 'C25F5D519ADAC22D0EDEC90DAFA271DC', '{\"code\":500,\"msg\":\"账号已存在\",\"success\":false}', 2, 'Windows-Chrome-100.0.4896.127', NULL, NULL, NULL, NULL, NULL, NULL, '2022-04-24 13:47:08', NULL, '2022-04-24 13:47:08', NULL);
INSERT INTO `sys_log` VALUES (17, '用户【保存】', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/add', 'POST', 'com.cool.bang.modules.system.controller.SysUserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"credentialsNonExpired\":true,\"email\":\"22\",\"enabled\":true,\"params\":{},\"phone\":\"22\",\"realName\":\"22\",\"roleList\":[{\"id\":1,\"params\":{}},{\"id\":2,\"params\":{}}],\"sex\":0,\"username\":\"22\"}]', '4B882DB8D258779614D58384989906F5', '{\"code\":500,\"msg\":\"账号已存在\",\"success\":false}', 2, 'Windows-Chrome-100.0.4896.127', NULL, NULL, NULL, NULL, NULL, NULL, '2022-04-24 13:47:17', NULL, '2022-04-24 13:47:17', NULL);
INSERT INTO `sys_log` VALUES (18, '用户【保存】', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/add', 'POST', 'com.cool.bang.modules.system.controller.SysUserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"credentialsNonExpired\":true,\"delFlag\":1,\"email\":\"223\",\"enable\":1,\"enabled\":true,\"id\":8,\"params\":{},\"password\":\"$2a$10$iRXcvDBLxOs3Mr.2Xgc41ua6zuK25UQbDqW9t./si/88cFi3xo.su\",\"phone\":\"223\",\"realName\":\"223\",\"roleList\":[{\"id\":1,\"params\":{}},{\"id\":2,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"username\":\"223\"}]', '15F9FA65299116087D9A78E850779B4F', '{\"code\":401,\"msg\":\"失败\",\"success\":true}', 95, 'Windows-Chrome-100.0.4896.127', NULL, NULL, NULL, NULL, NULL, NULL, '2022-04-24 13:47:21', NULL, '2022-04-24 13:47:21', NULL);
INSERT INTO `sys_log` VALUES (19, '删除【用户】', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/8', 'DELETE', 'com.cool.bang.modules.system.controller.SysUserController.deleteBatch', '[\"8\"]', 'AA89E1DDE59004FC10221EE321096A80', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 33, 'Windows-Chrome-100.0.4896.127', NULL, NULL, NULL, NULL, NULL, NULL, '2022-04-24 14:14:02', NULL, '2022-04-24 14:14:02', NULL);
INSERT INTO `sys_log` VALUES (20, '编辑【用户】', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/', 'PUT', 'com.cool.bang.modules.system.controller.SysUserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"credentialsNonExpired\":true,\"email\":\"guanliyuan@163.com\",\"enabled\":true,\"id\":1,\"params\":{},\"phone\":\"0533706688\",\"realName\":\"超级管理员\",\"sex\":0,\"updateBy\":1,\"username\":\"admin\"}]', 'D5B3511950F8EEED5F3E12C1115B5898', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 15, 'Windows-Chrome-100.0.4896.127', NULL, NULL, NULL, NULL, NULL, NULL, '2022-04-24 14:17:32', NULL, '2022-04-24 14:17:32', NULL);
INSERT INTO `sys_log` VALUES (21, '编辑【用户】', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/', 'PUT', 'com.cool.bang.modules.system.controller.SysUserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"credentialsNonExpired\":true,\"email\":\"guanliyuan@163.com\",\"enabled\":true,\"id\":1,\"params\":{},\"phone\":\"0533706688\",\"realName\":\"超级管理员\",\"sex\":0,\"updateBy\":1,\"username\":\"admin\"}]', 'CB9ED9EF6D7E07AC7CC448D0D76C4820', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 7, 'Windows-Chrome-100.0.4896.127', NULL, NULL, NULL, NULL, NULL, NULL, '2022-04-24 14:35:02', NULL, '2022-04-24 14:35:02', NULL);
INSERT INTO `sys_log` VALUES (22, '编辑【用户】', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/', 'PUT', 'com.cool.bang.modules.system.controller.SysUserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"credentialsNonExpired\":true,\"email\":\"guanliyuan@163.com\",\"enabled\":true,\"id\":1,\"params\":{},\"phone\":\"0533706688\",\"realName\":\"超级管理员\",\"sex\":0,\"updateBy\":1,\"username\":\"admin\"}]', '178CECFBEFE3AB7007516EF24A025ED6', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 18, 'Windows-Chrome-100.0.4896.127', NULL, NULL, NULL, NULL, NULL, NULL, '2022-04-24 14:37:27', NULL, '2022-04-24 14:37:27', NULL);
INSERT INTO `sys_log` VALUES (23, '用户管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/', 'PUT', 'com.cool.bang.modules.system.controller.UserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":false,\"credentialsNonExpired\":true,\"enable\":false,\"enabled\":false,\"id\":2,\"params\":{}}]', 'EB96B0DA680A13A36594CAFD5DD6AE28', '{\"code\":500,\"msg\":\"账号名不能为空\",\"success\":false}', 20, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-06 17:08:54', NULL, '2022-06-06 17:08:54', NULL);
INSERT INTO `sys_log` VALUES (24, '用户管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/', 'PUT', 'com.cool.bang.modules.system.controller.UserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":false,\"credentialsNonExpired\":true,\"enable\":false,\"enabled\":false,\"id\":2,\"params\":{}}]', '8119D6AD6AE02319234EE7E8FC3F6B20', '{\"code\":500,\"msg\":\"账号名不能为空\",\"success\":false}', 0, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-06 17:09:00', NULL, '2022-06-06 17:09:00', NULL);
INSERT INTO `sys_log` VALUES (25, '用户管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/', 'PUT', 'com.cool.bang.modules.system.controller.UserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":false,\"credentialsNonExpired\":true,\"enable\":false,\"enabled\":false,\"id\":2,\"params\":{}}]', 'F8C4FB5F27A09EA554FE5A49302A43AF', '{\"code\":500,\"msg\":\"账号名不能为空\",\"success\":false}', 1, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-06 17:09:56', NULL, '2022-06-06 17:09:56', NULL);
INSERT INTO `sys_log` VALUES (26, '用户管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/', 'PUT', 'com.cool.bang.modules.system.controller.UserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":false,\"credentialsNonExpired\":true,\"delFlag\":false,\"enable\":false,\"enabled\":false,\"id\":2,\"params\":{}}]', '3B8C51AA63026F1481E3D0D57E447807', '{\"code\":500,\"msg\":\"账号名不能为空\",\"success\":false}', 5, 'Windows-Chrome-102.0.5005.63', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-06 17:19:29', NULL, '2022-06-06 17:19:29', NULL);
INSERT INTO `sys_log` VALUES (27, '用户管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'PUT', 'com.cool.bang.modules.system.controller.UserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":false,\"credentialsNonExpired\":true,\"delFlag\":false,\"email\":\"guanliyuan@163.com\",\"enable\":false,\"enabled\":false,\"id\":1,\"params\":{},\"phone\":\"0533706688\",\"realName\":\"超级管理员\",\"sex\":0,\"updateBy\":1,\"updateTime\":1654569904607,\"username\":\"admin\"}]', '740A18A9F0154C654B733CBB55693322', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 51, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-07 10:45:04', NULL, '2022-06-07 10:45:04', NULL);
INSERT INTO `sys_log` VALUES (28, '用户管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'PUT', 'com.cool.bang.modules.system.controller.UserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":false,\"credentialsNonExpired\":true,\"delFlag\":false,\"email\":\"guanliyuan@163.com\",\"enable\":false,\"enabled\":false,\"id\":1,\"params\":{},\"phone\":\"0533706688\",\"realName\":\"超级管理员\",\"sex\":0,\"updateBy\":1,\"updateTime\":1654570263439,\"username\":\"admin\"}]', 'F08BF7CF666A40477AAAEC32EE299D36', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 17508, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-07 10:51:20', NULL, '2022-06-07 10:51:20', NULL);
INSERT INTO `sys_log` VALUES (29, '用户管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'PUT', 'com.cool.bang.modules.system.controller.UserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"credentialsNonExpired\":true,\"delFlag\":true,\"email\":\"guanliyuan@163.com\",\"enable\":true,\"enabled\":true,\"id\":1,\"params\":{},\"phone\":\"0533706688\",\"realName\":\"超级管理员\",\"sex\":0,\"updateBy\":1,\"updateTime\":1654570600331,\"username\":\"admin\"}]', '65D5A2B001CFAB3260D6579834762CBE', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 52, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-07 10:56:40', NULL, '2022-06-07 10:56:40', NULL);
INSERT INTO `sys_log` VALUES (30, '用户管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'PUT', 'com.cool.bang.modules.system.controller.UserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"credentialsNonExpired\":true,\"delFlag\":true,\"email\":\"guanliyuan@163.com\",\"enable\":true,\"enabled\":true,\"id\":1,\"params\":{},\"phone\":\"0533706688\",\"realName\":\"超级管理员\",\"sex\":0,\"updateBy\":1,\"updateTime\":1654570680539,\"username\":\"admin\"}]', '2B85975BACCEEB513E99446DF21995FC', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 17, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-07 10:58:00', NULL, '2022-06-07 10:58:00', NULL);
INSERT INTO `sys_log` VALUES (31, '用户管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'PUT', 'com.cool.bang.modules.system.controller.UserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"credentialsNonExpired\":true,\"delFlag\":true,\"email\":\"guanliyuan@163.com\",\"enable\":true,\"enabled\":true,\"id\":1,\"params\":{},\"phone\":\"0533706688\",\"realName\":\"超级管理员\",\"sex\":0,\"updateBy\":1,\"updateTime\":1654570719979,\"username\":\"admin\"}]', '7116784AA1BFA2F475C5F70B0C1AEDC7', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 10, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-07 10:58:39', NULL, '2022-06-07 10:58:39', NULL);
INSERT INTO `sys_log` VALUES (32, '用户管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'PUT', 'com.cool.bang.modules.system.controller.UserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"avatar\":\"/upload/avatar/2022/06/07/7cf20258-5f50-4e0c-af52-e5702c6803b6.jpg\",\"credentialsNonExpired\":true,\"delFlag\":true,\"email\":\"guanliyuan@163.com\",\"enable\":true,\"enabled\":true,\"id\":1,\"params\":{},\"phone\":\"0533706688\",\"realName\":\"超级管理员\",\"sex\":0,\"updateBy\":1,\"updateTime\":1654570889058,\"username\":\"admin\"}]', '00C4F6B4E830088E97A38CBDAEDFD139', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 16, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-07 11:01:29', NULL, '2022-06-07 11:01:29', NULL);
INSERT INTO `sys_log` VALUES (33, '用户管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'PUT', 'com.cool.bang.modules.system.controller.UserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"avatar\":\"/upload/avatar/2022/06/07/97a9200f-05f2-44de-941f-4edfed4291e8.jpg\",\"credentialsNonExpired\":true,\"delFlag\":true,\"email\":\"guanliyuan@163.com\",\"enable\":true,\"enabled\":true,\"id\":1,\"params\":{},\"phone\":\"0533706688\",\"realName\":\"超级管理员\",\"sex\":0,\"updateBy\":1,\"updateTime\":1654571172558,\"username\":\"admin\"}]', '9712B3878574AE3DDEF36840ACDB26B3', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 14, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-07 11:06:12', NULL, '2022-06-07 11:06:12', NULL);
INSERT INTO `sys_log` VALUES (34, '用户管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'POST', 'com.cool.bang.modules.system.controller.UserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"createTime\":1654753678061,\"credentialsNonExpired\":true,\"delFlag\":true,\"enable\":true,\"enabled\":true,\"id\":9,\"params\":{},\"password\":\"$2a$10$CsPAoRnzkdN6Fbiggq0qdeJhHJd3.5F43y13WkG..2QXIK0zzHzwq\",\"updateBy\":1,\"updateTime\":1654753678061}]', '5D7ED832FDE2BCA1005CE08982C3C5E9', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 146, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-09 13:47:58', NULL, '2022-06-09 13:47:58', NULL);
INSERT INTO `sys_log` VALUES (35, '用户管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'POST', 'com.cool.bang.modules.system.controller.UserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"createTime\":1654753827915,\"credentialsNonExpired\":true,\"delFlag\":true,\"enable\":true,\"enabled\":true,\"id\":10,\"params\":{},\"password\":\"$2a$10$TCnkP0HP6a3QTABM2GS.WuxsO3mPTjd62eHYRIUTsutm5pJ3nx5Ey\",\"updateBy\":1,\"updateTime\":1654753827915}]', '19D9EB98A27917F8B85665A446133107', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 25925, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-09 13:50:27', NULL, '2022-06-09 13:50:27', NULL);
INSERT INTO `sys_log` VALUES (36, '用户管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'POST', 'com.cool.bang.modules.system.controller.UserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"createTime\":1654753844875,\"credentialsNonExpired\":true,\"delFlag\":true,\"enable\":true,\"enabled\":true,\"id\":11,\"params\":{},\"password\":\"$2a$10$fSvtinArtiEQ1ebGaqebROio3UDcgQ7VClYIXXeL1ymLHnIYhDtTO\",\"updateBy\":1,\"updateTime\":1654753844875}]', 'FE9294DA92F71B011680488036B2F363', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 100, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-09 13:50:44', NULL, '2022-06-09 13:50:44', NULL);
INSERT INTO `sys_log` VALUES (37, '用户管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'POST', 'com.cool.bang.modules.system.controller.UserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"createTime\":1654754898483,\"credentialsNonExpired\":true,\"delFlag\":true,\"enable\":true,\"enabled\":true,\"id\":12,\"params\":{},\"password\":\"$2a$10$HoeiNnVg7xNIvPiLs.m90.fEuT62HF3VS.Y7Tirxj6sVU7iK5lDK.\",\"updateBy\":1,\"updateTime\":1654754898483}]', '32E38F2472EBCB985D590DD79CB565A4', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 9029, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-09 14:08:18', NULL, '2022-06-09 14:08:18', NULL);
INSERT INTO `sys_log` VALUES (38, '用户管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'POST', 'com.cool.bang.modules.system.controller.UserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":false,\"credentialsNonExpired\":true,\"delFlag\":false,\"email\":\"1\",\"enable\":false,\"enabled\":false,\"params\":{},\"phone\":\"1\",\"realName\":\"1\",\"roleList\":[{\"id\":1,\"params\":{}},{\"id\":2,\"params\":{}}],\"sex\":0,\"username\":\"1\"}]', 'C4936C07EB12314F75B1836895DE267F', '{\"code\":500,\"msg\":\"该账号已被使用\",\"success\":false}', 7, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-09 14:10:05', NULL, '2022-06-09 14:10:05', NULL);
INSERT INTO `sys_log` VALUES (39, '用户管理', 1, 0, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'POST', 'com.cool.bang.modules.system.controller.UserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"createTime\":1654755011475,\"credentialsNonExpired\":true,\"delFlag\":true,\"email\":\"2\",\"enable\":true,\"enabled\":true,\"id\":13,\"params\":{},\"password\":\"$2a$10$EmtdS8AxMeMyGzLBK8aClOQlYRRbMckFhKE8deaRt7RvLStUYtEnW\",\"phone\":\"2\",\"realName\":\"2\",\"roleList\":[{\"id\":1,\"params\":{}},{\"id\":2,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"updateTime\":1654755011475,\"username\":\"2\"}]', 'C5CDDA4948359E4C5EF0B381103544A7', NULL, 105, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, 'nested exception is org.apache.ibatis.binding.BindingException: Parameter \'roleList\' not found. Available parameters are [roles, userId, param1, param2]', NULL, '2022-06-09 14:10:11', NULL, '2022-06-09 14:10:11', NULL);
INSERT INTO `sys_log` VALUES (40, '用户管理', 1, 0, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'POST', 'com.cool.bang.modules.system.controller.UserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"createTime\":1654755049905,\"credentialsNonExpired\":true,\"delFlag\":true,\"email\":\"2\",\"enable\":true,\"enabled\":true,\"id\":14,\"params\":{},\"password\":\"$2a$10$bKZBpHg7aGI1tooJjwRD.u43TuAtETTKio4w1.LVDSzChaaWVCWea\",\"phone\":\"2\",\"realName\":\"2\",\"roleList\":[{\"id\":1,\"params\":{}},{\"id\":2,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"updateTime\":1654755049905,\"username\":\"2\"}]', '814746F3A2CA1BEE87ECE63D26A5503C', NULL, 19755, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, 'nested exception is org.apache.ibatis.binding.BindingException: Parameter \'roleList\' not found. Available parameters are [roles, userId, param1, param2]', NULL, '2022-06-09 14:10:49', NULL, '2022-06-09 14:10:49', NULL);
INSERT INTO `sys_log` VALUES (41, '用户管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'POST', 'com.cool.bang.modules.system.controller.UserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":false,\"credentialsNonExpired\":true,\"delFlag\":false,\"email\":\"22\",\"enable\":false,\"enabled\":false,\"params\":{},\"phone\":\"22\",\"realName\":\"22\",\"roleList\":[{\"id\":1,\"params\":{}},{\"id\":2,\"params\":{}}],\"sex\":0,\"username\":\"22\"}]', 'A338A05854D40C3A788D8720DE24F9B1', '{\"code\":500,\"msg\":\"该账号已被使用\",\"success\":false}', 7, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-09 14:12:13', NULL, '2022-06-09 14:12:13', NULL);
INSERT INTO `sys_log` VALUES (42, '用户管理', 1, 0, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'POST', 'com.cool.bang.modules.system.controller.UserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"createTime\":1654755136855,\"credentialsNonExpired\":true,\"delFlag\":true,\"email\":\"222\",\"enable\":true,\"enabled\":true,\"id\":15,\"params\":{},\"password\":\"$2a$10$5esqx2o8/2LXMg5rtdeCxOZY3OMrO3oHw.8DJPRj7u.xImOUD/mpS\",\"phone\":\"222\",\"realName\":\"222\",\"roleList\":[{\"id\":1,\"params\":{}},{\"id\":2,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"updateTime\":1654755136855,\"username\":\"222\"}]', '94302EF1BDC75C4030F64E61F144A0A8', NULL, 111, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, 'nested exception is org.apache.ibatis.binding.BindingException: Parameter \'roleList\' not found. Available parameters are [roles, userId, param1, param2]', NULL, '2022-06-09 14:12:16', NULL, '2022-06-09 14:12:16', NULL);
INSERT INTO `sys_log` VALUES (43, '用户管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'POST', 'com.cool.bang.modules.system.controller.UserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"createTime\":1654755207183,\"credentialsNonExpired\":true,\"delFlag\":true,\"email\":\"222\",\"enable\":true,\"enabled\":true,\"id\":16,\"params\":{},\"password\":\"$2a$10$B0f0biG.zjRvEqhl1dr2mutl9pL5k0KWy71cUA2mburBbyG8t3TVC\",\"phone\":\"222\",\"realName\":\"222\",\"roleList\":[{\"id\":1,\"params\":{}},{\"id\":2,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"updateTime\":1654755207183,\"username\":\"222\"}]', 'B287C6486D2E6FC998F1B7DB23E2B4E8', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 134, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-09 14:13:27', NULL, '2022-06-09 14:13:27', NULL);
INSERT INTO `sys_log` VALUES (44, '用户管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'PUT', 'com.cool.bang.modules.system.controller.UserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"credentialsNonExpired\":true,\"delFlag\":true,\"email\":\"333\",\"enable\":true,\"enabled\":true,\"id\":16,\"params\":{},\"phone\":\"333\",\"realName\":\"333\",\"roleList\":[{\"id\":2,\"params\":{}}],\"sex\":1,\"updateBy\":1,\"updateTime\":1654755486833,\"username\":\"333\"}]', '2B9AC496C62E990F788D3AB80D2434BC', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 22, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-09 14:18:06', NULL, '2022-06-09 14:18:06', NULL);
INSERT INTO `sys_log` VALUES (45, '用户管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'POST', 'com.cool.bang.modules.system.controller.UserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"createTime\":1654756874186,\"credentialsNonExpired\":true,\"delFlag\":true,\"email\":\"1\",\"enable\":true,\"enabled\":true,\"id\":17,\"params\":{},\"password\":\"$2a$10$BKEArTwgdCcVgbEgcoqgZOheClL5RyQoenR7K8fjbZByQiNArbluW\",\"phone\":\"1\",\"realName\":\"1\",\"roleList\":[{\"id\":1,\"params\":{}},{\"id\":2,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"updateTime\":1654756874186,\"username\":\"1\"}]', 'B95B6DC7BB80751D6E369AFBEF627280', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 127, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-09 14:41:14', NULL, '2022-06-09 14:41:14', NULL);
INSERT INTO `sys_log` VALUES (46, '用户管理', 3, 0, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/17', 'DELETE', 'com.cool.bang.modules.system.controller.UserController.deleteBatch', '[17]', '612AD075161FFFD85FB5801530B22B34', NULL, 4, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, 'java.lang.Integer cannot be cast to java.lang.Long', NULL, '2022-06-09 14:41:20', NULL, '2022-06-09 14:41:20', NULL);
INSERT INTO `sys_log` VALUES (47, '用户管理', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/17', 'DELETE', 'com.cool.bang.modules.system.controller.UserController.deleteBatch', '[17]', '590C24FDA55614EBB75EBEBE02E1447A', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 26, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-09 14:43:19', NULL, '2022-06-09 14:43:19', NULL);
INSERT INTO `sys_log` VALUES (48, '用户管理', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/17', 'DELETE', 'com.cool.bang.modules.system.controller.UserController.deleteBatch', '[17]', '3489F7952B748142A2657D8F42338485', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 28, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-09 14:46:53', NULL, '2022-06-09 14:46:53', NULL);
INSERT INTO `sys_log` VALUES (49, '用户管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'PUT', 'com.cool.bang.modules.system.controller.UserController.edit', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"credentialsNonExpired\":true,\"delFlag\":true,\"email\":\"2\",\"enable\":true,\"enabled\":true,\"id\":17,\"params\":{},\"phone\":\"2\",\"realName\":\"2\",\"roleList\":[{\"id\":1,\"params\":{}},{\"id\":2,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"updateTime\":1654757248110,\"username\":\"2\"}]', '68962F5E7547B89A49181FA15562C72B', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 19, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-09 14:47:28', NULL, '2022-06-09 14:47:28', NULL);
INSERT INTO `sys_log` VALUES (50, '用户管理', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/17', 'DELETE', 'com.cool.bang.modules.system.controller.UserController.deleteBatch', '[17]', '06FAF74C50E145DD615F468AC6F14CBF', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 12, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-09 14:47:47', NULL, '2022-06-09 14:47:47', NULL);
INSERT INTO `sys_log` VALUES (51, '用户管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'POST', 'com.cool.bang.modules.system.controller.UserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"createTime\":1654761526499,\"credentialsNonExpired\":true,\"delFlag\":true,\"email\":\"22\",\"enable\":true,\"enabled\":true,\"id\":2,\"params\":{},\"password\":\"$2a$10$qd3SCS50qs7vWSZvecC/FOFjw/.7MaGFFvcyU1p4SpedUVmOs7RZ6\",\"phone\":\"22\",\"realName\":\"22\",\"roleList\":[{\"id\":1,\"params\":{}},{\"id\":2,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"updateTime\":1654761526499,\"username\":\"22\"}]', 'DC39845CBA2255A01D6C1CA9C164F399', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 113, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-09 15:58:46', NULL, '2022-06-09 15:58:46', NULL);
INSERT INTO `sys_log` VALUES (52, '禁用|启用', 0, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/enable', 'PUT', 'com.cool.bang.modules.system.controller.UserController.enable', '[2,false]', 'A2979248265DC3595D1F0E7817C8000E', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 9, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-09 16:04:25', NULL, '2022-06-09 16:04:25', NULL);
INSERT INTO `sys_log` VALUES (53, '禁用|启用', 0, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/enable', 'PUT', 'com.cool.bang.modules.system.controller.UserController.enable', '[2,true]', '046D58192B2C972CF300DC4A73BFABC1', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 4, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-09 16:04:27', NULL, '2022-06-09 16:04:27', NULL);
INSERT INTO `sys_log` VALUES (54, '角色管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'POST', 'com.cool.bang.modules.system.controller.RoleController.add', '[{\"code\":\"1\",\"createBy\":1,\"createTime\":1654769802385,\"enable\":1,\"id\":3,\"name\":\"1\",\"params\":{},\"remark\":\"1\",\"sort\":1,\"updateBy\":1,\"updateTime\":1654769802385}]', 'BEE9F1547EE587DDCD20D880A7D81609', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 33, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-09 18:16:42', NULL, '2022-06-09 18:16:42', NULL);
INSERT INTO `sys_log` VALUES (55, '角色管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.edit', '[{\"code\":\"2\",\"id\":3,\"name\":\"2\",\"params\":{},\"remark\":\"2\",\"sort\":2,\"updateBy\":1}]', '1A79A34CAE09808EF69AD3E2EB11FE47', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 54, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-10 09:32:33', NULL, '2022-06-10 09:32:33', NULL);
INSERT INTO `sys_log` VALUES (56, '角色管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.edit', '[{\"code\":\"admin\",\"id\":1,\"name\":\"超级管理员\",\"params\":{},\"remark\":\"超级管理员，研发人员角色，拥有完整权限。\",\"sort\":1,\"updateBy\":1}]', '548C81373EB1CC0402042A5708AEC262', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 16, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-10 09:33:00', NULL, '2022-06-10 09:33:00', NULL);
INSERT INTO `sys_log` VALUES (57, '角色管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.edit', '[{\"code\":\"manager\",\"id\":2,\"name\":\"普通管理员\",\"params\":{},\"remark\":\"管理员，用户角色，拥有用户最高权限。\",\"sort\":2,\"updateBy\":1}]', '12A043337CE0C7B6F0C92173BF8BE33D', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 8, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-10 09:36:22', NULL, '2022-06-10 09:36:22', NULL);
INSERT INTO `sys_log` VALUES (58, '角色管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.edit', '[{\"code\":\"admin\",\"id\":1,\"name\":\"超级管理员\",\"params\":{},\"remark\":\"超级管理员，研发人员角色，拥有全部权限。\",\"sort\":1,\"updateBy\":1}]', '31529BAE3F82B7BCF7660BB8A0B2C99C', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 13, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-10 09:37:14', NULL, '2022-06-10 09:37:14', NULL);
INSERT INTO `sys_log` VALUES (59, '角色管理', 4, 0, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"menuList\":[{\"children\":[],\"id\":1,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":5,\"params\":{}},{\"children\":[],\"id\":10,\"params\":{}},{\"children\":[],\"id\":11,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}}],\"params\":{}}]', '052E9FECFF20CBED7333576897CFE54B', NULL, 165, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, '\r\n### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: Column \'role_id\' cannot be null\r\n### The error may exist in file [E:\\idea_project\\coob_v2\\target\\classes\\mapper\\system\\RoleMapper.xml]\r\n### The error may involve defaultParameterMap\r\n### The error occurred while setting parameters\r\n### SQL: insert into             sys_role_menu (role_id, menu_id)         values                        (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)\r\n### Cause: java.sql.SQLIntegrityConstraintViolationException: Column \'role_id\' cannot be null\n; Column \'role_id\' cannot be null; nested exception is java.sql.SQLIntegrityConstraintViolationException: Column \'role_id\' cannot be null', NULL, '2022-06-10 11:46:07', NULL, '2022-06-10 11:46:07', NULL);
INSERT INTO `sys_log` VALUES (60, '角色管理', 4, 0, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"menuList\":[{\"children\":[],\"id\":1,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":5,\"params\":{}},{\"children\":[],\"id\":10,\"params\":{}},{\"children\":[],\"id\":11,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}}],\"params\":{}}]', '123DA53EB1FE4906FAECFF21C0D018D8', NULL, 14011, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, '\r\n### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: Column \'role_id\' cannot be null\r\n### The error may exist in file [E:\\idea_project\\coob_v2\\target\\classes\\mapper\\system\\RoleMapper.xml]\r\n### The error may involve defaultParameterMap\r\n### The error occurred while setting parameters\r\n### SQL: insert into             sys_role_menu (role_id, menu_id)         values                        (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)\r\n### Cause: java.sql.SQLIntegrityConstraintViolationException: Column \'role_id\' cannot be null\n; Column \'role_id\' cannot be null; nested exception is java.sql.SQLIntegrityConstraintViolationException: Column \'role_id\' cannot be null', NULL, '2022-06-10 11:46:39', NULL, '2022-06-10 11:46:39', NULL);
INSERT INTO `sys_log` VALUES (61, '角色管理', 4, 0, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"id\":3,\"menuList\":[{\"children\":[],\"id\":1,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":5,\"params\":{}},{\"children\":[],\"id\":10,\"params\":{}},{\"children\":[],\"id\":11,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}}],\"params\":{}}]', '807A990361F7DFE93B7FBF904BF74E47', NULL, 11, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, '\r\n### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: Duplicate entry \'3-2\' for key \'PRIMARY\'\r\n### The error may exist in file [E:\\idea_project\\coob_v2\\target\\classes\\mapper\\system\\RoleMapper.xml]\r\n### The error may involve defaultParameterMap\r\n### The error occurred while setting parameters\r\n### SQL: insert into             sys_role_menu (role_id, menu_id)         values                        (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)          ,              (?, ?)\r\n### Cause: java.sql.SQLIntegrityConstraintViolationException: Duplicate entry \'3-2\' for key \'PRIMARY\'\n; Duplicate entry \'3-2\' for key \'PRIMARY\'; nested exception is java.sql.SQLIntegrityConstraintViolationException: Duplicate entry \'3-2\' for key \'PRIMARY\'', NULL, '2022-06-10 11:48:22', NULL, '2022-06-10 11:48:22', NULL);
INSERT INTO `sys_log` VALUES (62, '角色管理', 4, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"id\":3,\"menuList\":[{\"children\":[],\"id\":1,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":7,\"params\":{}},{\"children\":[],\"id\":8,\"params\":{}},{\"children\":[],\"id\":9,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":16,\"params\":{}},{\"children\":[],\"id\":17,\"params\":{}},{\"children\":[],\"id\":18,\"params\":{}},{\"children\":[],\"id\":19,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":6,\"params\":{}},{\"children\":[],\"id\":5,\"params\":{}},{\"children\":[],\"id\":10,\"params\":{}},{\"children\":[],\"id\":11,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":13,\"params\":{}},{\"children\":[],\"id\":14,\"params\":{}},{\"children\":[],\"id\":15,\"params\":{}}],\"params\":{}}]', '427F1061372701116A3886D66F028943', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 15, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-10 11:50:47', NULL, '2022-06-10 11:50:47', NULL);
INSERT INTO `sys_log` VALUES (63, '角色管理', 4, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"id\":3,\"menuList\":[{\"children\":[],\"id\":1,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":7,\"params\":{}},{\"children\":[],\"id\":8,\"params\":{}},{\"children\":[],\"id\":9,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":16,\"params\":{}},{\"children\":[],\"id\":17,\"params\":{}},{\"children\":[],\"id\":18,\"params\":{}},{\"children\":[],\"id\":19,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":6,\"params\":{}},{\"children\":[],\"id\":5,\"params\":{}},{\"children\":[],\"id\":10,\"params\":{}},{\"children\":[],\"id\":11,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":13,\"params\":{}},{\"children\":[],\"id\":14,\"params\":{}},{\"children\":[],\"id\":15,\"params\":{}}],\"params\":{}}]', 'B76C943BC30C4966FABFD911FEA06A65', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 51, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-10 17:30:24', NULL, '2022-06-10 17:30:24', NULL);
INSERT INTO `sys_log` VALUES (64, '角色管理', 4, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"id\":3,\"menuList\":[],\"params\":{}}]', '250F9BC4701D9B1A4C3AF69E6BC5CA80', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 73, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-13 15:37:00', NULL, '2022-06-13 15:37:00', NULL);
INSERT INTO `sys_log` VALUES (65, '角色管理', 4, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"id\":3,\"menuList\":[{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":7,\"params\":{}},{\"children\":[],\"id\":8,\"params\":{}},{\"children\":[],\"id\":9,\"params\":{}}],\"params\":{}}]', 'FC0F660FA3DD7FB5813E7316350FA081', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 27, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-13 15:37:16', NULL, '2022-06-13 15:37:16', NULL);
INSERT INTO `sys_log` VALUES (66, '角色管理', 4, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"id\":3,\"menuList\":[],\"params\":{}}]', '8CCBEC7216BA56734ECA47582E65B81A', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 2, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-13 15:37:41', NULL, '2022-06-13 15:37:41', NULL);
INSERT INTO `sys_log` VALUES (67, '角色管理', 4, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"id\":3,\"menuList\":[{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":7,\"params\":{}},{\"children\":[],\"id\":8,\"params\":{}},{\"children\":[],\"id\":9,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":16,\"params\":{}},{\"children\":[],\"id\":17,\"params\":{}},{\"children\":[],\"id\":18,\"params\":{}},{\"children\":[],\"id\":19,\"params\":{}}],\"params\":{}}]', '0E748E656DA0EA13C1F069F92A176831', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 13, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-13 15:38:22', NULL, '2022-06-13 15:38:22', NULL);
INSERT INTO `sys_log` VALUES (68, '角色管理', 4, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"id\":3,\"menuList\":[{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":7,\"params\":{}},{\"children\":[],\"id\":8,\"params\":{}},{\"children\":[],\"id\":9,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":16,\"params\":{}},{\"children\":[],\"id\":17,\"params\":{}},{\"children\":[],\"id\":18,\"params\":{}},{\"children\":[],\"id\":19,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":6,\"params\":{}}],\"params\":{}}]', '1093DDFEF14468A2BFC79A49C67E1C3B', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 9, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-13 15:38:27', NULL, '2022-06-13 15:38:27', NULL);
INSERT INTO `sys_log` VALUES (69, '角色管理', 4, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"id\":3,\"menuList\":[{\"children\":[],\"id\":1,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":7,\"params\":{}},{\"children\":[],\"id\":8,\"params\":{}},{\"children\":[],\"id\":9,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":16,\"params\":{}},{\"children\":[],\"id\":17,\"params\":{}},{\"children\":[],\"id\":18,\"params\":{}},{\"children\":[],\"id\":19,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":6,\"params\":{}},{\"children\":[],\"id\":5,\"params\":{}},{\"children\":[],\"id\":10,\"params\":{}},{\"children\":[],\"id\":11,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":13,\"params\":{}},{\"children\":[],\"id\":14,\"params\":{}},{\"children\":[],\"id\":15,\"params\":{}}],\"params\":{}}]', '71CBCCF0721E708947EF3DE370582B13', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 11, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-13 15:38:34', NULL, '2022-06-13 15:38:34', NULL);
INSERT INTO `sys_log` VALUES (70, '角色管理', 4, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"id\":3,\"menuList\":[{\"children\":[],\"id\":1,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":7,\"params\":{}},{\"children\":[],\"id\":8,\"params\":{}},{\"children\":[],\"id\":9,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":16,\"params\":{}},{\"children\":[],\"id\":17,\"params\":{}},{\"children\":[],\"id\":18,\"params\":{}},{\"children\":[],\"id\":19,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":6,\"params\":{}},{\"children\":[],\"id\":11,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":13,\"params\":{}},{\"children\":[],\"id\":15,\"params\":{}}],\"params\":{}}]', '5598450E61ED2F5D6DFB0F699F862C09', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 20, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-13 15:39:47', NULL, '2022-06-13 15:39:47', NULL);
INSERT INTO `sys_log` VALUES (71, '角色管理', 4, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"id\":1,\"menuList\":[{\"children\":[],\"id\":1,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":7,\"params\":{}},{\"children\":[],\"id\":8,\"params\":{}},{\"children\":[],\"id\":9,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":16,\"params\":{}},{\"children\":[],\"id\":17,\"params\":{}},{\"children\":[],\"id\":18,\"params\":{}},{\"children\":[],\"id\":19,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":6,\"params\":{}},{\"children\":[],\"id\":21,\"params\":{}},{\"children\":[],\"id\":5,\"params\":{}},{\"children\":[],\"id\":10,\"params\":{}},{\"children\":[],\"id\":11,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":13,\"params\":{}},{\"children\":[],\"id\":14,\"params\":{}},{\"children\":[],\"id\":15,\"params\":{}}],\"params\":{}}]', '55F986F54F57C9735B694D77A388FDFD', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 33, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-14 10:25:46', NULL, '2022-06-14 10:25:46', NULL);
INSERT INTO `sys_log` VALUES (72, '角色管理', 4, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"id\":1,\"menuList\":[{\"children\":[],\"id\":1,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":7,\"params\":{}},{\"children\":[],\"id\":8,\"params\":{}},{\"children\":[],\"id\":9,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":16,\"params\":{}},{\"children\":[],\"id\":17,\"params\":{}},{\"children\":[],\"id\":18,\"params\":{}},{\"children\":[],\"id\":19,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":6,\"params\":{}},{\"children\":[],\"id\":20,\"params\":{}},{\"children\":[],\"id\":5,\"params\":{}},{\"children\":[],\"id\":10,\"params\":{}},{\"children\":[],\"id\":11,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":13,\"params\":{}},{\"children\":[],\"id\":14,\"params\":{}},{\"children\":[],\"id\":15,\"params\":{}}],\"params\":{}}]', 'BA2A461B6C24343521C35843BC618B2B', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 42, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-14 11:16:00', NULL, '2022-06-14 11:16:00', NULL);
INSERT INTO `sys_log` VALUES (73, '字典管理', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/dict/v1/', 'DELETE', 'com.cool.bang.modules.system.controller.DictController.batchRemove', '[\"2\"]', '9413B6ECE79A434F716EE0CF2A373A95', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 41, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-14 16:03:28', NULL, '2022-06-14 16:03:28', NULL);
INSERT INTO `sys_log` VALUES (74, '字典管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/dict/v1/', 'POST', 'com.cool.bang.modules.system.controller.DictController.save', '[{\"createBy\":1,\"createTime\":1655193867003,\"enable\":1,\"name\":\"1\",\"params\":{},\"remark\":\"1\",\"type\":\"1\",\"updateBy\":1,\"updateTime\":1655193867003}]', '246ECF7E2C943408C52D805852222035', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 13, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-14 16:04:27', NULL, '2022-06-14 16:04:27', NULL);
INSERT INTO `sys_log` VALUES (75, '字典管理', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/dict/v1/', 'DELETE', 'com.cool.bang.modules.system.controller.DictController.batchRemove', '[\"3\"]', 'C2815AAFEF49284EC43E3970BC90A18A', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 9, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-14 16:04:30', NULL, '2022-06-14 16:04:30', NULL);
INSERT INTO `sys_log` VALUES (76, '字典管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/dict/v1/', 'POST', 'com.cool.bang.modules.system.controller.DictController.save', '[{\"createBy\":1,\"createTime\":1655193883504,\"enable\":1,\"name\":\"2\",\"params\":{},\"remark\":\"2\",\"type\":\"2\",\"updateBy\":1,\"updateTime\":1655193883504}]', '4C0AB8CD4AD0F59174E75DFA2ADD0D46', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 7, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-14 16:04:43', NULL, '2022-06-14 16:04:43', NULL);
INSERT INTO `sys_log` VALUES (77, '字典管理', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/dict/v1/', 'DELETE', 'com.cool.bang.modules.system.controller.DictController.batchRemove', '[\"4\"]', '3548C3AA1A8FA8B4FACF1C3A0EE3BE32', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 7, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-14 16:05:23', NULL, '2022-06-14 16:05:23', NULL);
INSERT INTO `sys_log` VALUES (78, '字典管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/dict/v1/', 'POST', 'com.cool.bang.modules.system.controller.DictController.save', '[{\"createBy\":1,\"createTime\":1655193930879,\"enable\":1,\"name\":\"2\",\"params\":{},\"remark\":\"2\",\"type\":\"2\",\"updateBy\":1,\"updateTime\":1655193930879}]', 'A230055993AD13FCB736F78BAE8D458A', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 7, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-14 16:05:30', NULL, '2022-06-14 16:05:30', NULL);
INSERT INTO `sys_log` VALUES (79, '字典管理', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/dict/v1/', 'DELETE', 'com.cool.bang.modules.system.controller.DictController.batchRemove', '[\"5\"]', 'FA2E2519DB87AF38BD78CFF24C9210C9', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 8, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-14 16:05:33', NULL, '2022-06-14 16:05:33', NULL);
INSERT INTO `sys_log` VALUES (80, '字典管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/dict/v1/', 'POST', 'com.cool.bang.modules.system.controller.DictController.save', '[{\"createBy\":1,\"createTime\":1655193951480,\"enable\":1,\"name\":\"3\",\"params\":{},\"remark\":\"3\",\"type\":\"3\",\"updateBy\":1,\"updateTime\":1655193951480}]', 'F6C4238BC37E9B5CBA5F55BBC64BF278', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 5, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-14 16:05:51', NULL, '2022-06-14 16:05:51', NULL);
INSERT INTO `sys_log` VALUES (81, '用户管理', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/1', 'DELETE', 'com.cool.bang.modules.system.controller.UserController.deleteBatch', '[1]', 'AA8E66A686B2943368B5080174AA1BD3', '{\"code\":500,\"msg\":\"管理员无法删除。\",\"success\":false}', 12, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 08:59:16', NULL, '2022-06-15 08:59:16', NULL);
INSERT INTO `sys_log` VALUES (82, '用户管理', 1, 0, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'POST', 'com.cool.bang.modules.system.controller.UserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"createTime\":1655255239759,\"credentialsNonExpired\":true,\"delFlag\":true,\"email\":\"2\",\"enable\":true,\"enabled\":true,\"id\":2,\"params\":{},\"password\":\"$2a$10$.2qwAyx0rt.CHY9ZkW/zBOiHGCto6SabsI9JAfhx/TreJjSoWWxM6\",\"phone\":\"2\",\"realName\":\"2\",\"roleList\":[{\"id\":1,\"params\":{}},{\"id\":2,\"params\":{}},{\"id\":3,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"updateTime\":1655255239759,\"username\":\"2\"}]', '295C9B1ADD95FDAC1B20602C7906C178', NULL, 220, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, '\r\n### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: Duplicate entry \'2-1\' for key \'PRIMARY\'\r\n### The error may exist in file [E:\\idea_project\\coob_v2\\target\\classes\\mapper\\system\\UserAndRoleMapper.xml]\r\n### The error may involve defaultParameterMap\r\n### The error occurred while setting parameters\r\n### SQL: insert into         sys_user_role (user_id, role_id)         values                        (?, ?)          ,              (?, ?)          ,              (?, ?)\r\n### Cause: java.sql.SQLIntegrityConstraintViolationException: Duplicate entry \'2-1\' for key \'PRIMARY\'\n; Duplicate entry \'2-1\' for key \'PRIMARY\'; nested exception is java.sql.SQLIntegrityConstraintViolationException: Duplicate entry \'2-1\' for key \'PRIMARY\'', NULL, '2022-06-15 09:07:19', NULL, '2022-06-15 09:07:19', NULL);
INSERT INTO `sys_log` VALUES (83, '用户管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'POST', 'com.cool.bang.modules.system.controller.UserController.add', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"createTime\":1655255360075,\"credentialsNonExpired\":true,\"delFlag\":true,\"email\":\"2\",\"enable\":true,\"enabled\":true,\"id\":3,\"params\":{},\"password\":\"$2a$10$gDhYD7vDSRX76XMJFB3o/OmWC1u4sJFopKdO3H6C5ZT/s0bPAj5Ey\",\"phone\":\"2\",\"realName\":\"2\",\"roleList\":[{\"id\":1,\"params\":{}},{\"id\":2,\"params\":{}},{\"id\":3,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"updateTime\":1655255360075,\"username\":\"2\"}]', 'E10C9207E686FDD5241A3E5A8C83D268', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 107, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 09:09:20', NULL, '2022-06-15 09:09:20', NULL);
INSERT INTO `sys_log` VALUES (84, '用户管理', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/3', 'DELETE', 'com.cool.bang.modules.system.controller.UserController.deleteBatch', '[3]', 'A789962804835FF8CBD0FC0EB1B2E754', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 20, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 09:09:23', NULL, '2022-06-15 09:09:23', NULL);
INSERT INTO `sys_log` VALUES (85, '角色管理', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/3', 'DELETE', 'com.cool.bang.modules.system.controller.RoleController.remove', '[\"3\"]', '4BC42C2F35884723D719F58DBCF63140', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 32, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 09:53:08', NULL, '2022-06-15 09:53:08', NULL);
INSERT INTO `sys_log` VALUES (86, '角色管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'POST', 'com.cool.bang.modules.system.controller.RoleController.add', '[{\"code\":\"2\",\"createBy\":1,\"createTime\":1655258047013,\"enable\":1,\"id\":4,\"name\":\"2\",\"params\":{},\"remark\":\"2\",\"sort\":2,\"updateBy\":1,\"updateTime\":1655258047013}]', 'C212A0D2D2AB2162E3407027CEC45359', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 13, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 09:54:07', NULL, '2022-06-15 09:54:07', NULL);
INSERT INTO `sys_log` VALUES (87, '角色管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.edit', '[{\"code\":\"3\",\"id\":4,\"name\":\"3\",\"params\":{},\"remark\":\"3\",\"sort\":3,\"updateBy\":1}]', '3103A7D748EF6D10EF33B9E6F648FB0A', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 22, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 09:54:13', NULL, '2022-06-15 09:54:13', NULL);
INSERT INTO `sys_log` VALUES (88, '角色管理', 4, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"id\":4,\"menuList\":[{\"children\":[],\"id\":1,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":7,\"params\":{}},{\"children\":[],\"id\":8,\"params\":{}},{\"children\":[],\"id\":9,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":16,\"params\":{}},{\"children\":[],\"id\":17,\"params\":{}},{\"children\":[],\"id\":18,\"params\":{}},{\"children\":[],\"id\":19,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":6,\"params\":{}},{\"children\":[],\"id\":20,\"params\":{}},{\"children\":[],\"id\":5,\"params\":{}},{\"children\":[],\"id\":10,\"params\":{}},{\"children\":[],\"id\":11,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":13,\"params\":{}},{\"children\":[],\"id\":14,\"params\":{}},{\"children\":[],\"id\":15,\"params\":{}}],\"params\":{}}]', 'EC0D253380A03D22CDF335E380360275', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 14, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 09:54:21', NULL, '2022-06-15 09:54:21', NULL);
INSERT INTO `sys_log` VALUES (89, '角色管理', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/4', 'DELETE', 'com.cool.bang.modules.system.controller.RoleController.remove', '[\"4\"]', 'D469DAACB2436B49FCFAD263DF956D9F', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 14, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 09:58:23', NULL, '2022-06-15 09:58:23', NULL);
INSERT INTO `sys_log` VALUES (90, '字典管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/dict/v1/', 'POST', 'com.cool.bang.modules.system.controller.DictController.save', '[{\"createBy\":1,\"createTime\":1655258426249,\"enable\":1,\"name\":\"2\",\"params\":{},\"remark\":\"2\",\"type\":\"2\",\"updateBy\":1,\"updateTime\":1655258426249}]', '7C36BAA1A9C5FBED6369372C91AD2481', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 12, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:00:26', NULL, '2022-06-15 10:00:26', NULL);
INSERT INTO `sys_log` VALUES (91, '字典管理', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/dict/v1/', 'DELETE', 'com.cool.bang.modules.system.controller.DictController.batchRemove', '[\"6\"]', '00B605B85A77FE62F8F396C5AA21953B', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 8, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:00:30', NULL, '2022-06-15 10:00:30', NULL);
INSERT INTO `sys_log` VALUES (92, '字典管理', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/dict/v1/', 'DELETE', 'com.cool.bang.modules.system.controller.DictController.batchRemove', '[\"7\"]', '4D2849E9DE5E8D4E38C16868307491ED', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 8, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:00:33', NULL, '2022-06-15 10:00:33', NULL);
INSERT INTO `sys_log` VALUES (93, '角色管理', 4, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"id\":1,\"menuList\":[{\"children\":[],\"id\":1,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":7,\"params\":{}},{\"children\":[],\"id\":8,\"params\":{}},{\"children\":[],\"id\":9,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":16,\"params\":{}},{\"children\":[],\"id\":17,\"params\":{}},{\"children\":[],\"id\":18,\"params\":{}},{\"children\":[],\"id\":19,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":6,\"params\":{}},{\"children\":[],\"id\":20,\"params\":{}},{\"children\":[],\"id\":21,\"params\":{}},{\"children\":[],\"id\":5,\"params\":{}},{\"children\":[],\"id\":10,\"params\":{}},{\"children\":[],\"id\":11,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":13,\"params\":{}},{\"children\":[],\"id\":14,\"params\":{}},{\"children\":[],\"id\":15,\"params\":{}}],\"params\":{}}]', 'A1C385187079624A3F3A9C8E756CF2CF', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 8, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:01:33', NULL, '2022-06-15 10:01:33', NULL);
INSERT INTO `sys_log` VALUES (94, '角色管理', 4, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"id\":1,\"menuList\":[{\"children\":[],\"id\":1,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":7,\"params\":{}},{\"children\":[],\"id\":8,\"params\":{}},{\"children\":[],\"id\":9,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":16,\"params\":{}},{\"children\":[],\"id\":17,\"params\":{}},{\"children\":[],\"id\":18,\"params\":{}},{\"children\":[],\"id\":19,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":6,\"params\":{}},{\"children\":[],\"id\":20,\"params\":{}},{\"children\":[],\"id\":5,\"params\":{}},{\"children\":[],\"id\":10,\"params\":{}},{\"children\":[],\"id\":11,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":13,\"params\":{}},{\"children\":[],\"id\":14,\"params\":{}},{\"children\":[],\"id\":15,\"params\":{}}],\"params\":{}}]', 'B54B438A81A7A54E886065C101FB87E7', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 10, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:01:36', NULL, '2022-06-15 10:01:36', NULL);
INSERT INTO `sys_log` VALUES (95, '角色管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'POST', 'com.cool.bang.modules.system.controller.RoleController.add', '[{\"code\":\"3\",\"createBy\":1,\"createTime\":1655258587516,\"enable\":1,\"id\":5,\"name\":\"3\",\"params\":{},\"remark\":\"3\",\"sort\":3,\"updateBy\":1,\"updateTime\":1655258587516}]', '01959C1D745C697D6EDF88C5F834CD60', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 6, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:03:07', NULL, '2022-06-15 10:03:07', NULL);
INSERT INTO `sys_log` VALUES (96, '角色管理', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/5', 'DELETE', 'com.cool.bang.modules.system.controller.RoleController.remove', '[\"5\"]', 'E31FD06858DCC45F613834B1226E2565', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 8, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:03:10', NULL, '2022-06-15 10:03:10', NULL);
INSERT INTO `sys_log` VALUES (97, '角色管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'POST', 'com.cool.bang.modules.system.controller.RoleController.add', '[{\"code\":\"3\",\"createBy\":1,\"createTime\":1655260262793,\"enable\":1,\"id\":6,\"name\":\"3\",\"params\":{},\"remark\":\"3\",\"sort\":3,\"updateBy\":1,\"updateTime\":1655260262793}]', '5D3599EA1EC20291C87ADDD753130ABD', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 33, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:31:02', NULL, '2022-06-15 10:31:02', NULL);
INSERT INTO `sys_log` VALUES (98, '角色管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.edit', '[{\"enable\":0,\"id\":6,\"params\":{},\"updateBy\":1}]', '40F2266629ABA48C012EBF5157C09165', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 16, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:32:33', NULL, '2022-06-15 10:32:33', NULL);
INSERT INTO `sys_log` VALUES (99, '角色管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.edit', '[{\"enable\":1,\"id\":6,\"params\":{},\"updateBy\":1}]', '118ED9BFD1C082E718FE306B69A00029', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 17, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:32:35', NULL, '2022-06-15 10:32:35', NULL);
INSERT INTO `sys_log` VALUES (100, '角色管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.edit', '[{\"enable\":0,\"id\":6,\"params\":{},\"updateBy\":1}]', '48C6D1C06B05CAD2DFB5F5FA798BAF46', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 22, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:32:36', NULL, '2022-06-15 10:32:36', NULL);
INSERT INTO `sys_log` VALUES (101, '角色管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.edit', '[{\"enable\":1,\"id\":6,\"params\":{},\"updateBy\":1}]', '4C7B58B7AD82A7883168578B9CEB1138', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 17, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:32:37', NULL, '2022-06-15 10:32:37', NULL);
INSERT INTO `sys_log` VALUES (102, '角色管理', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/6', 'DELETE', 'com.cool.bang.modules.system.controller.RoleController.remove', '[\"6\"]', 'A046FA687A1E4BCF600966D17CD5C907', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 16, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:33:03', NULL, '2022-06-15 10:33:03', NULL);
INSERT INTO `sys_log` VALUES (103, '角色管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'POST', 'com.cool.bang.modules.system.controller.RoleController.add', '[{\"code\":\"3\",\"createBy\":1,\"createTime\":1655260578712,\"enable\":1,\"id\":7,\"name\":\"3\",\"params\":{},\"remark\":\"3\",\"sort\":3,\"updateBy\":1,\"updateTime\":1655260578712}]', '2B19BDAE69CAAE07EACFBDBEA4B7C880', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 9, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:36:18', NULL, '2022-06-15 10:36:18', NULL);
INSERT INTO `sys_log` VALUES (104, '角色管理', 4, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"id\":7,\"menuList\":[{\"children\":[],\"id\":1,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":7,\"params\":{}},{\"children\":[],\"id\":8,\"params\":{}},{\"children\":[],\"id\":9,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":16,\"params\":{}},{\"children\":[],\"id\":17,\"params\":{}},{\"children\":[],\"id\":18,\"params\":{}},{\"children\":[],\"id\":19,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":6,\"params\":{}},{\"children\":[],\"id\":20,\"params\":{}},{\"children\":[],\"id\":21,\"params\":{}},{\"children\":[],\"id\":5,\"params\":{}},{\"children\":[],\"id\":10,\"params\":{}},{\"children\":[],\"id\":11,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":13,\"params\":{}},{\"children\":[],\"id\":14,\"params\":{}},{\"children\":[],\"id\":15,\"params\":{}}],\"params\":{}}]', '3E7EDA8268DB433491C198E09831F57E', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 13, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:36:33', NULL, '2022-06-15 10:36:33', NULL);
INSERT INTO `sys_log` VALUES (105, '角色管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'POST', 'com.cool.bang.modules.system.controller.RoleController.add', '[{\"code\":\"3\",\"name\":\"3\",\"params\":{},\"remark\":\"3\",\"sort\":3}]', '7A420EC996E6E674C2F69395B76A9D50', '{\"code\":500,\"msg\":\"该角色名已存在\",\"success\":false}', 2, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:36:47', NULL, '2022-06-15 10:36:47', NULL);
INSERT INTO `sys_log` VALUES (106, '角色管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'POST', 'com.cool.bang.modules.system.controller.RoleController.add', '[{\"code\":\"3\",\"name\":\"3\",\"params\":{},\"remark\":\"3\",\"sort\":3}]', 'D70FBD7845B2A32D2A2435D3B54BCBA7', '{\"code\":500,\"msg\":\"该角色名已存在\",\"success\":false}', 2, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:36:47', NULL, '2022-06-15 10:36:47', NULL);
INSERT INTO `sys_log` VALUES (107, '角色管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'POST', 'com.cool.bang.modules.system.controller.RoleController.add', '[{\"code\":\"3\",\"name\":\"3\",\"params\":{},\"remark\":\"3\",\"sort\":3}]', '26DF277B148FB3887A5275A91178DD8F', '{\"code\":500,\"msg\":\"该角色名已存在\",\"success\":false}', 3, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:36:47', NULL, '2022-06-15 10:36:47', NULL);
INSERT INTO `sys_log` VALUES (108, '角色管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'POST', 'com.cool.bang.modules.system.controller.RoleController.add', '[{\"code\":\"3\",\"name\":\"3\",\"params\":{},\"remark\":\"3\",\"sort\":3}]', '1250E5DBE6E2C474B7D0E9E745E05D67', '{\"code\":500,\"msg\":\"该角色名已存在\",\"success\":false}', 3, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:36:48', NULL, '2022-06-15 10:36:48', NULL);
INSERT INTO `sys_log` VALUES (109, '角色管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'POST', 'com.cool.bang.modules.system.controller.RoleController.add', '[{\"code\":\"4\",\"createBy\":1,\"createTime\":1655260613557,\"enable\":1,\"id\":8,\"name\":\"4\",\"params\":{},\"remark\":\"4\",\"sort\":4,\"updateBy\":1,\"updateTime\":1655260613557}]', 'D8778301FC8153ABB3F19B0A941DB7C0', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 10, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:36:53', NULL, '2022-06-15 10:36:53', NULL);
INSERT INTO `sys_log` VALUES (110, '角色管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'POST', 'com.cool.bang.modules.system.controller.RoleController.add', '[{\"code\":\"4\",\"name\":\"4\",\"params\":{},\"remark\":\"4\",\"sort\":4}]', '1E7612BE0845CFCC81B536531337B2F9', '{\"code\":500,\"msg\":\"该角色名已存在\",\"success\":false}', 4, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:36:53', NULL, '2022-06-15 10:36:53', NULL);
INSERT INTO `sys_log` VALUES (111, '角色管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'POST', 'com.cool.bang.modules.system.controller.RoleController.add', '[{\"code\":\"4\",\"name\":\"4\",\"params\":{},\"remark\":\"4\",\"sort\":4}]', 'B00C95EE7A0C041C210E02443A10E39D', '{\"code\":500,\"msg\":\"该角色名已存在\",\"success\":false}', 3, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:36:54', NULL, '2022-06-15 10:36:54', NULL);
INSERT INTO `sys_log` VALUES (112, '角色管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'POST', 'com.cool.bang.modules.system.controller.RoleController.add', '[{\"code\":\"5\",\"createBy\":1,\"createTime\":1655260727843,\"enable\":1,\"id\":9,\"name\":\"5\",\"params\":{},\"remark\":\"5\",\"sort\":5,\"updateBy\":1,\"updateTime\":1655260727843}]', '9FC063D61F19607B02ED19AA34AEAF91', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 8, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:38:47', NULL, '2022-06-15 10:38:47', NULL);
INSERT INTO `sys_log` VALUES (113, '角色管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'POST', 'com.cool.bang.modules.system.controller.RoleController.add', '[{\"code\":\"5\",\"name\":\"5\",\"params\":{},\"remark\":\"5\",\"sort\":5}]', 'E07047F0FB06ACA9FF3266CAE13C4362', '{\"code\":500,\"msg\":\"该角色名已存在\",\"success\":false}', 1, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:38:48', NULL, '2022-06-15 10:38:48', NULL);
INSERT INTO `sys_log` VALUES (114, '角色管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'POST', 'com.cool.bang.modules.system.controller.RoleController.add', '[{\"code\":\"6\",\"createBy\":1,\"createTime\":1655260840022,\"enable\":1,\"id\":10,\"name\":\"6\",\"params\":{},\"remark\":\"6\",\"sort\":6,\"updateBy\":1,\"updateTime\":1655260840022}]', '152575413A05CDD34AB81A451DDDF89A', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 7, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:40:40', NULL, '2022-06-15 10:40:40', NULL);
INSERT INTO `sys_log` VALUES (115, '角色管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'POST', 'com.cool.bang.modules.system.controller.RoleController.add', '[{\"code\":\"1\",\"createBy\":1,\"createTime\":1655260891713,\"enable\":1,\"id\":11,\"name\":\"1\",\"params\":{},\"remark\":\"1\",\"sort\":1,\"updateBy\":1,\"updateTime\":1655260891713}]', 'D84571EEC27BDCD019C2816ABF68AC4E', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 8, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:41:31', NULL, '2022-06-15 10:41:31', NULL);
INSERT INTO `sys_log` VALUES (116, '角色管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'POST', 'com.cool.bang.modules.system.controller.RoleController.add', '[{\"code\":\"1\",\"createBy\":1,\"createTime\":1655260943606,\"enable\":1,\"id\":12,\"name\":\"11\",\"params\":{},\"remark\":\"1\",\"sort\":11,\"updateBy\":1,\"updateTime\":1655260943606}]', '4E7CEC712FB9E7B1B365350617B25634', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 7, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:42:23', NULL, '2022-06-15 10:42:23', NULL);
INSERT INTO `sys_log` VALUES (117, '角色管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'POST', 'com.cool.bang.modules.system.controller.RoleController.add', '[{\"code\":\"1\",\"name\":\"11\",\"params\":{},\"remark\":\"1\",\"sort\":11}]', 'E8480A9FC8D49916CD811A5C8F6F6632', '{\"code\":500,\"msg\":\"该角色名已存在\",\"success\":false}', 2, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:42:25', NULL, '2022-06-15 10:42:25', NULL);
INSERT INTO `sys_log` VALUES (118, '角色管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'POST', 'com.cool.bang.modules.system.controller.RoleController.add', '[{\"code\":\"5\",\"name\":\"5\",\"params\":{},\"remark\":\"5\",\"sort\":5}]', '728804C1E4D0D1CA1CED720589F2D220', '{\"code\":500,\"msg\":\"该角色名已存在\",\"success\":false}', 2, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:43:03', NULL, '2022-06-15 10:43:03', NULL);
INSERT INTO `sys_log` VALUES (119, '角色管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'POST', 'com.cool.bang.modules.system.controller.RoleController.add', '[{\"code\":\"22\",\"createBy\":1,\"createTime\":1655260990538,\"enable\":1,\"id\":13,\"name\":\"22\",\"params\":{},\"remark\":\"22\",\"sort\":22,\"updateBy\":1,\"updateTime\":1655260990538}]', 'C8B33EDC7E883C2F99EEF1CDEE5E2FA1', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 9, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:43:10', NULL, '2022-06-15 10:43:10', NULL);
INSERT INTO `sys_log` VALUES (120, '角色管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'POST', 'com.cool.bang.modules.system.controller.RoleController.add', '[{\"code\":\"22\",\"name\":\"22\",\"params\":{},\"remark\":\"22\",\"sort\":22}]', '5910B0EF5B349A711D4A69A2B29EF4A4', '{\"code\":500,\"msg\":\"该角色名已存在\",\"success\":false}', 2, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:43:11', NULL, '2022-06-15 10:43:11', NULL);
INSERT INTO `sys_log` VALUES (121, '角色管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'POST', 'com.cool.bang.modules.system.controller.RoleController.add', '[{\"code\":\"33\",\"createBy\":1,\"createTime\":1655261027804,\"enable\":1,\"id\":14,\"name\":\"33\",\"params\":{},\"remark\":\"33\",\"sort\":33,\"updateBy\":1,\"updateTime\":1655261027804}]', '4E06C502027D6B2928C41106E12E1A2F', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 9, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:43:47', NULL, '2022-06-15 10:43:47', NULL);
INSERT INTO `sys_log` VALUES (122, '角色管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'POST', 'com.cool.bang.modules.system.controller.RoleController.add', '[{\"code\":\"111\",\"createBy\":1,\"createTime\":1655261051725,\"enable\":1,\"id\":15,\"name\":\"111\",\"params\":{},\"remark\":\"1111\",\"sort\":111,\"updateBy\":1,\"updateTime\":1655261051725}]', '4CD91911F22998B43D7B133FAFAA4244', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 7, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:44:11', NULL, '2022-06-15 10:44:11', NULL);
INSERT INTO `sys_log` VALUES (123, '角色管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'POST', 'com.cool.bang.modules.system.controller.RoleController.add', '[{\"code\":\"331\",\"createBy\":1,\"createTime\":1655261268566,\"enable\":1,\"id\":16,\"name\":\"331\",\"params\":{},\"remark\":\"331\",\"sort\":331,\"updateBy\":1,\"updateTime\":1655261268566}]', '17B47217285E799EE27666E7831B4EB3', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 6, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:47:48', NULL, '2022-06-15 10:47:48', NULL);
INSERT INTO `sys_log` VALUES (124, '角色管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'POST', 'com.cool.bang.modules.system.controller.RoleController.add', '[{\"code\":\"1\",\"createBy\":1,\"createTime\":1655261335057,\"enable\":1,\"id\":17,\"name\":\"1\",\"params\":{},\"remark\":\"1\",\"sort\":1,\"updateBy\":1,\"updateTime\":1655261335057}]', 'F4DB9E1869AEF47DD07DB8078FEB8E5A', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 6, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:48:55', NULL, '2022-06-15 10:48:55', NULL);
INSERT INTO `sys_log` VALUES (125, '角色管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'POST', 'com.cool.bang.modules.system.controller.RoleController.add', '[{\"code\":\"2\",\"createBy\":1,\"createTime\":1655261404491,\"enable\":1,\"id\":18,\"name\":\"2\",\"params\":{},\"remark\":\"2\",\"sort\":2,\"updateBy\":1,\"updateTime\":1655261404491}]', 'E01FF7CB13840A9687D34449543028FD', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 7, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:50:04', NULL, '2022-06-15 10:50:04', NULL);
INSERT INTO `sys_log` VALUES (126, '角色管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'POST', 'com.cool.bang.modules.system.controller.RoleController.add', '[{\"code\":\"1\",\"name\":\"1\",\"params\":{},\"remark\":\"1\",\"sort\":1}]', '7765CCCA66A9C0CDD3E1F05DF118BCD1', '{\"code\":500,\"msg\":\"该角色名已存在\",\"success\":false}', 2, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:50:44', NULL, '2022-06-15 10:50:44', NULL);
INSERT INTO `sys_log` VALUES (127, '角色管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'POST', 'com.cool.bang.modules.system.controller.RoleController.add', '[{\"code\":\"1\",\"name\":\"1\",\"params\":{},\"remark\":\"1\",\"sort\":1}]', 'CB4D23B10C34F4C9E7A097557CC8689A', '{\"code\":500,\"msg\":\"该角色名已存在\",\"success\":false}', 1, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:50:47', NULL, '2022-06-15 10:50:47', NULL);
INSERT INTO `sys_log` VALUES (128, '角色管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'POST', 'com.cool.bang.modules.system.controller.RoleController.add', '[{\"code\":\"1\",\"name\":\"1\",\"params\":{},\"remark\":\"1\",\"sort\":1}]', 'D0486C7517B760105AFCB12DAC18F19C', '{\"code\":500,\"msg\":\"该角色名已存在\",\"success\":false}', 2, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:50:50', NULL, '2022-06-15 10:50:50', NULL);
INSERT INTO `sys_log` VALUES (129, '角色管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'POST', 'com.cool.bang.modules.system.controller.RoleController.add', '[{\"code\":\"3\",\"createBy\":1,\"createTime\":1655261455418,\"enable\":1,\"id\":19,\"name\":\"3\",\"params\":{},\"remark\":\"3\",\"sort\":3,\"updateBy\":1,\"updateTime\":1655261455418}]', '47469C752E3FE5425329CDEDE4F1493D', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 7, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 10:50:55', NULL, '2022-06-15 10:50:55', NULL);
INSERT INTO `sys_log` VALUES (130, '角色管理', 4, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"id\":1,\"menuList\":[{\"children\":[],\"id\":1,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":7,\"params\":{}},{\"children\":[],\"id\":8,\"params\":{}},{\"children\":[],\"id\":9,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":16,\"params\":{}},{\"children\":[],\"id\":17,\"params\":{}},{\"children\":[],\"id\":18,\"params\":{}},{\"children\":[],\"id\":19,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":6,\"params\":{}},{\"children\":[],\"id\":20,\"params\":{}},{\"children\":[],\"id\":21,\"params\":{}},{\"children\":[],\"id\":5,\"params\":{}},{\"children\":[],\"id\":10,\"params\":{}},{\"children\":[],\"id\":11,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":13,\"params\":{}},{\"children\":[],\"id\":14,\"params\":{}},{\"children\":[],\"id\":15,\"params\":{}}],\"params\":{}}]', '6247E918F7B37E4A1D844344D3692272', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 51, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 15:34:33', NULL, '2022-06-15 15:34:33', NULL);
INSERT INTO `sys_log` VALUES (131, '角色管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'POST', 'com.cool.bang.modules.system.controller.RoleController.add', '[{\"code\":\"1\",\"createBy\":1,\"createTime\":1655280607261,\"enable\":1,\"id\":3,\"name\":\"1\",\"params\":{},\"remark\":\"1\",\"sort\":1,\"updateBy\":1,\"updateTime\":1655280607261}]', 'C4E99B11D50E4421994C43C22C6BC269', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 13, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 16:10:07', NULL, '2022-06-15 16:10:07', NULL);
INSERT INTO `sys_log` VALUES (132, '角色管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.edit', '[{\"enable\":0,\"id\":3,\"params\":{},\"updateBy\":1}]', 'D7B49820B879FC40FAEFD21B80FC0B69', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 20, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 16:10:11', NULL, '2022-06-15 16:10:11', NULL);
INSERT INTO `sys_log` VALUES (133, '角色管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.edit', '[{\"enable\":1,\"id\":3,\"params\":{},\"updateBy\":1}]', 'C601B53E9B9F4133EDE6F90A137D336C', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 10, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 16:10:12', NULL, '2022-06-15 16:10:12', NULL);
INSERT INTO `sys_log` VALUES (134, '角色管理', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/3', 'DELETE', 'com.cool.bang.modules.system.controller.RoleController.remove', '[\"3\"]', 'DEF418F8C16A13DE67CD2280A5BA27B0', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 14, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 16:10:17', NULL, '2022-06-15 16:10:17', NULL);
INSERT INTO `sys_log` VALUES (135, '角色管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'POST', 'com.cool.bang.modules.system.controller.RoleController.add', '[{\"code\":\"1\",\"createBy\":1,\"createTime\":1655280733338,\"enable\":1,\"id\":4,\"name\":\"1\",\"params\":{},\"remark\":\"1\",\"sort\":1,\"updateBy\":1,\"updateTime\":1655280733338}]', '0FAE649D97325E28C5C61DA65E8886A9', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 8, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 16:12:13', NULL, '2022-06-15 16:12:13', NULL);
INSERT INTO `sys_log` VALUES (136, '角色管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.edit', '[{\"code\":\"2\",\"id\":4,\"name\":\"2\",\"params\":{},\"remark\":\"2\",\"sort\":2,\"updateBy\":1}]', '05971E1BE3C88C5807DF307F150727A3', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 10, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 16:12:19', NULL, '2022-06-15 16:12:19', NULL);
INSERT INTO `sys_log` VALUES (137, '角色管理', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/4', 'DELETE', 'com.cool.bang.modules.system.controller.RoleController.remove', '[\"4\"]', '5D4250868621B21D4922EDEE191E0020', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 8, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 16:12:24', NULL, '2022-06-15 16:12:24', NULL);
INSERT INTO `sys_log` VALUES (138, '字典管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/dict/v1/', 'POST', 'com.cool.bang.modules.system.controller.DictController.save', '[{\"createBy\":1,\"createTime\":1655280878213,\"enable\":1,\"name\":\"测试类型\",\"params\":{},\"remark\":\"测试一下\",\"type\":\"sys_status\",\"updateBy\":1,\"updateTime\":1655280878213}]', '060A127B0E0056B29D50EFE489DE5CBB', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 12, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 16:14:38', NULL, '2022-06-15 16:14:38', NULL);
INSERT INTO `sys_log` VALUES (139, '字典管理', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/dict/v1/', 'PUT', 'com.cool.bang.modules.system.controller.DictController.edit', '[{\"id\":8,\"name\":\"测试类型\",\"params\":{},\"remark\":\"测试一下2\",\"type\":\"sys_status\",\"updateBy\":1,\"updateTime\":1655280887350}]', '5CF94E5BC9FA0A17E641AF7B752DB358', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 8, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-15 16:14:47', NULL, '2022-06-15 16:14:47', NULL);
INSERT INTO `sys_log` VALUES (140, '字典管理', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/dict/v1/', 'DELETE', 'com.cool.bang.modules.system.controller.DictController.batchRemove', '[\"8\"]', '980FD16B36BE545D3413A1C699FD9D50', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 31, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-16 15:27:09', NULL, '2022-06-16 15:27:09', NULL);
INSERT INTO `sys_log` VALUES (141, '字典管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/dict/v1/', 'POST', 'com.cool.bang.modules.system.controller.DictController.save', '[{\"createBy\":1,\"createTime\":1655364487256,\"enable\":1,\"name\":\"2\",\"params\":{},\"remark\":\"2\",\"type\":\"2\",\"updateBy\":1,\"updateTime\":1655364487256}]', '9D957E12E6E996113A30A77C73D2748E', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 24, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-16 15:28:07', NULL, '2022-06-16 15:28:07', NULL);
INSERT INTO `sys_log` VALUES (142, '字典管理', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/dict/v1/', 'DELETE', 'com.cool.bang.modules.system.controller.DictController.batchRemove', '[\"9\"]', '19B07BB69DB9C2BAB3A25F3A54A8D9AC', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 6, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-16 15:28:36', NULL, '2022-06-16 15:28:36', NULL);
INSERT INTO `sys_log` VALUES (143, '字典管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/dict/v1/', 'POST', 'com.cool.bang.modules.system.controller.DictController.save', '[{\"createBy\":1,\"createTime\":1655364521646,\"enable\":1,\"name\":\"3\",\"params\":{},\"remark\":\"3\",\"type\":\"3\",\"updateBy\":1,\"updateTime\":1655364521646}]', '8F0BCF35502BD63CD12DCE67660DEA89', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 4, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-16 15:28:41', NULL, '2022-06-16 15:28:41', NULL);
INSERT INTO `sys_log` VALUES (144, '字典管理', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/dict/v1/', 'DELETE', 'com.cool.bang.modules.system.controller.DictController.batchRemove', '[\"10\"]', '7DA7A4178EB6D5F6077FE39FFCAB0751', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 10, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-16 15:35:33', NULL, '2022-06-16 15:35:33', NULL);
INSERT INTO `sys_log` VALUES (145, '字典管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/dict/v1/', 'POST', 'com.cool.bang.modules.system.controller.DictController.save', '[{\"createBy\":1,\"createTime\":1655365280530,\"enable\":1,\"name\":\"3\",\"params\":{},\"remark\":\"3\",\"type\":\"33\",\"updateBy\":1,\"updateTime\":1655365280530}]', '8DDB873072D807FE897684A872467EA3', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 10, 'Windows-Chrome-102.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-06-16 15:41:20', NULL, '2022-06-16 15:41:20', NULL);
INSERT INTO `sys_log` VALUES (146, '字典管理', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/dict/v1/', 'DELETE', 'com.cool.bang.modules.system.controller.DictController.batchRemove', '[\"11\"]', 'F2155EFC5327D3F85C625CA80331EBE9', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 10, 'Windows-Chrome-102.0.0.0', '张店区', '山东省', '淄博市', NULL, NULL, NULL, '2022-06-16 15:41:25', NULL, '2022-06-16 15:41:25', NULL);
INSERT INTO `sys_log` VALUES (147, '用户管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'POST', 'com.cool.bang.modules.system.controller.UserController.save', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"createTime\":1657510355187,\"credentialsNonExpired\":true,\"delFlag\":true,\"email\":\"13031781044@163.com\",\"enable\":true,\"enabled\":true,\"id\":4,\"params\":{},\"password\":\"$2a$10$yVs.Rl9zmzeCZpe/5t.cI.gr8.3sPdd1rcB.JnS5L4Bz5hhDJz/iO\",\"phone\":\"13031781044\",\"realName\":\"test\",\"roleList\":[{\"id\":2,\"params\":{}},{\"id\":1,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"updateTime\":1657510355187,\"username\":\"test\"}]', 'F4685C28B4933B598B842322ECC5C890', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 129, 'Windows-Chrome-103.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-07-11 11:32:35', NULL, '2022-07-11 11:32:35', NULL);
INSERT INTO `sys_log` VALUES (148, '角色管理', 4, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"id\":1,\"menuList\":[{\"children\":[],\"id\":1,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":11,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":13,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":14,\"params\":{}},{\"children\":[],\"id\":15,\"params\":{}},{\"children\":[],\"id\":16,\"params\":{}},{\"children\":[],\"id\":17,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":18,\"params\":{}},{\"children\":[],\"id\":19,\"params\":{}},{\"children\":[],\"id\":20,\"params\":{}},{\"children\":[],\"id\":5,\"params\":{}},{\"children\":[],\"id\":21,\"params\":{}},{\"children\":[],\"id\":22,\"params\":{}},{\"children\":[],\"id\":23,\"params\":{}},{\"children\":[],\"id\":6,\"params\":{}},{\"children\":[],\"id\":7,\"params\":{}},{\"children\":[],\"id\":8,\"params\":{}},{\"children\":[],\"id\":9,\"params\":{}}],\"params\":{}}]', '0211E0A71891020D8CA187EE66FFAE63', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 55, 'Windows-Chrome-103.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-07-11 14:22:55', NULL, '2022-07-11 14:22:55', NULL);
INSERT INTO `sys_log` VALUES (149, '角色管理', 4, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"id\":1,\"menuList\":[{\"children\":[],\"id\":1,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":24,\"params\":{}},{\"children\":[],\"id\":25,\"params\":{}},{\"children\":[],\"id\":26,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":11,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":13,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":14,\"params\":{}},{\"children\":[],\"id\":15,\"params\":{}},{\"children\":[],\"id\":16,\"params\":{}},{\"children\":[],\"id\":17,\"params\":{}},{\"children\":[],\"id\":5,\"params\":{}},{\"children\":[],\"id\":18,\"params\":{}},{\"children\":[],\"id\":19,\"params\":{}},{\"children\":[],\"id\":20,\"params\":{}},{\"children\":[],\"id\":6,\"params\":{}},{\"children\":[],\"id\":21,\"params\":{}},{\"children\":[],\"id\":22,\"params\":{}},{\"children\":[],\"id\":23,\"params\":{}},{\"children\":[],\"id\":7,\"params\":{}},{\"children\":[],\"id\":8,\"params\":{}},{\"children\":[],\"id\":9,\"params\":{}}],\"params\":{}}]', '44468F7F740885DEB8500968900D36B0', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 43, 'Windows-Chrome-103.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-07-11 14:58:37', NULL, '2022-07-11 14:58:37', NULL);
INSERT INTO `sys_log` VALUES (150, '组织机构', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/org/v1/', 'POST', 'com.cool.bang.modules.system.controller.OrgController.save', '[{\"params\":{},\"parentId\":0}]', 'ED585883104A0E11C7CC9D720B5BA00B', '{\"code\":500,\"msg\":\"organization name is not null\",\"success\":false}', 4, 'Windows-Chrome-103.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-07-11 14:59:02', NULL, '2022-07-11 14:59:02', NULL);
INSERT INTO `sys_log` VALUES (151, '组织机构', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/org/v1/', 'POST', 'com.cool.bang.modules.system.controller.OrgController.save', '[{\"params\":{},\"parentId\":0}]', '81008D3981ED75D4D54D26833FC4D8F0', '{\"code\":500,\"msg\":\"organization name is not null\",\"success\":false}', 0, 'Windows-Chrome-103.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-07-11 14:59:10', NULL, '2022-07-11 14:59:10', NULL);
INSERT INTO `sys_log` VALUES (152, '组织机构', 1, 0, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/org/v1/', 'POST', 'com.cool.bang.modules.system.controller.OrgController.save', '[{\"name\":\"11\",\"params\":{},\"parentId\":0}]', '5E1DC228EF4B87FC50D6F38C87C2B566', NULL, 19285, 'Windows-Chrome-103.0.0.0', NULL, NULL, NULL, NULL, '\r\n### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: Column \'id\' cannot be null\r\n### The error may exist in file [E:\\idea_project\\coob_v2\\target\\classes\\mapper\\system\\OrgMapper.xml]\r\n### The error may involve com.cool.bang.modules.system.mapper.OrgMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: insert into             sys_org (id, parent_id, name, level, create_time, create_by, update_time, update_by)         values         (?, ?, ?, ?, sysdate(), ?, sysdate(), ?)\r\n### Cause: java.sql.SQLIntegrityConstraintViolationException: Column \'id\' cannot be null\n; Column \'id\' cannot be null; nested exception is java.sql.SQLIntegrityConstraintViolationException: Column \'id\' cannot be null', NULL, '2022-07-11 14:59:52', NULL, '2022-07-11 14:59:52', NULL);
INSERT INTO `sys_log` VALUES (153, '组织机构', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/org/v1/', 'POST', 'com.cool.bang.modules.system.controller.OrgController.save', '[{\"name\":\"111\",\"params\":{},\"parentId\":0}]', '58ECFBFD14BA43AC3333EEFE816A695D', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 8, 'Windows-Chrome-103.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-07-11 15:00:23', NULL, '2022-07-11 15:00:23', NULL);
INSERT INTO `sys_log` VALUES (154, '组织机构', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/org/v1/', 'POST', 'com.cool.bang.modules.system.controller.OrgController.save', '[{\"director\":\"张三\",\"name\":\"山东酷邦软件有限公司\",\"params\":{},\"parentId\":0,\"phone\":\"15048321234\",\"sort\":1}]', '635EBD1B38EEE5C617E93E9CFB4E9D7B', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 30, 'Windows-Chrome-103.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-07-11 15:21:55', NULL, '2022-07-11 15:21:55', NULL);
INSERT INTO `sys_log` VALUES (155, '组织机构', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/org/v1/', 'POST', 'com.cool.bang.modules.system.controller.OrgController.save', '[{\"director\":\"李四\",\"name\":\"软件部\",\"params\":{},\"parentId\":2,\"phone\":\"15023821234\",\"sort\":1}]', '0312E99F1B13239775773583A2727623', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 10, 'Windows-Chrome-103.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-07-11 15:26:22', NULL, '2022-07-11 15:26:22', NULL);
INSERT INTO `sys_log` VALUES (156, '组织机构', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/org/v1/1', 'DELETE', 'com.cool.bang.modules.system.controller.OrgController.remove', '[1]', '3308B4D87F27C2636F1DB7352E744179', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 6, 'Windows-Chrome-103.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-07-11 15:26:59', NULL, '2022-07-11 15:26:59', NULL);
INSERT INTO `sys_log` VALUES (157, '组织机构', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/org/v1/', 'POST', 'com.cool.bang.modules.system.controller.OrgController.save', '[{\"director\":\"11\",\"level\":1,\"name\":\"11\",\"params\":{},\"parentId\":0,\"phone\":\"11\",\"sort\":1,\"status\":1}]', '47A8DF3E789FFAF4D6235ADC410F1B42', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 33, 'Windows-Chrome-103.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-07-11 15:47:42', NULL, '2022-07-11 15:47:42', NULL);
INSERT INTO `sys_log` VALUES (158, '组织机构', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/org/v1/', 'POST', 'com.cool.bang.modules.system.controller.OrgController.save', '[{\"director\":\"22\",\"level\":2,\"name\":\"22\",\"params\":{},\"parentId\":4,\"phone\":\"222\",\"sort\":2,\"status\":1}]', 'D1F9470D9583CF20EF91EE39A3598988', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 11, 'Windows-Chrome-103.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-07-11 15:47:52', NULL, '2022-07-11 15:47:52', NULL);
INSERT INTO `sys_log` VALUES (159, '组织机构', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/org/v1/5', 'DELETE', 'com.cool.bang.modules.system.controller.OrgController.remove', '[5]', '0882BF57DF8B3748D0F005B51FD2B068', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 19, 'Windows-Chrome-103.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-07-11 15:59:26', NULL, '2022-07-11 15:59:26', NULL);
INSERT INTO `sys_log` VALUES (160, '组织机构', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/org/v1/5', 'DELETE', 'com.cool.bang.modules.system.controller.OrgController.remove', '[5]', '6E129D7654A5581180CABA59BCB7DFBC', '{\"code\":500,\"msg\":\"操作失败\",\"success\":false}', 5, 'Windows-Chrome-103.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-07-11 15:59:30', NULL, '2022-07-11 15:59:30', NULL);
INSERT INTO `sys_log` VALUES (161, '组织机构', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/org/v1/4', 'DELETE', 'com.cool.bang.modules.system.controller.OrgController.remove', '[4]', '3009F9B6B7A3F47B12A2FD00E4BE7729', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 5, 'Windows-Chrome-103.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-07-11 16:00:53', NULL, '2022-07-11 16:00:53', NULL);
INSERT INTO `sys_log` VALUES (162, '组织机构', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/org/v1/3', 'DELETE', 'com.cool.bang.modules.system.controller.OrgController.remove', '[3]', '464AC6EB1E30F67BBF7EBD61F3909DF5', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 14, 'Windows-Chrome-103.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-07-11 16:01:49', NULL, '2022-07-11 16:01:49', NULL);
INSERT INTO `sys_log` VALUES (163, '组织机构', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/org/v1/2', 'DELETE', 'com.cool.bang.modules.system.controller.OrgController.remove', '[2]', '66D3998BE12C3BC0FD2C748FD928F709', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 5, 'Windows-Chrome-103.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-07-11 16:02:08', NULL, '2022-07-11 16:02:08', NULL);
INSERT INTO `sys_log` VALUES (164, '组织机构', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/org/v1/', 'POST', 'com.cool.bang.modules.system.controller.OrgController.save', '[{\"director\":\"1\",\"level\":1,\"name\":\"1\",\"params\":{},\"parentId\":0,\"phone\":\"1\",\"sort\":1,\"status\":1}]', '176E1F24F5F47E448DFCD6BD84E040FC', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 13, 'Windows-Chrome-103.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-07-11 16:02:31', NULL, '2022-07-11 16:02:31', NULL);
INSERT INTO `sys_log` VALUES (165, '组织机构', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/org/v1/6', 'DELETE', 'com.cool.bang.modules.system.controller.OrgController.remove', '[6]', '14D02D0AA7B5F74DD4AD84B4A71F1BB0', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 6, 'Windows-Chrome-103.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-07-11 16:02:38', NULL, '2022-07-11 16:02:38', NULL);
INSERT INTO `sys_log` VALUES (166, '组织机构', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/org/v1/', 'POST', 'com.cool.bang.modules.system.controller.OrgController.save', '[{\"director\":\"1\",\"level\":1,\"name\":\"1\",\"params\":{},\"parentId\":0,\"phone\":\"1\",\"sort\":1,\"status\":1}]', '163423FC2E720386AF280D50659A440B', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 8, 'Windows-Chrome-103.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-07-11 16:02:48', NULL, '2022-07-11 16:02:48', NULL);
INSERT INTO `sys_log` VALUES (167, '组织机构', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/org/v1/7', 'DELETE', 'com.cool.bang.modules.system.controller.OrgController.remove', '[7]', '6E88FE5641886FAACA2A95207B2E79DB', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 6, 'Windows-Chrome-103.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-07-11 16:02:51', NULL, '2022-07-11 16:02:51', NULL);
INSERT INTO `sys_log` VALUES (168, '组织机构', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/org/v1/', 'POST', 'com.cool.bang.modules.system.controller.OrgController.save', '[{\"director\":\"酷邦软件\",\"level\":1,\"name\":\"山东酷邦软件有限公司\",\"params\":{},\"parentId\":0,\"phone\":\"15615330208\",\"sort\":1,\"status\":1}]', '9EC4BCC55DAFAA6FDEE4C0A17DB9FD15', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 8, 'Windows-Chrome-103.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-07-11 16:04:17', NULL, '2022-07-11 16:04:17', NULL);
INSERT INTO `sys_log` VALUES (169, '组织机构', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/org/v1/', 'POST', 'com.cool.bang.modules.system.controller.OrgController.save', '[{\"director\":\"张三\",\"level\":2,\"name\":\"软件部\",\"params\":{},\"parentId\":1,\"phone\":\"15615330208\",\"sort\":1,\"status\":1}]', '7BAAD9126D894CB359C19773A4A808F9', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 13, 'Windows-Chrome-103.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-07-11 16:06:02', NULL, '2022-07-11 16:06:02', NULL);
INSERT INTO `sys_log` VALUES (170, '组织机构', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/org/v1/', 'POST', 'com.cool.bang.modules.system.controller.OrgController.save', '[{\"director\":\"李四\",\"level\":2,\"name\":\"财务部\",\"params\":{},\"parentId\":1,\"phone\":\"15615330208\",\"sort\":2,\"status\":1}]', '798F928B0D80A82BEAFF1C07F2E236C3', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 7, 'Windows-Chrome-103.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-07-11 16:06:29', NULL, '2022-07-11 16:06:29', NULL);
INSERT INTO `sys_log` VALUES (171, '组织机构', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/org/v1/', 'POST', 'com.cool.bang.modules.system.controller.OrgController.save', '[{\"director\":\"1\",\"level\":3,\"name\":\"财务一部\",\"params\":{},\"parentId\":3,\"phone\":\"1\",\"sort\":1,\"status\":1}]', '76FFC22D220402BD5332206456079575', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 33, 'Windows-Chrome-103.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-07-11 16:13:28', NULL, '2022-07-11 16:13:28', NULL);
INSERT INTO `sys_log` VALUES (172, '组织机构', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/org/v1/3', 'DELETE', 'com.cool.bang.modules.system.controller.OrgController.remove', '[3]', '1A2DAAF97380B2AEFA10D89545CE3E1E', '{\"code\":500,\"msg\":\"部门下存在子集\",\"success\":false}', 5, 'Windows-Chrome-103.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-07-11 16:13:33', NULL, '2022-07-11 16:13:33', NULL);
INSERT INTO `sys_log` VALUES (173, '组织机构', 3, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/org/v1/4', 'DELETE', 'com.cool.bang.modules.system.controller.OrgController.remove', '[4]', 'E7D7EE6F081115AB10160E9D1266D629', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 14, 'Windows-Chrome-103.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-07-11 16:13:36', NULL, '2022-07-11 16:13:36', NULL);
INSERT INTO `sys_log` VALUES (174, '组织机构', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/org/v1/', 'PUT', 'com.cool.bang.modules.system.controller.OrgController.edit', '[{\"director\":\"李四1\",\"id\":3,\"name\":\"财务部1\",\"params\":{},\"parentId\":1,\"phone\":\"156153302081\",\"sort\":3}]', '11DAD95DF888AF1980B740F590039EB6', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 12, 'Windows-Chrome-103.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-07-11 16:30:15', NULL, '2022-07-11 16:30:15', NULL);
INSERT INTO `sys_log` VALUES (175, '组织机构', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/org/v1/', 'PUT', 'com.cool.bang.modules.system.controller.OrgController.edit', '[{\"director\":\"李四1\",\"id\":3,\"name\":\"财务部1\",\"params\":{},\"parentId\":1,\"phone\":\"156153302081\",\"sort\":3}]', '668131DBC7022B909F9337C34DFD669A', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 8, 'Windows-Chrome-103.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-07-11 16:34:09', NULL, '2022-07-11 16:34:09', NULL);
INSERT INTO `sys_log` VALUES (176, '组织机构', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/org/v1/', 'PUT', 'com.cool.bang.modules.system.controller.OrgController.edit', '[{\"director\":\"李四\",\"id\":3,\"name\":\"财务部\",\"params\":{},\"parentId\":1,\"phone\":\"15615330208\",\"sort\":3}]', '7F8730D63F69B26A125D493354382672', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 6, 'Windows-Chrome-103.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-07-11 16:34:22', NULL, '2022-07-11 16:34:22', NULL);
INSERT INTO `sys_log` VALUES (177, '组织机构', 2, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/org/v1/', 'PUT', 'com.cool.bang.modules.system.controller.OrgController.edit', '[{\"director\":\"李四\",\"id\":3,\"name\":\"财务部\",\"params\":{},\"parentId\":1,\"phone\":\"15615330208\",\"sort\":2}]', '2F0122DC2046CDE1C1A98F01AEC2C509', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 44, 'Windows-Chrome-103.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-07-11 16:52:27', NULL, '2022-07-11 16:52:27', NULL);
INSERT INTO `sys_log` VALUES (178, '组织机构', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/org/v1/', 'POST', 'com.cool.bang.modules.system.controller.OrgController.save', '[{\"director\":\"王五\",\"level\":2,\"name\":\"设计部\",\"params\":{},\"parentId\":1,\"phone\":\"15615330208\",\"sort\":3,\"status\":1}]', 'A5132185A7A6D5FD0BD97EBEA8EC6C68', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 33, 'Windows-Chrome-103.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-07-11 17:32:34', NULL, '2022-07-11 17:32:34', NULL);
INSERT INTO `sys_log` VALUES (179, '用户管理', 1, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/user/v1/', 'POST', 'com.cool.bang.modules.system.controller.UserController.save', '[{\"accountNonExpired\":true,\"accountNonLocked\":true,\"createBy\":1,\"createTime\":1657532089609,\"credentialsNonExpired\":true,\"delFlag\":true,\"email\":\"111\",\"enable\":true,\"enabled\":true,\"id\":5,\"orgId\":5,\"params\":{},\"password\":\"$2a$10$kls4kPJVhU/tcCMGpsgF.OcjDvCJoyBd1fYnxiQlwIwXTwjWzfUOG\",\"phone\":\"11\",\"realName\":\"11\",\"roleList\":[{\"id\":2,\"params\":{}}],\"sex\":0,\"updateBy\":1,\"updateTime\":1657532089609,\"username\":\"11\"}]', '8C9F629E4B597D50E66A314CC3CD9787', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 102, 'Windows-Chrome-103.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-07-11 17:34:49', NULL, '2022-07-11 17:34:49', NULL);
INSERT INTO `sys_log` VALUES (180, '角色管理', 4, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"id\":1,\"menuList\":[{\"children\":[],\"id\":1,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":24,\"params\":{}},{\"children\":[],\"id\":25,\"params\":{}},{\"children\":[],\"id\":26,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":11,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":13,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":14,\"params\":{}},{\"children\":[],\"id\":15,\"params\":{}},{\"children\":[],\"id\":16,\"params\":{}},{\"children\":[],\"id\":17,\"params\":{}},{\"children\":[],\"id\":5,\"params\":{}},{\"children\":[],\"id\":18,\"params\":{}},{\"children\":[],\"id\":19,\"params\":{}},{\"children\":[],\"id\":20,\"params\":{}},{\"children\":[],\"id\":6,\"params\":{}},{\"children\":[],\"id\":21,\"params\":{}},{\"children\":[],\"id\":22,\"params\":{}},{\"children\":[],\"id\":23,\"params\":{}},{\"children\":[],\"id\":7,\"params\":{}},{\"children\":[],\"id\":8,\"params\":{}},{\"children\":[],\"id\":27,\"params\":{}},{\"children\":[],\"id\":9,\"params\":{}}],\"params\":{}}]', '03CAEBE82AD411CAE76A88EAF1CCB100', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 27, 'Windows-Chrome-103.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-07-13 09:41:51', NULL, '2022-07-13 09:41:51', NULL);
INSERT INTO `sys_log` VALUES (181, '角色管理', 4, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"id\":1,\"menuList\":[{\"children\":[],\"id\":1,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":24,\"params\":{}},{\"children\":[],\"id\":25,\"params\":{}},{\"children\":[],\"id\":26,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":11,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":13,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":14,\"params\":{}},{\"children\":[],\"id\":15,\"params\":{}},{\"children\":[],\"id\":16,\"params\":{}},{\"children\":[],\"id\":17,\"params\":{}},{\"children\":[],\"id\":5,\"params\":{}},{\"children\":[],\"id\":18,\"params\":{}},{\"children\":[],\"id\":19,\"params\":{}},{\"children\":[],\"id\":20,\"params\":{}},{\"children\":[],\"id\":6,\"params\":{}},{\"children\":[],\"id\":21,\"params\":{}},{\"children\":[],\"id\":22,\"params\":{}},{\"children\":[],\"id\":23,\"params\":{}},{\"children\":[],\"id\":7,\"params\":{}},{\"children\":[],\"id\":8,\"params\":{}},{\"children\":[],\"id\":27,\"params\":{}},{\"children\":[],\"id\":28,\"params\":{}},{\"children\":[],\"id\":9,\"params\":{}}],\"params\":{}}]', 'DFF9313D8022FE94B18C60AE941DAB4F', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 19, 'Windows-Chrome-103.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-07-14 15:50:30', NULL, '2022-07-14 15:50:30', NULL);
INSERT INTO `sys_log` VALUES (182, '角色管理', 4, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"id\":1,\"menuList\":[{\"children\":[],\"id\":1,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":24,\"params\":{}},{\"children\":[],\"id\":25,\"params\":{}},{\"children\":[],\"id\":26,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":13,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":14,\"params\":{}},{\"children\":[],\"id\":15,\"params\":{}},{\"children\":[],\"id\":16,\"params\":{}},{\"children\":[],\"id\":17,\"params\":{}},{\"children\":[],\"id\":5,\"params\":{}},{\"children\":[],\"id\":18,\"params\":{}},{\"children\":[],\"id\":19,\"params\":{}},{\"children\":[],\"id\":20,\"params\":{}},{\"children\":[],\"id\":6,\"params\":{}},{\"children\":[],\"id\":21,\"params\":{}},{\"children\":[],\"id\":22,\"params\":{}},{\"children\":[],\"id\":23,\"params\":{}},{\"children\":[],\"id\":7,\"params\":{}},{\"children\":[],\"id\":8,\"params\":{}},{\"children\":[],\"id\":27,\"params\":{}},{\"children\":[],\"id\":28,\"params\":{}},{\"children\":[],\"id\":9,\"params\":{}}],\"params\":{}}]', '7636AB528537459ACFBCB5E61815D2FD', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 78, 'Windows-Chrome-104.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-08-16 17:11:57', NULL, '2022-08-16 17:11:57', NULL);
INSERT INTO `sys_log` VALUES (183, '角色管理', 4, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"id\":1,\"menuList\":[{\"children\":[],\"id\":1,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":24,\"params\":{}},{\"children\":[],\"id\":25,\"params\":{}},{\"children\":[],\"id\":26,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":11,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":13,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":14,\"params\":{}},{\"children\":[],\"id\":15,\"params\":{}},{\"children\":[],\"id\":16,\"params\":{}},{\"children\":[],\"id\":17,\"params\":{}},{\"children\":[],\"id\":5,\"params\":{}},{\"children\":[],\"id\":18,\"params\":{}},{\"children\":[],\"id\":19,\"params\":{}},{\"children\":[],\"id\":20,\"params\":{}},{\"children\":[],\"id\":6,\"params\":{}},{\"children\":[],\"id\":21,\"params\":{}},{\"children\":[],\"id\":22,\"params\":{}},{\"children\":[],\"id\":23,\"params\":{}},{\"children\":[],\"id\":7,\"params\":{}},{\"children\":[],\"id\":8,\"params\":{}},{\"children\":[],\"id\":27,\"params\":{}},{\"children\":[],\"id\":28,\"params\":{}},{\"children\":[],\"id\":9,\"params\":{}}],\"params\":{}}]', '9E7A26337AC6A22B8872490D48300140', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 13, 'Windows-Chrome-104.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-08-16 17:53:29', NULL, '2022-08-16 17:53:29', NULL);
INSERT INTO `sys_log` VALUES (184, '角色管理', 4, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"id\":1,\"menuList\":[{\"children\":[],\"id\":1,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":24,\"params\":{}},{\"children\":[],\"id\":25,\"params\":{}},{\"children\":[],\"id\":26,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":13,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":14,\"params\":{}},{\"children\":[],\"id\":15,\"params\":{}},{\"children\":[],\"id\":16,\"params\":{}},{\"children\":[],\"id\":17,\"params\":{}},{\"children\":[],\"id\":5,\"params\":{}},{\"children\":[],\"id\":18,\"params\":{}},{\"children\":[],\"id\":19,\"params\":{}},{\"children\":[],\"id\":20,\"params\":{}},{\"children\":[],\"id\":6,\"params\":{}},{\"children\":[],\"id\":21,\"params\":{}},{\"children\":[],\"id\":22,\"params\":{}},{\"children\":[],\"id\":23,\"params\":{}},{\"children\":[],\"id\":7,\"params\":{}},{\"children\":[],\"id\":8,\"params\":{}},{\"children\":[],\"id\":27,\"params\":{}},{\"children\":[],\"id\":28,\"params\":{}},{\"children\":[],\"id\":9,\"params\":{}}],\"params\":{}}]', 'B96D8605EB551E2674E9129E30D5B85D', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 87, 'Windows-Chrome-104.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-08-17 09:33:25', NULL, '2022-08-17 09:33:25', NULL);
INSERT INTO `sys_log` VALUES (185, '角色管理', 4, 1, '127.0.0.1', '超级管理员', 'http://localhost:8081/system/role/v1/grant', 'PUT', 'com.cool.bang.modules.system.controller.RoleController.grantAuth', '[{\"id\":1,\"menuList\":[{\"children\":[],\"id\":1,\"params\":{}},{\"children\":[],\"id\":2,\"params\":{}},{\"children\":[],\"id\":24,\"params\":{}},{\"children\":[],\"id\":25,\"params\":{}},{\"children\":[],\"id\":26,\"params\":{}},{\"children\":[],\"id\":3,\"params\":{}},{\"children\":[],\"id\":11,\"params\":{}},{\"children\":[],\"id\":12,\"params\":{}},{\"children\":[],\"id\":13,\"params\":{}},{\"children\":[],\"id\":4,\"params\":{}},{\"children\":[],\"id\":14,\"params\":{}},{\"children\":[],\"id\":15,\"params\":{}},{\"children\":[],\"id\":16,\"params\":{}},{\"children\":[],\"id\":17,\"params\":{}},{\"children\":[],\"id\":5,\"params\":{}},{\"children\":[],\"id\":18,\"params\":{}},{\"children\":[],\"id\":19,\"params\":{}},{\"children\":[],\"id\":20,\"params\":{}},{\"children\":[],\"id\":6,\"params\":{}},{\"children\":[],\"id\":21,\"params\":{}},{\"children\":[],\"id\":22,\"params\":{}},{\"children\":[],\"id\":23,\"params\":{}},{\"children\":[],\"id\":7,\"params\":{}},{\"children\":[],\"id\":8,\"params\":{}},{\"children\":[],\"id\":27,\"params\":{}},{\"children\":[],\"id\":28,\"params\":{}},{\"children\":[],\"id\":9,\"params\":{}}],\"params\":{}}]', 'CE38FE24D2A993D4F5FB09A4E2F58460', '{\"code\":200,\"msg\":\"操作成功\",\"success\":true}', 16, 'Windows-Chrome-104.0.0.0', NULL, NULL, NULL, NULL, NULL, NULL, '2022-08-17 09:34:39', NULL, '2022-08-17 09:34:39', NULL);

-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu`;
CREATE TABLE `sys_menu`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NULL DEFAULT 0 COMMENT '父键',
  `name` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '权限名称',
  `type` tinyint(1) NULL DEFAULT NULL COMMENT '权限类型',
  `code` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '权限标识',
  `url` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '权限路径',
  `icon` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '权限图标',
  `sort` int(11) NULL DEFAULT NULL COMMENT '权限排序',
  `enable` tinyint(1) NULL DEFAULT NULL COMMENT '启用标识',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `create_by` int(4) NULL DEFAULT NULL COMMENT '创建人',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '修改时间',
  `update_by` int(4) NULL DEFAULT NULL COMMENT '修改人',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '权限说明',
  `del_flag` tinyint(2) NULL DEFAULT NULL COMMENT '删除标识',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 29 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '权限表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of sys_menu
-- ----------------------------
INSERT INTO `sys_menu` VALUES (1, 0, '系统管理', 0, '', '', 'layui-icon layui-icon-set-fill', 1, 1, '2021-05-13 14:37:28', 1, '2022-06-14 11:16:34', 1, NULL, 1);
INSERT INTO `sys_menu` VALUES (2, 1, '组织架构', 1, 'sys:org:main', 'view/system/org/main.html', 'layui-icon ', 1, 1, '2021-05-13 14:37:28', 1, '2022-06-14 11:16:34', 1, NULL, 1);
INSERT INTO `sys_menu` VALUES (3, 1, '用户管理', 1, 'sys:user:main', 'view/system/user/main.html', 'layui-icon layui-icon-username', 2, 1, '2021-05-13 14:37:28', 1, '2022-06-14 11:16:34', 1, NULL, 1);
INSERT INTO `sys_menu` VALUES (4, 1, '角色管理', 1, 'sys:role:main', 'view/system/role/main.html', 'layui-icon layui-icon-user', 3, 1, '2021-05-13 14:37:28', 1, '2022-06-14 11:16:34', 1, NULL, 1);
INSERT INTO `sys_menu` VALUES (5, 1, '权限管理', 1, 'sys:menu:main', 'view/system/menu/main.html', 'layui-icon layui-icon-vercode', 4, 1, '2021-05-13 14:37:28', 1, '2022-06-14 11:16:34', 1, NULL, 1);
INSERT INTO `sys_menu` VALUES (6, 1, '字典管理', 1, 'sys:dict:main', 'view/system/dict/main.html', 'layui-icon ', 5, 1, '2021-05-13 14:37:28', 1, '2022-06-14 11:16:34', 1, NULL, 1);
INSERT INTO `sys_menu` VALUES (7, 1, '日志管理', 1, 'sys:log:main', 'view/system/log/main.html', 'layui-icon ', 6, 1, '2021-05-13 14:37:28', 1, '2022-06-16 16:03:08', 1, NULL, 1);
INSERT INTO `sys_menu` VALUES (8, 1, '自动生成', 1, 'sys:gen:main', 'view/generator/main.html', 'layui-icon ', 7, 1, '2021-05-13 14:37:28', 1, '2022-06-16 17:40:53', 1, NULL, 1);
INSERT INTO `sys_menu` VALUES (9, 1, '数据监控 ', 1, '', '/druid/sql', 'layui-icon ', 8, 1, '2021-05-13 14:37:28', 1, '2022-06-14 11:16:34', 1, NULL, 1);
INSERT INTO `sys_menu` VALUES (11, 3, '新增', 2, 'sys:user:add', '', 'layui-icon layui-icon-rate-half', 1, 1, '2021-05-13 14:37:28', 1, '2022-06-14 11:16:34', 1, NULL, 1);
INSERT INTO `sys_menu` VALUES (12, 3, '编辑', 2, 'sys:user:edit', '', 'layui-icon ', 2, 1, '2021-04-23 13:44:38', 1, '2022-06-14 11:16:34', 1, NULL, 1);
INSERT INTO `sys_menu` VALUES (13, 3, '删除', 2, 'sys:user:del', '', 'layui-icon ', 3, 1, '2021-04-23 13:45:45', 1, '2022-06-14 11:16:34', 1, NULL, 1);
INSERT INTO `sys_menu` VALUES (14, 4, '新增', 2, 'sys:role:add', '', 'layui-icon ', 1, 1, '2021-05-14 14:43:26', 1, '2022-06-14 11:16:34', 1, NULL, 1);
INSERT INTO `sys_menu` VALUES (15, 4, '编辑', 2, 'sys:role:edit', '', 'layui-icon ', 2, 1, '2021-05-14 14:43:50', 1, '2022-06-14 11:16:34', 1, NULL, 1);
INSERT INTO `sys_menu` VALUES (16, 4, '授权', 2, 'sys:role:grant', '', 'layui-icon ', 3, 1, '2021-05-14 14:44:06', 1, '2022-06-14 11:16:34', 1, NULL, 1);
INSERT INTO `sys_menu` VALUES (17, 4, '删除', 2, 'sys:role:del', '', 'layui-icon ', 4, 1, '2021-05-14 14:44:29', 1, '2022-06-14 11:16:34', 1, NULL, 1);
INSERT INTO `sys_menu` VALUES (18, 5, '新增', 2, 'sys:menu:add', '', 'layui-icon  layui-icon-add-1', 1, 1, '2021-05-13 14:37:28', 1, '2022-06-14 11:16:34', 1, NULL, 1);
INSERT INTO `sys_menu` VALUES (19, 5, '编辑', 2, 'sys:menu:edit', '', 'layui-icon ', 2, 1, '2022-06-14 10:25:34', 1, '2022-06-14 10:25:34', 1, NULL, 1);
INSERT INTO `sys_menu` VALUES (20, 5, '停用', 2, 'sys:menu:stop', '', 'layui-icon ', 3, 1, '2022-06-15 10:01:24', 1, '2022-06-15 10:01:24', 1, NULL, 1);
INSERT INTO `sys_menu` VALUES (21, 6, '新增', 2, 'sys:dict:add', '', 'layui-icon', 1, 1, '2021-05-13 15:10:42', 1, '2022-06-14 11:16:34', 1, NULL, 1);
INSERT INTO `sys_menu` VALUES (22, 6, '编辑', 2, 'sys:dict:edit', '', 'layui-icon ', 2, 1, '2021-05-13 15:11:32', 1, '2022-06-14 11:16:34', 1, NULL, 1);
INSERT INTO `sys_menu` VALUES (23, 6, '删除', 2, 'sys:dict:del', '', 'layui-icon ', 3, 1, '2021-05-13 15:11:53', 1, '2022-06-14 11:16:34', 1, NULL, 1);
INSERT INTO `sys_menu` VALUES (24, 2, '新增', 2, 'sys:org:add', '', 'layui-icon ', 1, 1, '2022-07-11 14:57:37', 1, '2022-07-11 14:57:38', 1, NULL, 1);
INSERT INTO `sys_menu` VALUES (25, 2, '编辑', 2, 'sys:org:edit', '', 'layui-icon ', 2, 1, '2022-07-11 14:58:02', 1, '2022-07-11 14:58:02', 1, NULL, 1);
INSERT INTO `sys_menu` VALUES (26, 2, '删除', 2, 'sys:org:del', '', 'layui-icon ', 3, 1, '2022-07-11 14:58:25', 1, '2022-07-11 14:58:26', 1, NULL, 1);
INSERT INTO `sys_menu` VALUES (27, 8, '新增', 2, 'sys:gen:add', '', 'layui-icon ', 1, 1, '2022-07-14 15:49:34', 1, '2022-07-14 15:49:34', 1, NULL, 1);
INSERT INTO `sys_menu` VALUES (28, 8, '编辑', 2, 'sys:gen:edit', '', 'layui-icon ', 2, 1, '2022-07-13 09:41:43', 1, '2022-07-14 15:49:43', 1, NULL, 1);

-- ----------------------------
-- Table structure for sys_org
-- ----------------------------
DROP TABLE IF EXISTS `sys_org`;
CREATE TABLE `sys_org`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '部门名称',
  `parent_id` bigint(20) NULL DEFAULT NULL COMMENT '上级部门',
  `level` int(11) NULL DEFAULT NULL COMMENT '部门层级',
  `sort` int(11) NULL DEFAULT NULL COMMENT '排序号',
  `status` int(4) NULL DEFAULT NULL COMMENT '状态 0禁用 1启用',
  `director` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '负责人',
  `phone` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '联系电话',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `create_by` int(11) NULL DEFAULT NULL COMMENT '创建人',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `update_by` int(11) NULL DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 6 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '组织机构表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_org
-- ----------------------------
INSERT INTO `sys_org` VALUES (1, '山东酷邦软件有限公司', 0, 1, 1, 1, '酷邦软件', '15615330208', NULL, '2022-07-11 16:04:17', NULL, '2022-07-11 16:04:17', NULL);
INSERT INTO `sys_org` VALUES (2, '软件部', 1, 2, 1, 1, '张三', '15615330208', NULL, '2022-07-11 16:06:02', NULL, '2022-07-11 16:06:02', NULL);
INSERT INTO `sys_org` VALUES (3, '财务部', 1, 2, 2, 1, '李四', '15615330208', NULL, '2022-07-11 16:06:29', NULL, '2022-07-11 16:52:27', NULL);
INSERT INTO `sys_org` VALUES (5, '设计部', 1, 2, 3, 1, '王五', '15615330208', NULL, '2022-07-11 17:32:34', NULL, '2022-07-11 17:32:34', NULL);

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '角色名称',
  `code` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '角色标识',
  `enable` tinyint(4) NULL DEFAULT NULL COMMENT '启用标识',
  `sort` int(11) NULL DEFAULT NULL COMMENT '排序',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `create_by` int(11) NULL DEFAULT NULL COMMENT '创建人',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `update_by` int(11) NULL DEFAULT NULL COMMENT '更新人',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of sys_role
-- ----------------------------
INSERT INTO `sys_role` VALUES (1, '超级管理员', 'admin', 1, 1, '2021-06-10 09:46:18', 1, '2022-06-10 09:37:14', 1, '超级管理员，研发人员角色，拥有全部权限。');
INSERT INTO `sys_role` VALUES (2, '普通管理员', 'manager', 1, 2, '2021-06-10 09:46:28', 1, '2022-06-10 09:36:22', 1, '管理员，用户角色，拥有用户最高权限。');

-- ----------------------------
-- Table structure for sys_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_menu`;
CREATE TABLE `sys_role_menu`  (
  `role_id` bigint(20) NOT NULL,
  `menu_id` bigint(20) NOT NULL,
  PRIMARY KEY (`role_id`, `menu_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色权限表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of sys_role_menu
-- ----------------------------
INSERT INTO `sys_role_menu` VALUES (1, 1);
INSERT INTO `sys_role_menu` VALUES (1, 2);
INSERT INTO `sys_role_menu` VALUES (1, 3);
INSERT INTO `sys_role_menu` VALUES (1, 4);
INSERT INTO `sys_role_menu` VALUES (1, 5);
INSERT INTO `sys_role_menu` VALUES (1, 6);
INSERT INTO `sys_role_menu` VALUES (1, 7);
INSERT INTO `sys_role_menu` VALUES (1, 8);
INSERT INTO `sys_role_menu` VALUES (1, 9);
INSERT INTO `sys_role_menu` VALUES (1, 11);
INSERT INTO `sys_role_menu` VALUES (1, 12);
INSERT INTO `sys_role_menu` VALUES (1, 13);
INSERT INTO `sys_role_menu` VALUES (1, 14);
INSERT INTO `sys_role_menu` VALUES (1, 15);
INSERT INTO `sys_role_menu` VALUES (1, 16);
INSERT INTO `sys_role_menu` VALUES (1, 17);
INSERT INTO `sys_role_menu` VALUES (1, 18);
INSERT INTO `sys_role_menu` VALUES (1, 19);
INSERT INTO `sys_role_menu` VALUES (1, 20);
INSERT INTO `sys_role_menu` VALUES (1, 21);
INSERT INTO `sys_role_menu` VALUES (1, 22);
INSERT INTO `sys_role_menu` VALUES (1, 23);
INSERT INTO `sys_role_menu` VALUES (1, 24);
INSERT INTO `sys_role_menu` VALUES (1, 25);
INSERT INTO `sys_role_menu` VALUES (1, 26);
INSERT INTO `sys_role_menu` VALUES (1, 27);
INSERT INTO `sys_role_menu` VALUES (1, 28);
INSERT INTO `sys_role_menu` VALUES (2, 1);
INSERT INTO `sys_role_menu` VALUES (2, 2);
INSERT INTO `sys_role_menu` VALUES (2, 3);
INSERT INTO `sys_role_menu` VALUES (2, 4);
INSERT INTO `sys_role_menu` VALUES (2, 5);
INSERT INTO `sys_role_menu` VALUES (2, 6);
INSERT INTO `sys_role_menu` VALUES (7, 1);
INSERT INTO `sys_role_menu` VALUES (7, 2);
INSERT INTO `sys_role_menu` VALUES (7, 3);
INSERT INTO `sys_role_menu` VALUES (7, 4);
INSERT INTO `sys_role_menu` VALUES (7, 5);
INSERT INTO `sys_role_menu` VALUES (7, 6);
INSERT INTO `sys_role_menu` VALUES (7, 7);
INSERT INTO `sys_role_menu` VALUES (7, 8);
INSERT INTO `sys_role_menu` VALUES (7, 9);
INSERT INTO `sys_role_menu` VALUES (7, 10);
INSERT INTO `sys_role_menu` VALUES (7, 11);
INSERT INTO `sys_role_menu` VALUES (7, 12);
INSERT INTO `sys_role_menu` VALUES (7, 13);
INSERT INTO `sys_role_menu` VALUES (7, 14);
INSERT INTO `sys_role_menu` VALUES (7, 15);
INSERT INTO `sys_role_menu` VALUES (7, 16);
INSERT INTO `sys_role_menu` VALUES (7, 17);
INSERT INTO `sys_role_menu` VALUES (7, 18);
INSERT INTO `sys_role_menu` VALUES (7, 19);
INSERT INTO `sys_role_menu` VALUES (7, 20);
INSERT INTO `sys_role_menu` VALUES (7, 21);

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE `sys_user`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `org_id` bigint(20) NULL DEFAULT NULL COMMENT '部门主键',
  `username` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '用户账号',
  `password` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '用户密码',
  `real_name` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户昵称',
  `avatar` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户头像',
  `sex` tinyint(1) NULL DEFAULT NULL COMMENT '用户性别',
  `phone` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '联系电话',
  `email` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '联系邮箱',
  `enable` tinyint(1) NULL DEFAULT NULL COMMENT '启用标识 0 禁用 1 正常',
  `lock` tinyint(1) NULL DEFAULT NULL COMMENT '是否锁定 0 锁定 1 正常',
  `last_login_time` datetime(0) NULL DEFAULT NULL COMMENT '最后登录时间',
  `login_failure_num` int(4) NULL DEFAULT NULL COMMENT '登录失败次数',
  `remark` varchar(300) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户说明',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `create_by` int(4) NULL DEFAULT NULL COMMENT '创建人',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '修改时间',
  `update_by` int(4) NULL DEFAULT NULL COMMENT '修改人',
  `del_flag` tinyint(1) NULL DEFAULT NULL COMMENT '删除标识 0 删除 1 正常',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_user_dept`(`org_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 5 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of sys_user
-- ----------------------------
INSERT INTO `sys_user` VALUES (1, NULL, 'admin', '$2a$10$h3LMN.qQ/X2XJYq6qsSE2eSDYZO5EC0ECy0AD6DpJW3e3gRV3NXtm', '超级管理员', '/upload/avatar/2022/06/07/97a9200f-05f2-44de-941f-4edfed4291e8.jpg', 0, '0533706688', 'guanliyuan@163.com', 1, 1, '2023-11-23 10:30:56', 0, NULL, '2021-04-13 17:06:44', NULL, '2022-06-07 11:06:12', 1, 1);
INSERT INTO `sys_user` VALUES (4, NULL, 'test', '$2a$10$yVs.Rl9zmzeCZpe/5t.cI.gr8.3sPdd1rcB.JnS5L4Bz5hhDJz/iO', 'test', NULL, 0, '13031781044', '13031781044@163.com', 1, 1, '2023-11-23 10:28:37', 0, NULL, '2022-07-11 11:32:35', 1, '2022-07-11 11:32:35', 1, 1);

-- ----------------------------
-- Table structure for sys_user_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_role`;
CREATE TABLE `sys_user_role`  (
  `user_id` bigint(20) NOT NULL,
  `role_id` bigint(20) NOT NULL,
  PRIMARY KEY (`user_id`, `role_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户角色表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of sys_user_role
-- ----------------------------
INSERT INTO `sys_user_role` VALUES (1, 1);
INSERT INTO `sys_user_role` VALUES (1, 2);
INSERT INTO `sys_user_role` VALUES (4, 1);
INSERT INTO `sys_user_role` VALUES (4, 2);
INSERT INTO `sys_user_role` VALUES (5, 2);

SET FOREIGN_KEY_CHECKS = 1;
